backporting[bot] <backporting[bot]@users.noreply.github.com>	2019-05-14

    [Backport release-3_4] stronger test for embedded layers (#10003)

Merge: 35def84dff 7fa95e7459
Denis Rouzaud <denis.rouzaud@gmail.com>	2019-05-14

    Merge pull request #9997 from qgis/backport-9993-to-release-3_4

    [Backport release-3_4] fix issues with embedded layers

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-05-13

    fix restoring visibility of layers in embedded groups

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-05-13

    add test for layer visibility in embedded group

Nyall Dawson <nyall.dawson@gmail.com>	2019-05-13

    Fix build

Nyall Dawson <nyall.dawson@gmail.com>	2019-05-09

    Tiny bit of extra safety

Nyall Dawson <nyall.dawson@gmail.com>	2019-05-09

    Ensure correct thread locale QgsNetworkAccessManager is used during
    o2 requests

    Otherwise the main thread manager is always used, resulting in
    lots of warnings and potential crashes

Nyall Dawson <nyall.dawson@gmail.com>	2019-05-09

    [o2] A new refresh_token is not a mandatory part of the response
    after requesting a refresh

    The server will always return a new access_token, but returning
    a new refresh_token is optional

Nyall Dawson <nyall.dawson@gmail.com>	2019-05-06

    Add method to retrieve map extent to QgsRenderContext

    Previously only a "layer clipping extent" was available for retrieval
    from a QgsRenderContext instance, yet there's a need for rendering
    operations to have access to the original full extent of the map
    being rendered.

Nyall Dawson <nyall.dawson@gmail.com>	2019-05-08

    Fix constraint expression and description are flipped

    Fixes #22016

nirvn <nirvn.asia@gmail.com>	2019-05-10

    [themes] Fix field expression widget not playing nice with themes

backporting[bot] <backporting[bot]@users.noreply.github.com>	2019-05-11

    [Backport release-3_4] Remove plugin module path  when unloading (#9862)

    * Remove plugin module path  when unloading

        Unloading plugin must remove added module path
        in order to prevent wrong package import when reloading

Merge: b054222bcd 966a6e6f02
rldhont <rldhont@gmail.com>	2019-05-10

    Merge pull request #9871 from qgis/backport-9866-to-release-3_4

    [Backport release-3_4] Fix exception when reloading plugins

nirvn <nirvn.asia@gmail.com>	2019-05-09

    [themes] Fix missing disabled state for {check/radio/group}box

nirvn <nirvn.asia@gmail.com>	2019-05-09

    [effects] when creating the preview image, disable effects to avoid 'double apply'

Juergen E. Fischer <jef@norbit.de>	2019-05-09

    fix build on xenial (Qt <5.6)

Daniele Viganò <daniele@vigano.me>	2019-05-08

    [RPM] Backport of #9957

    [RPM] Add qt5-qtbase-private-devel build dep for F30+
    qt5-qtbase-devel as been splitted in Fedora 30

yoichigmf <yoichi.kayama@gmail.com>	2019-05-08

    bug fix   can't open file using Japanese Character in name

Merge: 03f65086d2 e730fa15cf
Alessandro Pasotti <elpaso@itopen.it>	2019-05-08

    Merge pull request #9936 from qgis/backport-9935-to-release-3_4

    [Backport release-3_4] remove redundant /profiles when QGIS_CUSTOM_CONFIG_PATH is set

Merge: ebe57cf156 f233b7ec81
Alessandro Pasotti <elpaso@itopen.it>	2019-05-08

    Merge pull request #9933 from qgis/backport-9931-to-release-3_4

    [Backport release-3_4] fix wrong SVG PATHS logging on server startup

Merge: da6b04d608 58702fa26d
Even Rouault <even.rouault@spatialys.com>	2019-05-08

    Merge pull request #9956 from rouault/fix_test_provider_ogr_gpkg_indentation

    [release-3_4] test_provider_ogr_gpkg.py: fix indentation

Even Rouault <even.rouault@spatialys.com>	2019-05-08

    test_provider_ogr_gpkg.py: fix indentation

Merge: f67eef3eb0 1257311a86
Matthias Kuhn <matthias@opengis.ch>	2019-05-08

    Merge pull request #9952 from qgis/backport-9941-to-release-3_4

    [Backport release-3_4] [RPM] Add missing gdal-python-tools dependency

Merge: 87ebaf4eb4 c908306fea
Even Rouault <even.rouault@spatialys.com>	2019-05-08

    Merge pull request #9955 from rouault/backport_9939

    [Backport release-3_4] Backport #9939 (Fix opening of GeoPackage datasets with foreign key violation)

nirvn <nirvn.asia@gmail.com>	2019-05-08

    [ui] Fix marker sizing for the filled marker widget

Even Rouault <even.rouault@spatialys.com>	2019-05-08

    test_provider_ogr_gpkg.py: remove testJson test which was inappropriately backported in 2831a02b

Even Rouault <even.rouault@spatialys.com>	2019-05-06

    [GDAL provider] Fix opening of GeoPackage datasets with foreign key violation

Even Rouault <even.rouault@spatialys.com>	2019-05-06

    [OGR provider] Fix opening of GeoPackage datasets with foreign key violation

Daniele Viganò <daniele@vigano.me>	2019-05-07

    [RPM] Add missing gdal-python-tools dependency
    Processing uses some python scripts that are part of gdal-python-tools package

nirvn <nirvn.asia@gmail.com>	2019-05-08

    [symbology] Fix setSize(size) not working for ellipse markers

Nyall Dawson <nyall.dawson@gmail.com>	2019-04-30

    Fix duplicate layers in custom layer order panel

    Fixes #21955

Marco Bernasocchi <marco@opengis.ch>	2019-05-06

    remove redundant /profiles when QGIS_CUSTOM_CONFIG_PATH is set

    Signed-off-by: Marco Bernasocchi <marco@opengis.ch>

    Signed-off-by: Marco Bernasocchi <marco@opengis.ch>

Marco Bernasocchi <marco@opengis.ch>	2019-05-06

    fix wrong SVG PATHS logging on server startup

    Signed-off-by: Marco Bernasocchi <marco@opengis.ch>

Merge: 979af2b69d 9409afc06b
Matthias Kuhn <matthias@opengis.ch>	2019-05-04

    Merge pull request #9844 from qgis/backport-9809-to-release-3_4

    [Backport release-3_4] Add @snapping_results variable for points

Alexander Bruy <alexander.bruy@gmail.com>	2019-04-30

    [processing] populate batch interface with rows when multiple layers
    selected (fix #21859)

nirvn <nirvn.asia@gmail.com>	2019-05-01

    [ui] Fix broken text annotation background color

Nyall Dawson <nyall.dawson@gmail.com>	2019-04-30

    Avoid ugly super-narrow annotation balloon callout lines at some angles

Nyall Dawson <nyall.dawson@gmail.com>	2019-04-16

    Fix incorrect annotation scaling when exporting layouts

    Previously, annotation size and position always used pixel units. This
    did not work well when exporting layouts, resulting in tiny annotations
    (it also caused issues when moving projects between hidpi/non hidpi
    displays).

    Instead, use millimeters for annotation size and position so that the
    appearance is consistent across displays and works correctly in layout
    exports.

    Add lots of unit tests covering this.

    Fixes #18373

nirvn <nirvn.asia@gmail.com>	2019-04-29

    [themes] Tweak palette values to better match designated roles

nirvn <nirvn.asia@gmail.com>	2019-04-29

    [themes] Add minimum scrollbar dimension to Night Mapping

Nyall Dawson <nyall.dawson@gmail.com>	2019-04-26

    Indentation

Nyall Dawson <nyall.dawson@gmail.com>	2019-04-26

    Remove some unused code

Nyall Dawson <nyall.dawson@gmail.com>	2019-04-26

    [processing] Correctly reset progress bar after completing batch execution

Nyall Dawson <nyall.dawson@gmail.com>	2019-04-26

    [processing] Fix exception on completion of batch execution of
    algorithm which has string or numeric outputs

Merge: f5627e16ed 52882f45e7
rldhont <rldhont@gmail.com>	2019-04-29

    Merge pull request #9864 from rldhont/fix-server-wmts-resolutions-release-3_4

    [Backport release-3_4] [Server] WMTS - use resolution for bbox calculation

Merge: 8131f8c26c e75681dfa8
Alessandro Pasotti <elpaso@itopen.it>	2019-04-29

    Merge pull request #9898 from elpaso/backport-9873-to-release-3_4

    [postgresql] Fix checkPrimaryKeyUnicity option

Alessandro Pasotti <elpaso@itopen.it>	2019-04-29

    [postgresql] Fix checkPrimaryKeyUnicity option

    Cherry picked from release-3_6 and master 4da04130d8

Merge: b5741c2e7a aa714d3df6
Alessandro Pasotti <elpaso@itopen.it>	2019-04-29

    Merge pull request #9889 from elpaso/bugfix-21917-server-root-layer-order-3_4

    Respect custom layer order for groups in GetMap

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-04-28

    Add simple line custom dash pattern tests

Alessandro Pasotti <elpaso@itopen.it>	2019-04-27

    Respect custom layer order for groups in GetMap

    Backport of bugfix from master PR 9878

    Fixes #21917

    (cherry-picking commit 9ddbae6c68 from 3.6)

nirvn <nirvn.asia@gmail.com>	2019-04-26

    [symbology] Fix custom dash pattern for line with an hairline (i.e. 0)  width

Nyall Dawson <nyall.dawson@gmail.com>	2019-04-26

    Fix exception when reloading plugins

Nyall Dawson <nyall.dawson@gmail.com>	2019-04-26

    Add missing /Transfer/ annotation

rldhont <rldhont@gmail.com>	2019-04-19

    [Tests][Server] WMTS - use resolution for bbox calculation

rldhont <rldhont@gmail.com>	2019-04-19

    [Bugfix][Server] WMTS - use resolution for bbox calculation

    Because of the limit of double size in C++, it's bettre to use the resolution instead of the scale denominator for calculating tiles extent.

nirvn <nirvn.asia@gmail.com>	2019-04-22

    Turn antialiasing flag on when rendering legend symbol preview

nirvn <nirvn.asia@gmail.com>	2019-04-22

    Turn antialising render flag on when appropriate in QgsRenderContext::fromQPainter()

Merge: 8e19a3293b 434df5befd
Blottiere Paul <blottiere.paul@gmail.com>	2019-04-24

    Merge pull request #9841 from signedav/default_symbol_scale_bp_34

    [server] Default scale/mupmm on GetLegendGraphics

David Signer <david@opengis.ch>	2019-04-24

    correct images for test from the travis build

David Signer <david@opengis.ch>	2019-04-24

    fix comment since 3.4

Martin Dobias <wonder.sk@gmail.com>	2019-04-22

    [3d] fix shading of 3D point symbols

    The vertex shader was incorrectly transforming world position and normal
    vectors for phong shading. This was causing wrong appearance that was noticeable
    when moving/rotating camera (e.g. specular reflection was always in the same place).
    This was caused by involving view matrix (i.e. camera position and orientation)
    to the vectors, but the world position and normal should be independent from camera.

David Signer <david@opengis.ch>	2019-04-22

    gui fix for default symbol scale

David Signer <david@opengis.ch>	2019-04-22

    not using mContext from future integration received by cherry-pick

David Signer <david@opengis.ch>	2019-04-02

    backport for default map scale / default map units per mm in project for the case that GetLegendGraphic request does not pass parameters to calculate map unit sized symbol size
    (cherry-picks of 7ef426b0efa446b400c33c3447b90fa6d01d8f47 10b5f0858ad5c147ac2a67518cabf0e55e9cbacc 3d7cc160d4a39daf3fe6fc6076b08fb9d2939361 1c3cfd1e136e8d61ecf6b1cacf8f2bbf93e76fc1 679b100f0c0e72eba394ab7b3b500aa53f836813 96f054e1c12b71fecfa66d43717f653b5df402e4 7f7d910991169b38f1927680011a5f57c0b490fe 755c8ff36d6b0f85386bdc9537c286371f441b5c 1d6a7dd53ccebeb619c9c72ecf39271fe0aea0eb 8e62a89c98557c6dcd651291aa2e17fe780074db c22effb545b5e042ee5591b4b2dbe34430a3d2c9 fa8e5fa34856d260ed3394ad8b2133ca1833c979 fab5254595d40461b060008310c60544b087703d 27fc38160056d954b44181d22c7c3180df651638)

Matthias Kuhn <matthias@opengis.ch>	2019-04-17

    Add a comment to explain the reason for the code

Matthias Kuhn <matthias@opengis.ch>	2019-04-17

    Add @snapping_results variable for points

    Fix #21784 https://issues.qgis.org/issues/21784

Juergen E. Fischer <jef@norbit.de>	2019-02-02

    avoid OSRFixup with GDAL >= 2.5 (fixes #21902)

    (cherry picked from commit 9a8c0d28982f3c31dc0f7c8a2f796c85ec801191)

Alessandro Pasotti <elpaso@itopen.it>	2019-04-16

    Guard vector file writer against invalid layers

    instead of crashing.

    Fixes #21856

    Funded by: QCooperative.net

Alexander Bruy <alexander.bruy@gmail.com>	2019-04-17

    [processing] ensure that output temporary directory exists (fix #21701)

Merge: 525e414273 d7705256f1
rldhont <rldhont@gmail.com>	2019-04-20

    Merge pull request #9835 from rldhont/backport-9827-to-release-3_4

    [Backport release-3_4] [Bugfix][Server] WMTS: CRS can have axis inverted

Merge: 5c56989325 980647501b
rldhont <rldhont@gmail.com>	2019-04-20

    Merge pull request #9824 from rldhont/fix-server-wmts-scalebasedvisibility-layers-release-3_4

    [Bugfix][Server] WMTS: layer scale base visibility has not been well used

Juergen E. Fischer <jef@norbit.de>	2019-04-19

    Release of 3.4.7

Merge: 72a4847870 c13c4a5cd5
Alessandro Pasotti <elpaso@itopen.it>	2019-04-19

    Merge pull request #9812 from elpaso/bugfix-21871-21870-LAYERFONTCOLOR-ITEMFONTCOLOR-3_4

    [server] Implement LAYERFONTCOLOR and ITEMFONTCOLOR

rldhont <rldhont@gmail.com>	2019-04-18

    [Bugfix][Server] WMTS: CRS can have axis inverted

    The top left element has to respect the axis, like in WMS 1.3.0.

Juergen E. Fischer <jef@norbit.de>	2019-04-07

    postgres provider: drop implicit not null and unique constraint for columns in compound keys (fixes #20073)

    (cherry picked from commit 30e808e3fc & 267599ba)

Merge: 54a06fb8c0 5e2f7902bc
rldhont <rldhont@gmail.com>	2019-04-18

    Merge pull request #9830 from qgis/backport-9826-to-release-3_4

    [Backport release-3_4] [Bugfix][Server] WMTS: read the service url from project

rldhont <rldhont@gmail.com>	2019-04-18

    [Bugfix][Server] WMTS: read the service url from project

    It is a typo fix

nirvn <nirvn.asia@gmail.com>	2019-04-18

    [ogr] Only throw validity error in reloadData() when previously valid

Alessandro Pasotti <elpaso@itopen.it>	2019-04-18

    Fix control image

rldhont <rldhont@gmail.com>	2019-04-18

    [Bugfix][Server] WMTS: layer scale base visibility has not been well used

    This has been fixed in master and QGIS 3.6, but has been probably not well backported.

Merge: 960e10db8f 894ea6a7c8
rldhont <rldhont@gmail.com>	2019-04-18

    Merge pull request #9807 from qgis/backport-9773-to-release-3_4

    [Backport release-3_4] [server] Allow server plugin filters to access config path

Merge: d673c6fbef 734565b78c
rldhont <rldhont@gmail.com>	2019-04-18

    Merge pull request #9806 from qgis/backport-9791-to-release-3_4

    [Backport release-3_4] [Backport release-3_6][server] Fallback to unmanaged parameters

Alessandro Pasotti <elpaso@itopen.it>	2019-04-17

    [server] Implement LAYERFONTCOLOR and ITEMFONTCOLOR

    cherry-picking commit dca0fb9026

David Marteau <david@innophi.com>	2019-04-11

    Set config path before calling plugin method

Blottiere Paul <blottiere.paul@gmail.com>	2019-04-11

    Add test for an unkown parameter

Blottiere Paul <blottiere.paul@gmail.com>	2019-04-11

    Add unit test

Blottiere Paul <blottiere.paul@gmail.com>	2019-04-11

    Add a fallback to unmanaged parameters

nirvn <nirvn.asia@gmail.com>	2019-04-17

    [themes] Improve night mapping hyperlink color

nirvn <nirvn.asia@gmail.com>	2019-04-17

    [themes] Avoid hardcoded black for default console timestamp colors
    (fixes #21860)

Juergen E. Fischer <jef@norbit.de>	2019-04-15

    debian packaging: add ubuntu disco

Merge: 2b35644d12 5538cf88b6
rldhont <rldhont@gmail.com>	2019-04-12

    Merge pull request #9778 from qgis/backport-9763-to-release-3_4

    [Backport release-3_4] Apply SLD PointSymbolizer on single centroid for polygon

rldhont <rldhont@gmail.com>	2019-04-12

    Test apply SLD PointSymbolizer on single centroid for polygon

rldhont <rldhont@gmail.com>	2019-04-09

    Apply SLD PointSymbolizer on single centroid for polygon

    SLD 1.0 and StyleEncoding 1.1 specs say that if a line, polygon, or raster geometry is used with PointSymbolizer, then the semantic is to use the centroid of the geometry, or any similar representative point.

    When QGIS read an SLD, it applies the point on the centroid of all parts of the multi-polygon and not on the unique centroid of the mutil-polygon.

    ST_Centroid is the PostGIS implementation of the Simple Feature standard for SQL and it generates only one point for multi-polygon. So I think SLD PointSymbolizer has to be applied to the single centroid.

Merge: e445a25c15 95cfcf9236
Blottiere Paul <blottiere.paul@gmail.com>	2019-04-11

    Merge pull request #9726 from signedav/backport34_SRCWIDTH

    [Backport release-3_4] of SRCHEIGHT/SRCWIDTH for GetLegendGraphic request

David Signer <david@opengis.ch>	2019-04-11

    removed the /since 3.8 and entered 3.4

David Signer <david@opengis.ch>	2019-04-05

    fix comments

David Signer <david@opengis.ch>	2019-03-18

    backport of SRCWIDTH/SRCHEIGHT
    it takes these values as map size in case of GetLegendGraphics Request and still HEIGHT and WIDTH if not a GetLegendGraphics Request

    (cherry-picked commits 4c667ada96559ac9bf7cab7c93abfa315c382ee6 e1847725e47800ae65ff9b0a8cbeb55f20a81208 6722ad59175afbd5ef9d0c327e59d85856e37784 61a89af4c115990ee997e757fe1$)

backporting[bot] <backporting[bot]@users.noreply.github.com>	2019-04-11

    [Backport release-3_4] Return 501 on 'OperationNotSupported' error (#9770)

    Return 501 HTTP statues code 'OperationNotSupported' Error

    According to OGC/OWS standard, 'OperationNotSupported' Error should return 501 but actually return 200.

    ref http://docs.opengeospatial.org/is/17-007r1/17-007r1.html - table 21

nirvn <nirvn.asia@gmail.com>	2019-04-10

    [gdal] Implement the data provider reloadData() function (fixes #20536)

Merge: 5b7e111e4b 8e83407215
Matthias Kuhn <matthias@opengis.ch>	2019-04-09

    Merge pull request #9759 from m-kuhn/backport-9712-on-release-3_4

    Cleanup geometry validation dock before QgsApplication exit

Nyall Dawson <nyall.dawson@gmail.com>	2019-04-05

    Cleanup geometry validation dock before QgsApplication exit

    Refs #20283, possibly fixes it

Martin Dobias <wonder.sk@gmail.com>	2019-04-08

    Actually only update the layer_styles table if it exists

Martin Dobias <wonder.sk@gmail.com>	2019-04-08

    [db manager] Rename layer style entry when renaming gpkg tables (fixes #21227)

    This has been already fixed in master and backported to 3.6 using browser data items.
    However the fix can't be directly backported to QGIS 3.4 because in 3.4 geopackage
    data item does not support renaming.

lbartoletti <l.bartoletti@free.fr>	2019-04-08

    backport #9379 to release-3_4

lbartoletti <loic.bartoletti@oslandia.com>	2019-03-29

    add tests

lbartoletti <loic.bartoletti@oslandia.com>	2019-03-29

    Fix a crash when asJson is called on an empty PolygonGeometry

Merge: ff166628e8 c1cec89a4a
Alessandro Pasotti <elpaso@itopen.it>	2019-04-08

    Merge pull request #9720 from elpaso/bugfix-21697-server-gfi-top-group-layers-3_4

    [server] Allow WMS GetFeatureInfo on root layer and groups

Juergen E. Fischer <jef@norbit.de>	2019-04-02

    backports
    c77e393ea4 legend: truncate excessively long tooltips (fixes #21737)
    88513284d4 fix removal of temporary directories (fixes #21292)
    95bd7480d0 postgres provider: use st_estimatedextent only when 'use estimated metadata' is enabled (fixes #21718)
    f1dbcc3c53 processing: fix grass' r.quantile parameter (fixes #21751)
    c6382553cd don't relink object if just the shared objects/DLL is changed
    9aaaad3ab8 trim crssync include directories (followup 8851328)

backporting[bot] <backporting[bot]@users.noreply.github.com>	2019-04-06

    fix invisible text in field expression widget in dark themes (#9733)

    backport of #9701

Merge: 070ca7a295 30bf12c35b
rldhont <rldhont@gmail.com>	2019-04-06

    Merge pull request #9723 from qgis/backport-9696-to-release-3_4

    [Backport release-3_4] [server] Server removes empty string in style parameter even if it describes default style

Alessandro Pasotti <elpaso@itopen.it>	2019-04-05

    Fix crash when project has no groups and project OWS name equals to

    ... first layer short name

    Manually backported from master

Alessandro Pasotti <elpaso@itopen.it>	2019-04-05

    Set system locale and thousand separator for test consistency

Alessandro Pasotti <elpaso@itopen.it>	2019-04-05

    Update wms server test control files

Alessandro Pasotti <elpaso@itopen.it>	2019-04-05

    Code layout

Alessandro Pasotti <elpaso@itopen.it>	2019-04-05

    [server] Allow WMS GetFeatureInfo on root layer and groups

    cherry-picking commit 0e8b90de44 from 3_6

rldhont <rldhont@gmail.com>	2019-04-03

    [Bugfix][Server] QGIS Server removes empty string in style parameter even if it describes default style

    In OGC WMS standard, the empty string represents the default style.

    QGIS Server when it parses the parameters, QGIS Server when it parses parameters it removes empty parts.
    When all requested styles are default ones it's equal to an empty parameter STYLE, as defined in the standard.
    When only one layer is requested, there is no issue with custom or default style.
    When multiple layers are requested and some with custom styles, because QGIS Server does not retain empty strings, it loses the layer / style match.

    To fix it, keeps empty parts for not empty styles parameters.

nirvn <nirvn.asia@gmail.com>	2019-04-05

    [locator] Add active layer scope to the calculator locator filter
    This allows the usage of layer scope functions such as
    sum("MY_FIELD")

Nyall Dawson <nyall.dawson@gmail.com>	2019-04-04

    Fix crash when searching in layer properties

    Fixes #21769

    (cherry picked from commit 037a8283fa4b88fc2559ce1b54782bc52ad7abfc)

Merge: 0705fee0ce 6a7b424dd3
Denis Rouzaud <denis.rouzaud@gmail.com>	2019-04-04

    Merge pull request #9706 from qgis/backport-9695-to-release-3_4

    [Backport release-3_4] [vertex tool] fixes some editor-tool synchronization issues

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-04-02

    [vertex tool] remove locked markers when deactivating

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-04-02

    [vertex tool] fix editor not updated on geometry changed

    slots were not triggered in appropriate order
    so we let the vertex tool handle the update of the locked feature geometry on update

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-04-02

    [vertex tool] update locked markers when adding a new vertex

Merge: 0b1556d249 00f49a0de6
Alessandro Pasotti <elpaso@itopen.it>	2019-04-03

    Merge pull request #9688 from elpaso/server-locale-override-backport-3_4

    [server] Allow locale and group separator override

Merge: 33738383ee 1f4b81a449
Matthias Kuhn <matthias@opengis.ch>	2019-04-03

    Merge pull request #9618 from qgis/backport-9294-on-release-3_4

    Backport #9294 on release-3_4: Fix Z snapping for point.

Nyall Dawson <nyall.dawson@gmail.com>	2019-04-01

    More reference images and masks for layout attribute table tests

Nyall Dawson <nyall.dawson@gmail.com>	2019-04-01

    More reference images and masks for 3d tests

Nyall Dawson <nyall.dawson@gmail.com>	2019-04-01

    Fix crash in stats summary on debug builds

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-31

    [processing] Use null instead of nan for invalid stat values in join by location summary

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-31

    [processing] Fix invalid reprojection in join by location (summary)

Nyall Dawson <nyall.dawson@gmail.com>	2019-04-01

    Fix stuck tasks when proxied task using a proxy progress task
    completes before the proxy task has been started by task manager

    Fixes #21589, fixes #19761

    (cherry picked from commit b28227fa7f946e0c0ccba1b588a8ac47fef0c85f)

Alessandro Pasotti <elpaso@itopen.it>	2019-04-01

    [server] Allow locale and group separator override

    cherry-picked from master 5b586e8

Chris Holden <ceholden@gmail.com>	2019-03-29

    Include missing include of <functional>

    Caught trying to build with GCC7 and MSVC

Matthias Kuhn <matthias@opengis.ch>	2019-03-29

    Properly convert to QgsVectorLayerEditpassTrough subclass

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-04-01

    [Travis] Fix backport branch being run as push job (#9680)

    (cherry picked from commit eacd47bfa68efd3ee811d745dc73b3c84d973f6e)

Alessandro Pasotti <elpaso@itopen.it>	2019-04-01

    Fix vector file writer field length

    Backported from master commit 2174577

Juergen E. Fischer <jef@norbit.de>	2019-04-01

    debian packaging: only break/replace older python-qgis* packages (fixes #21722; followup 957c51e6916)

    (cherry picked from commit 8ec02625c334f64acc6606539873c8facefbdd56)

backporting[bot] <backporting[bot]@users.noreply.github.com>	2019-04-01

    Backport #9640 on release-3_4: [processing] Refine check for usable layers (#9642)

    * [processing] Refine check for usable layers

    - allow WMS layers and other non-GDAL raster layers. This will work
    fine for native algorithms, likely not work for other providers. They
    will need to be adapted to throw errors when incompatible raster
    layer providers are used

    - invalid layers are not permitted (e.g. those with missing data
    sources)

    * Remove outdated comment

volaya <volayaf@gmail.com>	2019-03-29

    [processing] do not export input sdat files

Juergen E. Fischer <jef@norbit.de>	2019-03-04

    [needsbackport] apply an alternative fix for #20826 & #21582

    Partly reverts c9e761649, which removed the synchronizatiion of
    credential requests (eg. in a project that has multiple layers from the
    same postgresql database without credentials) and led to multiple
    concurrent requests for the same credentials.

    Some of which were silently discarded, when events processed in the
    dialogs exec() event loop tried to reinvoke the dialog and caused
    invalid layers.

    Authentications caused by network requests can still cause this.

    The credential cache is now guarded by a separate mutex.

    (cherry picked from commit 2af35352167257f5f3f73bea8fbee6f5506829bb)

Juergen E. Fischer <jef@norbit.de>	2019-03-29

    osgeo4w: fix starting of qt5 designer

    (cherry picked from commit b9a53d4204e2ff25d648873077d186c3e1dca41d)

Juergen E. Fischer <jef@norbit.de>	2019-03-29

    debian packaging: add transitional package for python3-qgis(-common)

Juergen E. Fischer <jef@norbit.de>	2019-03-27

    osgeo4w: fix grass shortcuts in qgis-dev (fixes #21680)

    (cherry picked from commit 8e70c08b18f6897da2b54a48f5aa025c27171475)

Juergen E. Fischer <jef@norbit.de>	2019-03-27

    debian packaging: keep using libqt5scintilla2-dev also on stretch

Daniele Viganò <daniele@vigano.me>	2019-03-26

    [RPM] Fix rpmbuild.sh broken shell checks

Daniele Viganò <daniele@vigano.me>	2019-03-26

    [RPM] Make buildrpm.sh more robust and fix -b flag usage

Daniele Viganò <daniele@vigano.me>	2019-03-26

    [RPM] Make %postun more robust remove a comment entirely

Daniele Viganò <daniele@vigano.me>	2019-03-26

    [RPM] Update rpm/default.cfg to build on F30

Daniele Viganò <daniele@vigano.me>	2019-03-26

    [RPM] Improve buildrpms.sh script and use pbzip2 when available

Daniele Viganò <daniele@vigano.me>	2019-03-25

    [RPM] Fix stale code in %postun

Bas Couwenberg <sebastic@xs4all.nl>	2019-03-22

    Fix trailing comma in control files.

    (cherry picked from commit f7bdded3a46fc2ffd5c8ee0f7c0762ade843f534)

Juergen E. Fischer <jef@norbit.de>	2019-03-25

    debian packaging: fix build on xenial

lbartoletti <loic.bartoletti@oslandia.com>	2019-02-27

    Fix Z snapping for point. Point was always returned as a XY Point. Fixes #21390

Juergen E. Fischer <jef@norbit.de>	2019-03-24

    update INSTALL (followup e4046562f9)

Juergen E. Fischer <jef@norbit.de>	2019-01-29

    osgeo4w: rely on GRASS' GISBASE environment variable instead of
    detecting the path (ie. use the same version for processing as the
    version that the grass plugin uses)

    (cherry picked from commit 806ae861e1521d9b88b109e85094ef2c01425284)

Juergen E. Fischer <jef@norbit.de>	2019-03-24

    debian packaging: fix build on xenial

Juergen E. Fischer <jef@norbit.de>	2019-03-22

    osgeo4w: updates for grass 7.6.1

    (cherry picked from commit a19fc89e5fb71b9e30de7196494b247f243a8a99)

Juergen E. Fischer <jef@norbit.de>	2019-03-22

    Release of 3.4.6

Merge: 9252da03f2 98857af76c
rldhont <rldhont@gmail.com>	2019-03-22

    Merge pull request #9596 from rldhont/backport-9525-9526-on-release-3_4

    Backport 9525 9526 on release 3 4 [Server]

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-22

    Fix marker line offset along line unit is ignored when in Interval mode

    (cherry picked from commit e7389db5c7cc81369a33c31e35c1cac42c90747b)

backporting[bot] <backporting[bot]@users.noreply.github.com>	2019-03-22

    [processing] Add 'call' statements to SAGA batch file

backporting[bot] <backporting[bot]@users.noreply.github.com>	2019-03-22

    Add missing bracket to formula generated by data defined override.

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2019-03-21

    fixes GRASS r.mapcalc tool

uclaros <Ucla ros 1>	2019-03-11

    nose2 method assertions

uclaros <Ucla ros 1>	2019-02-23

    Quick fix for a bug in QgsGeos::reshapeLine that causes QGIS to crash because of an unhandled geos exception.

Juergen E. Fischer <jef@norbit.de>	2019-03-21

    update INSTALL

Juergen E. Fischer <jef@norbit.de>	2019-03-21

    german translation update

rldhont <rldhont@gmail.com>	2019-03-15

    [Bugfix][Server] In WMS GetFeatureInfo CRS param not mandatory when FILTER param

    The CRS parameter is considered as mandatory in GetFeatureInfo even if the FILTER parameter is used without I and J parameters.

    To fix it, set a fake CRS in the parameter when I/J and X/Y parameters are not defined and FILTER parameter is defined.

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-20

    [processing] Fix warning when loading algorithm dialog and no layers
    are present

    Fixes #21631

rldhont <rldhont@gmail.com>	2019-03-15

    [Bugfix][Regression][Server] JPEG output for WMS GetPrint request has gone

    In QGIS Server 2.* the WMS GetPrint request could genrate JPEG image. QGIS Server 3.4 has lost this capabilities.
    ```
    <ServiceExceptionReport xmlns="http://www.opengis.net/ogc" version="1.3.0" capture-installed="true">
        <ServiceException code="InvalidFormat">
            Output format jpg is not supported by the GetPrint request
        </ServiceException>
    </ServiceExceptionReport>
    ```
    To fix this regression, it is necessary to accept JPEG output format.

    And to avoid this regression to come back, the QGIS Server tests has been updated to accept jpg image test.

Merge: ef4a578868 fa15e729b8
Matthias Kuhn <matthias@opengis.ch>	2019-03-21

    Merge pull request #9577 from m-kuhn/geometry_validation_invalid_feature_zoom_to_problem_problem

    Only change map extent when manually changing the active error

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-21

    [layouts] Refresh layout automatically on page size/orientation change

    Fixes #21624

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-13

    [processing] Fix IDW parameter value creation

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-13

    [processing] Fix exception in IDW interpolation

    Fixes #21578

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-14

    [processing] Fix layerName= suffix is incorrectly passed to SAGA algorithms

    Fixes #21569

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-19

    Remove another use of deprecated QgsCoordinateTransform constructor

    Sponsored by ICSM

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-19

    Use correct project transform context in transform expression function

    Sponsored by ICSM

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-19

    [processing] Fix QgsProcessingProvider::isSupportedOutputValue handling
    of optional output parameters

    Refs #21374

Martin Dobias <wonder.sk@gmail.com>	2019-03-20

    [mssql] More sensible srid when adding CRS to MS SQL database

    The spatial_ref_sys table has srid column with ID of CRS entries.
    I believe the IDs can be arbitrary, however it has been a good habit
    to use EPSG number for srid (at least in GDAL - and the same thing
    happens in PostGIS - srid values are the same as EPSG numbers).

    In QGIS import if we add a new row to spatial_ref_sys table, the code
    was using srsid() as ID which is internal ID in QGIS srs.db and it has
    nothing to do with other IDs. Some pieces of code (probably incorrectly)
    expect that srid is actually the EPSG number, so let's use those
    so that we are consistent with GDAL and fix these minor issues
    (for example, tooltip of MS SQL layers in browser show srid - which
    in case of layers loaded with QGIS were meaningless)

Juergen E. Fischer <jef@norbit.de>	2019-03-20

    backport debian packaging updates

    cherry picked from de8f540d3b55e674ca974b9fca551ff628f98079

Alessandro Pasotti <elpaso@itopen.it>	2019-03-19

    Fix crash when opening layer propertie on a bad raster layer

    unreported

    ... and hit apply after changing the renderer or the
    transparency.

Merge: 0546228a3c d97f5d4859
Matthias Kuhn <matthias@opengis.ch>	2019-03-20

    Merge pull request #9575 from m-kuhn/backport-geometry-validation-icons

    Add icons to geometry validation checks

Matthias Kuhn <matthias@opengis.ch>	2019-03-20

    Only change map extent when manually changing the active error

Matthias Kuhn <matthias@opengis.ch>	2019-02-28

    Add icons to geometry validation checks

Matthias Kuhn <matthias@opengis.ch>	2019-03-04

    Add test for preserving layer visibility on offline editing

Matthias Kuhn <matthias@opengis.ch>	2019-03-04

    Preserve layer visibility in offline editing

Merge: 9383b00a4b 43758aba29
Blottiere Paul <blottiere.paul@gmail.com>	2019-03-19

    Merge pull request #9559 from pblottiere/bugfix_wms_certif

    [server] OGC WMS 1.3.0

Blottiere Paul <blottiere.paul@gmail.com>	2019-03-19

    Update tests

Blottiere Paul <blottiere.paul@gmail.com>	2019-03-19

    Remove invalid schemaLocation

Merge: d1910f59dd 6bcba4247a
Matthias Kuhn <matthias@opengis.ch>	2019-03-19

    Merge pull request #9551 from m-kuhn/geom-validator-fixes

    [geometry validation] Various bugfixes and improvements

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-12

    Fix vector layer export transform selection choice is ignored

    Fixes #21275

Matthias Kuhn <matthias@opengis.ch>	2019-03-14

    [offline editing] Support for layers with identical names

Matthias Kuhn <matthias@opengis.ch>	2019-03-18

    Remove unneeded code

volaya <volayaf@gmail.com>	2019-03-18

    correctly close files executed from QgsPythonRunner

Matthias Kuhn <matthias@opengis.ch>	2019-03-18

    Do not crash after fixing invalid geometries

Matthias Kuhn <matthias@opengis.ch>	2019-03-13

    Use a hidden setting for activating geomtery resolution

Matthias Kuhn <matthias@opengis.ch>	2019-03-18

    Update tests

Matthias Kuhn <matthias@opengis.ch>	2019-03-12

    Add dox

Matthias Kuhn <matthias@opengis.ch>	2019-03-13

    Disable automatic zoom to problem when fixing errors on geometries

    Single geomtry checks (is valid) are exuted on the fly, if the map canvas suddenly
    changes the current extent while fixing a geometry this becomes very nervous for
    a user.

Matthias Kuhn <matthias@opengis.ch>	2019-03-06

    Make default geometry checks configurable via settings

Matthias Kuhn <matthias@opengis.ch>	2019-03-02

    Clear and load in getFeatures()

Matthias Kuhn <matthias@opengis.ch>	2019-03-02

    Copy data for background threads

    reduce requirements to run code on main thread which risks freezes
    because of deadlocks

Matthias Kuhn <matthias@opengis.ch>	2019-03-01

    Properly connect deleters

    fixes a crash

Matthias Kuhn <matthias@opengis.ch>	2019-03-01

    Avoid working on temporary geometries

Matthias Kuhn <matthias@opengis.ch>	2019-03-01

    Prepare geometry engine

    for improved performance

Matthias Kuhn <matthias@opengis.ch>	2019-03-01

    Avoid working on reference to temporary objects

    fixes a couple of crashes in geometry validation

Matthias Kuhn <matthias@opengis.ch>	2019-02-28

    Add topological points on layers with configured precision

    The tolerance was hardcoded to 1mm before.

Matthias Kuhn <matthias@opengis.ch>	2019-02-27

    Fixes

Matthias Kuhn <matthias@opengis.ch>	2019-02-27

    Only report topology errors in affected features

    The geometry validation only works on the current edit session (added / edited geometries). To detect topology
    errors it is required to also get more features within the context, therefore, the bounding box of the edited
    geometries is taken to populate the list of features to check.

    This commit filters the found problems so only the ones which actually affect one of the edited geometries
    will be reported.

Matthias Kuhn <matthias@opengis.ch>	2019-02-27

    Better error location for missing vertex errors

    When showing a missing vertex error, the map canvas is now centered on the missing vertex
    location and scaled by taking neighbouring vertices into account.

Matthias Kuhn <matthias@opengis.ch>	2019-02-27

    Allow deactivating is valid checks in an edit session

    If an is valid check is deactivated in an ongoing edit session, all check results
    are invalidated and removed. This will help a user to save his edits if he wants
    to even if is valid checks have been activated before.

Matthias Kuhn <matthias@opengis.ch>	2019-02-27

    Make geometry validation automatic resolutions experimental

    The automatic resolutions work unreliably (mostly due to geometry precision) and
    therefore cannot be use reliably. Therefore they should rather be treated as a
    technology preview which can be opted into for the moment.

Matthias Kuhn <matthias@opengis.ch>	2019-02-27

    Improve Geometry Validation Dock Layout

    This reduces distance between the error list and the buttons to zoom to the location.

Merge: b0024dcc72 6f02e823cf
rldhont <rldhont@gmail.com>	2019-03-18

    Merge pull request #9418 from rldhont/unittest-qgis-server-wfs-getfeature-bbox-3_4

    [Server] Add unit test for WFS GetFeature with BBOX param without EPSG

Merge: 54c4cf4c17 87a26c6768
Hugo Mercier <hugo.mercier@oslandia.com>	2019-03-18

    Merge pull request #9513 from qgis/backport-9494-on-release-3_4

    Backport #9494 on release-3_4

Merge: bd54f9a28d d8ec96f640
Alessandro Pasotti <elpaso@itopen.it>	2019-03-14

    Merge pull request #9508 from qgis/backport-9502-on-release-3_4

    Backport #9502 on release-3_4

Alessandro Pasotti <elpaso@itopen.it>	2019-03-11

    [db-manager] Invalidate sqlite connection if it was created in another thread

    Fixes #21028 - DB manager: SQLite objects created in a thread can only be used in that same thread

Hugo Mercier <hugo.mercier@oslandia.com>	2019-03-13

    Allow the strength of provider constraints to be set to soft

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-08

    [postgres] Fix estimated metadata queries fail for huge tables

    Fixes #21517

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-13

    Layer CRS validation is NOT thread safe, and can cause crashes
    when a layer with unknown CRS is loaded in a background thread

    We can't queue the connection to prompt for CRS (or warn via
    messagebar), because the slot uses a modifiable reference which
    may be deleted before the queued slot is called.

    We also can't do ANY gui related stuff when this occurs. Best
    we can do is log a warning and move on...

lbartoletti <loic.bartoletti@oslandia.com>	2019-03-12

    apply martin's review

lbartoletti <loic.bartoletti@oslandia.com>	2019-03-05

    remove useless variable mSnappedToVertex

lbartoletti <loic.bartoletti@oslandia.com>	2019-03-04

    Needs to snap point too when CadDockWidget is enabled. Fixes #18138

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-12

    Fix warning when opening attribute table

    When init()ing QgsDualView through the attribute table it is
    usually done BEFORE the model has been populated, so this code
    has no effect and throws a warning.

    There's no feature regression by removing this - the first
    entry is still selected by default (elsewhere)

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-12

    Fix broken string

Julien Cabieces <julien.cabieces@oslandia.com>	2019-03-12

    Allow Constraint widget in attribute type form to be empty so expression could be removed (#9229)

    * fixes #20516 : Allow Constraint widget in attribute type form to be empty so expression could be removed

    * Change 'since' version to 3.4.6

nirvn <nirvn.asia@gmail.com>	2019-03-12

    [themes] Fix missing visual hint for disabled tabs

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2019-03-08

    Better GRASS r.series description to help workaround a limitation of Processing

Julien Cabieces <julien.cabieces@oslandia.com>	2019-01-31

    fixes #20872 : Manage postgres multidimensionnal array

Alexander Bruy <alexander.bruy@gmail.com>	2019-03-10

    [processing] fix handling of the multiple layers parameter when inputs
    are plain files

Merge: 6bccc8ea6d 06c9401c06
Martin Dobias <wonder.sk@gmail.com>	2019-03-11

    Merge pull request #9472 from wonder-sk/backport-34-fixes-3d

    Backport 3D fixes to 3.4

Martin Dobias <wonder.sk@gmail.com>	2019-03-11

    [3d] Fix 3D polygon symbol to work with geometry collection

    Some data sources report their geometry type as multi-surface
    (a collection of polygons and curve-polygons) and so we should handle
    them as well.

    (manually backported from 4a554d24abd53e9b6942302d22566452362ffcfb)

Martin Dobias <wonder.sk@gmail.com>	2019-03-10

    [3d] fix crash when switching terrain generator (fixes #21538)

    The problem was introduced in PR #8828 when fixing issue #20963

    This fix immediately deletes terrain entity on generator change
    and informs other code about that + identify map tool is now aware
    of the fact that terrain entity may be temporarily null.

    (cherry picked from commit 4a6151ab481322b44fe4b02e190b9835e714e528)

Martin Dobias <wonder.sk@gmail.com>	2019-03-10

    [3d] Fix crash if the input data contain some empty polygons

    (cherry picked from commit 3b9833150201ac11f4e90676d845dff27513ea7f)

Martin Dobias <wonder.sk@gmail.com>	2019-03-09

    [browser] Fix addition of PostGIS layers with unknown CRS

    When a PostGIS table does not have CRS specified (srid == 0) then
    it was not possible to correctly load it from browser (but it worked
    from DB manager). The problem was that browser item used negative
    srid in layer URI, messing up everything.

    Also fixed the display of srid in tooltip (it says "unknown" rather
    than showing -2147483648)

    (cherry picked from commit 6c79fffc5eac2a3146799f7fd605a61e38b9d942)

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-03-09

    alternative

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-03-09

    [plugin manager] Call abort before disconnecting finished

Merge: e264f23fe8 dc8db481df
Alexander Bruy <alexander.bruy@gmail.com>	2019-03-10

    Merge pull request #9457 from alexbruy/backport-batch

    [processing] add missed imports to batch panel (fix #21486)

Alexander Bruy <alexander.bruy@gmail.com>	2019-03-09

    [processing] add missed imports to batch panel (fix #21486)

    (cherry picked from commit 80dd6d5203f448c2298a0c7e437febb360d18938)

Merge: 85430b54d3 9fa30c120c
Matthias Kuhn <matthias@opengis.ch>	2019-03-08

    Merge pull request #9430 from qgis/backport-9421-on-release-3_4

    Backport #9421 on release-3_4

rldhont <rldhont@gmail.com>	2019-03-07

    [Server] Add unit test for WFS GetFeature with BBOX param without EPSG

Raymond Nijssen <r.nijssen@terglobo.nl>	2019-03-07

    Hide orange measure line and points while measure tool is inactive

nirvn <nirvn.asia@gmail.com>	2019-03-08

    [plugin manager] Set view to all plugins when clicking a tag hyperlink

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-07

    Fix paletted raster renderer does not respect correct band when rendering

    Fixes #21505

Merge: c8a0051af9 99a0167667
Matthias Kuhn <matthias@opengis.ch>	2019-03-07

    Merge pull request #9412 from m-kuhn/nm-autogenerated-backport-3_4

    Fix n:m relations in autogenerated attribute forms

Matthias Kuhn <matthias@opengis.ch>	2019-03-06

    Fix n:m relations in autogenerated attribute forms

    Fix #16446
    Fix #21491

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-07

    Update test

Alexandre Neto <senhor.neto@gmail.com>	2019-03-05

    Fixed data-defined description for page sizes

    (cherry picked from commit 47f1f4c5bb0d0d8569506f5f93a43c4d8a91eced)
    (cherry picked from commit a185a266180be9351f58c0565ed10280a360590a)

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-05

    [processing][saga] Difference and symmetric difference algorithms have known issues in SAGA LTR

    (cherry picked from commit 8bef710cea2b20be873762d207ad83526982a54b)
    (cherry picked from commit bebda579f53203ff5cf19f66fd103bb28183a303)

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-05

    [processing][needs-docs] By default, hide algorithms with known issues from toolbox

    And add a Processing setting to allow these to be shown. When shown, they
    are highlighted in red with a tooltip explaining that the algorithm
    has known issues

    (cherry picked from commit 63d648738d893890a48ab3fea175ded725f648e2)
    (cherry picked from commit 0b412166e621701fac903067dec5a86089a4d15c)

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-04

    [processing] Avoid more deprecation warnings from external libraries

    (cherry picked from commit 2ff0d5919ce8c4d069757105f8133f23198cfd84)

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-04

    [processing] Fix initial zoom of models on hidpi displays

    Fixes #16456

    (cherry picked from commit 723051b291099e2e707941ae43590025e953bd6b)

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-04

    [processing] Fix items are not correctly placed in model designer
    when view is not set to top-left of model scene

    (cherry picked from commit 8154008dafd9ff641816bda80b6a3c03c89de165)

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-04

    [processing] Fix crashes and random behavior after dropping algorithms
    to model designer

    Also fixes drag and drop within the algorithm parameter dialog and
    the qt warnings thrown during these operations

    (cherry picked from commit 30f786c12975394c71bbe57d0b47af8ab59c547e)

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-05

    [processing][GRASS] Fix exceptions on Python < 3.6

    Fixes #21173

    (cherry picked from commit 5fca18c4ae2c4df833fa0b687bd7e1d15ff39499)

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-05

    [processing] Add flag for algorithms with known issues

    (cherry picked from commit c0640c67b01b3db04b8f256852b753488e41a445)

lbartoletti <loic.bartoletti@oslandia.com>	2019-02-27

    Add FreeBSD for SagaUtils

    (cherry picked from commit f87c447d34ba55a894d750d209b4b555b142ce5d)

Matthias Kuhn <matthias@opengis.ch>	2019-02-20

    Geometry validator: do not report result summary as error

    (cherry picked from commit 968e08c6c9e82d1e7937665a10cfd431710c8beb)

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-05

    fix build

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-14

    Fix pasting linestring into polygon layer should auto convert to polygon

    (And polygon->lines, lines->points, polygon->points, etc)

    Fixes #21213

    (cherry picked from commit 71bdc3192df71aa6a5ca437ff435bd94557a85d6)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-24

    [needs-docs][processing] Add option to check validity alg to ignore self-intersection
    causing rings errors

    By default the algorithm now uses the strict OGC definition of polygon validity, where
    a polygon is marked as invalid if a self-intersecting ring causes an interior hole.
    If the "Ignore ring self intersections" option is checked, then this rule will be
    ignored and a more lenient validity check will be performed.

    Refs #16418, refs #21336

    (cherry picked from commit 49742c302afb97e6272ce8b6b3a806014cdbdb5b)
    (cherry picked from commit 66cd7e93024f432a9ebd98258dee74ac49834d1f)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-24

    By default, validity check should treat ring self intersections as invalid

    We use the OGC definition of validity to ensure consistent results
    with PostGIS, GDAL, etc

    Fixes #16418, fixes #21336

    (cherry picked from commit 4e04d02293637923e065afba3f3b962249a9ca78)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-24

    Avoid firing up a thread for blocking GEOS based validity checks

    It's an unnecessary expense. Also fix duplicate code.

    (cherry picked from commit 35f613d45ed305edfe5a6f65c370411513524f84)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-24

    Add QgsGeometry::isGeosValid option to ignore self-touching rings

    (cherry picked from commit 6dbe4ee5fb7ba5d8a36d843355c54e6dea12328e)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-25

    Useful tooltips for length/precision widgets

    Because *I* always get tripped up by these!

    (cherry picked from commit 0a1d6444e3960f6815bee0383a88690faebddce8)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-26

    [browser] Always open xlsx/csv/ods files as layers, instead of just
    checking the file extension (by default)

    These formats are inexpensive to open, and doing so allows browser to
    display all sheets from the files in the tree (and gives correct
    'no geometry' icon for the file)

    (cherry picked from commit 8105905189e34f862a9cdb0d3c5f32b4ad1d4c49)

lbartoletti <loic.bartoletti@oslandia.com>	2019-02-27

    BSD patches

    (cherry picked from commit 34a0650177f51ee3b38bbfc686a59e230adfc5ab)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-28

    Don't ever call Py_Finalize -- causes segfaults on exit

    (cherry picked from commit 16c114bf4eea35cc4a1ed2f072b37a8c65e4ed93)
    (cherry picked from commit ad9aa75242fc66db2292a87febcb7e47d66a361d)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-28

    Fix missing SIP_VERSION preprocessor macro

    Was breaking all #if SIP_VERSION checks - most importantly
    preventing exitPython() from being called correctly on QGIS
    exit.

    (cherry picked from commit 28df1b4651767d87d181b9824292b86db7f320ed)
    (cherry picked from commit dee5ecb726b1d0416e0843a115bca12a21783d92)

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-02

    Silence annoying PyQt5.uic.loadUiType deprecation warnings

    These aren't our fault -- they come from the PyQt library itself,
    so we may as well hide them and avoid the noise.

    (cherry picked from commit b53d64bfb0b234cbd5a25fd57d9f07f7309e444c)

Julien Cabieces <julien.cabieces@oslandia.com>	2019-03-03

    Optimise retrieval of feature from context


    (cherry picked from commit 4113505dea95cf685def7db458bb7d44ab17a309)

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-04

    [processing] Force regeneration of primary key for more algorithms

    Fixes #21445

    (cherry picked from commit ce5faa152423c8edaa1c97cd9a5be78557ed6f83)

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-05

    Fix newline characters break embedded expressions

    Fixes #21471

    (cherry picked from commit daeb3d84f7d3b4a0b4e3daab4140951c637ef88a)

backporting[bot] <backporting[bot]@users.noreply.github.com>	2019-03-07

    avoid triggering twice build of PyQGIS docs (#9408)

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-03-06

    create CCACHE dir

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-03-06

    do not hang when running docker

Merge: b123b535a4 bc4ec90151
Matthias Kuhn <matthias@opengis.ch>	2019-03-06

    Merge pull request #9402 from qgis/backport-8818-on-release-3_4

    Backport #8818 on release-3_4

signedav <david@opengis.ch>	2019-01-09

    tests for layernodeproperty "showFeatureCount"

    fixes https://github.com/opengisch/Vogelwarte_QField_2019/issues/4

signedav <david@opengis.ch>	2019-01-09

    copy property back on synchronize back

signedav <david@opengis.ch>	2019-01-09

    copy showFeatureCount property to the new LayerTreeNode

nirvn <nirvn.asia@gmail.com>	2019-03-06

    [plugin manager] Guard from overly wide layout for read-only plugins

nirvn <nirvn.asia@gmail.com>	2019-03-06

    [plugin manager] Clean up description and about text by stripping HTML code

nirvn <nirvn.asia@gmail.com>	2019-03-06

    [plugin manager] Allow search by tags via clicking on individual tag

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-03-05

    fix copying from container

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-03-05

    fix CCACHE dir

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-03-05

    simplify CI scripts (#9387)

    by separating the testing and docker image building scripts
    there was almost no redundany in the scripts, it is much clearer now

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-03-05

    fix Travis build trigger

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-03-05

    fix mkdir ccache_dir

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-03-05

    add a second cache directory for Docker image building

    because they just take too much time

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-03-05

    trigger PyQGIS Doc Travis build after pushing new image on Docker hub

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-03-05

    [asf] Fix parsing of polygons

AnikaBettge <37300249+AnikaBettge@users.noreply.github.com>	2019-03-04

    Fix default setting for ew_step and ns_step parameter

    Fix default setting for ew_step and ns_step parameter which must be "none" rather than 1.5 (which leads to wrong default values in GRASS GIS)

nirvn <nirvn.asia@gmail.com>	2019-03-04

    [asf] Use a bulletproof where clause to retrieve object IDs

Merge: ad149db712 f4ec69b739
Matthias Kuhn <matthias@opengis.ch>	2019-03-04

    Merge pull request #9356 from qgis/backport-9348-on-release-3_4

    Backport #9348 on release-3_4

Matthias Kuhn <matthias@opengis.ch>	2019-03-04

    Fixfix backport filter blahblah

Merge: ecef55e2ed 44d7644ef9
Matthias Kuhn <matthias@opengis.ch>	2019-03-04

    Merge pull request #9335 from qgis/backport-9328-on-release-3_4

    Backport #9328 on release-3_4

Matthias Kuhn <matthias@opengis.ch>	2019-03-04

    Fix backport branch filtering for travis

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-03-04

    [vertex tool] highlight vertices of locked features when not selected

Matthias Kuhn <matthias@opengis.ch>	2019-03-04

    Do not run travis on backport branches

    We only need to run them on the pull request, not on the push

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-03-02

    remove unused static member

AnikaBettge <37300249+AnikaBettge@users.noreply.github.com>	2019-03-04

    Fix default setting for gauss parameter

    Fix default setting for gauss parameter which must be "none" rather than 0 (which leads to empty maps as gauss=0 is unhelpful)

Merge: 541f0c0178 21c93a0f3a
Matthias Kuhn <matthias@opengis.ch>	2019-03-04

    Merge pull request #9334 from m-kuhn/fix-auth-manager-crash-on-exit-release-3_4

    Fix auth manager crash on exit release 3 4

Nyall Dawson <nyall.dawson@gmail.com>	2019-03-04

    [processing] Fix exception when picking extent from layer

    Fixes #21456

Matthias Kuhn <matthias@opengis.ch>	2019-03-02

    Indentation fix

Matthias Kuhn <matthias@opengis.ch>	2019-03-02

    Some tests rely on the current dinitialization order

Matthias Kuhn <matthias@opengis.ch>	2019-02-26

    Disconnect any leftover connections when destroying auth manager

    If one of these connections is triggered after destruction of auth manager, bad things happen because the slot tries to access the mutex which has gone for good along with the auth manager itself.

Matthias Kuhn <matthias@opengis.ch>	2019-02-26

    Delete authentication manager after destruction of the providers

    The providers may still have threads running that use the authentication manager and their finished signal might trigger logic in the authentication manager.

Matthias Kuhn <matthias@opengis.ch>	2019-03-02

    Never assume anything

    because when you do, reality will teach you better

Juergen E. Fischer <jef@norbit.de>	2019-03-03

    backport german translation fixes

Juergen E. Fischer <jef@norbit.de>	2019-03-02

    german translation update

Juergen E. Fischer <jef@norbit.de>	2019-03-01

    backport processing help support (from 2f431bc1f3)

    (cherry picked from commit 263f54cf8ed0f688fe2f8bd825101d3544833305)

Juergen E. Fischer <jef@norbit.de>	2019-02-22

    dwg import: implement suggestion from #21330

    (cherry picked from commit 6bf2d9d4500977c65630add31bb2246f063e20e8)

nirvn <nirvn.asia@gmail.com>	2019-03-01

    [themes] Restrict QPushButton min-width to raster calculator dialog

Merge: de0aedec04 a6cdf719d2
Matthias Kuhn <matthias@opengis.ch>	2019-03-01

    Merge pull request #9206 from m-kuhn/backport-fix-help-button-group

    Backport help button links on vector layer properties

Merge: 06f595b16b de0aedec04
Matthias Kuhn <matthias@opengis.ch>	2019-02-28

    Merge branch 'release-3_4' into backport-fix-help-button-group

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-25

    [layouts] Fix attribute table filtering not utilising expression context

    Fixes #21078

Merge: 4311a46232 8ba90fc441
Matthias Kuhn <matthias@opengis.ch>	2019-02-27

    Merge branch 'release-3_4' into backport-fix-help-button-group

Merge: fb81ce6803 15585cedd4
Blottiere Paul <blottiere.paul@gmail.com>	2019-02-27

    Merge pull request #9287 from signedav/scale_getlegendgraphic_backport-3_4

    Backport 3.4 Scaled symbols on GetLegendGraphics

David Signer <david@opengis.ch>	2019-02-26

    travis builded images for tests

David Signer <david@opengis.ch>	2019-02-26

    typo

David Signer <david@opengis.ch>	2019-02-26

    update docu since 3.8
    (cherry-picked from 6b09be7f32a7a8630c4f2a6b611dc8dc9c6e79ff) and resolved conflicts

David Signer <david@opengis.ch>	2019-02-25

    tests for scaled symbol sizes
    with expected images from travis

    (cherry-picked from de96fc75fa362a99522fc94c9a1cf48cb1524db7 8d1ceda878aa203227c84e98a239effe39943d3b 61ceeb79682f1472c18332b535edb1989cefd95c)

David Signer <david@opengis.ch>	2019-02-21

    use scale and mapUnitsPerPixel from map parameters bbox and size. in case bbox and size is given in the GetLegendGraphics request, the size of symbols defined by map units is calculated regarding the scale of t$
    calculate mMmPerMapUnit with mapUnitsPerPixel to avoid to have redundant info
    fixes #21309

    (cherry-picked from a04f91b840f8bce5cbcbd9d9211fa3aa6fe236c5 7de50a016d896281be2192cf20986f052c411722 3e861635143cb2a7055602bdf369dbcb66fdac25) and resolved conflicts

Juergen E. Fischer <jef@norbit.de>	2019-02-03

    backport dwg import fixes

    fec20ae0e  dwg import: less noisy noise reduction
    3aa2d9ff9  dwg import: catch spline misinterpretation (fixes #20392)
    1a96982d3  dwg import: fix handling of arc and splines in hatches
    6090a932c  dwg import: less noisy debugging
    92e7faab6  dwg/dxf import: fix angle and alignment handing of (m)texts
    0f6421df5  dwg import: use Q_DECLARE_TR_FUNCTIONS in QgsDwgImporter
    f12cac7cb  dwg import: progress display
    e1562a7f1  dwg import: support dxf encoding (fixes #15999)
    b8c727f1d  dwg import: force polyline and hatch/ring continuity
    355deb590  dwg import: fix exception (fixes #21177)
    d84c34e0b  dwg import: support nested blocks (refs #20392)
    fd15c3e5b  dwg import: handle wrong hatch interpretation (refs #20392)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-12

    srs.db add Australian entries

    insert into tbl_datum_transform VALUES (8447,100020,4283,7844,9615, 'GDA94_GDA2020_conformal_and_distortion.gsb', null, null, null, null,null, null, 'Conformal + Distortion: includes regional distortion',null,1,0,2575);

    insert into tbl_datum_transform VALUES (8446,100021,4283,7844,9615, 'GDA94_GDA2020_conformal.gsb', null, null, null, null,null, null, 'Conformal: predominantly plate tectonic motion (~1.8m NNE)',null,1,0,2575);

    insert into tbl_datum_transform VALUES (1804,100022,4203,4283,9615, 'National_84_02_07_01.gsb', null, null, null, null,null, null, 'Full coverage two-way transformation file in those states that originally adopted AGD84 - West Australia, South Australia, Queensland',null,1,0,2576);

    insert into tbl_datum_transform VALUES (1803,100023,4202,4283,9615, 'A66_National_13_09_01.gsb', null, null, null, null,null, null, 'Full national coverage two-way transformation file',null,1,0,2575);

    (cherry picked from commit fb324f3e4385504c72042c2581674924062257a8)

Alessandro Pasotti <elpaso@itopen.it>	2019-02-23

    Fix db manager sql query

    Fixes #21353

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-25

    Fix regex used to replace [% %] expressions in text

    Was incorrectly truncating at first ']' character

    Fixes #21366

    (cherry picked from commit cab2dcf62cedad069ea64c379efcdc2f258adcd0)

Víctor Olaya <volayaf@gmail.com>	2019-02-22

    [processing] do not allow using unsupported file formats

    Show warning message if user selects incompatible output file format

    fixes #21089

    (cherry picked from commit 13bff9620c39e110852f4623e3ad9c3ec5ba260c)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-24

    Fix space inserted at start of graduated legend entries

    Fixes #21339

    (cherry picked from commit 0efa0b1dde5243be7970bda1be806d101165565f)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-24

    [processing] Fix "Add geometry attributes" handling of multipoint geom

    For multipoints, export the count of geometries only

    (cherry picked from commit ec1218314df5673f365e0706c6b0485d2a9fcdbd)

JF Perini <21315242+fjperini@users.noreply.github.com>	2019-02-22

    fix error: call to 'abs' is ambiguous

    (cherry picked from commit a020d479b4f49ab56d515f61182d64a03d0b77d0)

Merge: a887b7d34b d7e321edf2
Denis Rouzaud <denis.rouzaud@gmail.com>	2019-02-25

    Merge pull request #9275 from 3nids/vertextool_34

    vertex tool / editor synchronisation backport 3.4

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-02-22

    use bool variables instead of connecting/disconnecting signals

    also move simple QgsVertexEntry to qgsvertexeditor.h

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-02-22

    fix updating vertex selection

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-02-22

    fix updating table selection

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-02-22

    only select vertices from locked feature again

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-02-22

    correctly keep/clear vertices selection when switching locked feature

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-02-21

    synchronize selection from the editor to the tool

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-02-21

    remove vertex highlighting from editor

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-02-21

    followup rename

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-02-21

    remove uselesss method, move code to constructor

    and initialize in header

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-02-21

    also rename file and class

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-02-21

    [vertex tool] rename mSelectedFeature to mLockedFeature

volaya <volayaf@gmail.com>	2019-01-24

    [processing] Fixed SAGA handling of non-ascii output files

Bas Couwenberg <sebastic@xs4all.nl>	2019-02-24

    Fix spelling errors.

     * cancelation -> cancellation
     * hapenning   -> happening
     * overal      -> overall

Juergen E. Fischer <jef@norbit.de>	2019-02-23

    fix german mesh translation

Juergen E. Fischer <jef@norbit.de>	2019-02-22

    Release of 3.4.5

Juergen E. Fischer <jef@norbit.de>	2019-02-22

    fix build warning with msvc

    (cherry picked from commit 130f3edde9859944764150e3c4517afa3e99b2f1)

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-02-22

    [legend] Fix alignment and chopped off text of collapsed data-defined size legend symbol (#9228)

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-02-21

    update model [vertex editor] (#9212) (#9238)

    * [vertex editor] update model

    instead of erasing/creating each time

    * do not save layer in model since it's already in the selected feature

Juergen E. Fischer <jef@norbit.de>	2019-02-22

    dxf export: don't label invisible features (fixes #19604)

    (cherry picked from commit c389fad1ad0396cf9914dedc8d2e9a9c303cd8f8)

Juergen E. Fischer <jef@norbit.de>	2019-02-22

    dxf export: fix output of closed 3d polylines (fixes #20242)

    (cherry picked from commit 56ec47328b9e24951b51c00144221c95f88c6c83)

Juergen E. Fischer <jef@norbit.de>	2019-02-22

    dxf export: fix svg scaling

    (cherry picked from commit 4b55dbef0b60349c74e40d9fd0109f33bca19510)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-22

    Fix misleading template

    (cherry picked from commit e9c7c86aba8f60b9c4236895552de5b633c2c501)

Juergen E. Fischer <jef@norbit.de>	2019-02-21

    german translation update

Juergen E. Fischer <jef@norbit.de>	2019-02-21

    update splash screen

Etienne Trimaille <gustrimaille@yahoo.fr>	2019-02-16

    keep comments when save as preset or file, remove lines starting by "--" in DBManager

Even Rouault <even.rouault@spatialys.com>	2019-02-21

    QgsGmlStreamingParser: fix parsing of GML geometries with srsDimension='3' set on posList element (fixes #21335)

Martin Dobias <wonder.sk@gmail.com>	2019-02-20

    Make sure not to crash if there are no alternatives for right click

    (cherry picked from commit 3d99fd5a04c93fab1ce12d4d9e08993537f7fbe8)

Martin Dobias <wonder.sk@gmail.com>	2019-02-20

    Fix issue with selection of vertices of locked feature (fixes #21283)

    When user was coming with mouse to a vertex of the locked feature
    from a different feature, it could happen that the vertex would not
    get picked by vertex tool - this was because snapToEditableLayer()
    keeps the last snap which would belong to a different feature, but
    that feature was not allowed (blocking a new snap).

    The fix makes sure that with a locked feature its matches always win.

    (cherry picked from commit aec87a0a895d11fa9d054a979f0e02a3b4bb0c78)

Martin Dobias <wonder.sk@gmail.com>	2019-02-20

    Continue loop of locked features after mouse move

    A small UX improvement: after right click in a location with feature A and B,
    we would do a loop A - B - nothing - A - B - nothing ...
    But if after first click to get A locked user would move the mouse a bit,
    the loop would get broken and would end up with A - nothing - B - nothing - A - B - nothing
    The fix is to identify where we are in the cycle and set the index correctly after mouse move.

    (cherry picked from commit 7831f3ef236b644ce2a48c503e43a613b30cc028)

Martin Dobias <wonder.sk@gmail.com>	2019-02-20

    Do not keep highlight when locking/unlocking feature

    It was a bit strange effect when locking feature... when moving mouse
    over a feature it would have highlight, then on right click it would
    also get vertex editor square markers in addition to the highlight, but
    then immediately after mouse move the original highlight would be gone.
    Now it's simplified so that feature highlight on right click gets removed.

    (cherry picked from commit 6fd21c2f7ced87facb4b8fe4f85d925665eda6f2)

Merge: 013ff5795e 5adb34da97
Alessandro Pasotti <elpaso@itopen.it>	2019-02-21

    Merge pull request #9215 from elpaso/release-3_4-backports

    Release 3 4 backports

nirvn <nirvn.asia@gmail.com>	2019-02-21

    Remove expression's not-yet-prepared warning

Timothé Perez <timothe@pragma-innovation.fr>	2019-02-06

    Fix Postgresql connection reset not being called

    PQreset was never called if the query was made using mConnectionRO
    from the PostgresProvider, resulting in an always failing state.
    Fixes #20170

    (cherry picked from commit f30a15ccecfd0e94828a82e33b38260623c2eeec)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-20

    Update test

    (cherry picked from commit 2609d9f05742c863831d8cd639c3d1e2a41288e1)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-20

    Fix feature request containing a filter expression which needs
    both geometry and the magic all attributes flag

    (cherry picked from commit 33aa63b85515cf0cbff161e3f14b117550fd9bfe)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-20

    [layouts] Fix hidden coverage atlas setting is ignored when exporting atlas to images

    Fixes #21243

    (cherry picked from commit eceaea8c355f77b5167e26f0a33652fc11b03e1e)

Alessandro Pasotti <elpaso@itopen.it>	2019-02-20

    Revert "Merge pull request #9164 from elpaso/bugfix-21227-layer-rename-styles"

    This reverts commit 0d95ec854d6329ac1da5d95c65c34b1c34308ef1.

dulle droid <wdedulle@gmail.com>	2019-02-18

    #21264 bug in saga algorithm python

    (cherry picked from commit edbfb0a1dfd489c9a1ba3b581117e5e62b78e571)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-19

    [processing][gdal] Ensure no filename clashes occur in writeLayerParameterToTextFile

    (cherry picked from commit e5a416ea11fb65ca19293de3acdd11bff7adc87d)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-18

    [processing] Use text file for input file list to gdal tile index alg

    Avoids too long command being generated with many inputs

    Fixes #21296

    (cherry picked from commit 342c093d91d497d322b66b3c02e502dd9fae2e12)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-19

    layer_property expression function should use proper layer metadata
    for return values where available

    ...instead of the older, server-specific properties

    This affects:

    - layer_property(...,'title')
    - layer_property(...,'abstract')
    - layer_property(...,'keywords')
    - layer_property(...,'attribution')

    (cherry picked from commit 68b460277e9f60017d5ad1fb2c1087537747d62c)

Etienne Trimaille <gustrimaille@yahoo.fr>	2019-02-19

    add some optional flags in make_polygon expression

    (cherry picked from commit 06fab90981343551f2c5db389f96fd3993cdf284)

Timothé Perez <timothe@pragma-innovation.fr>	2019-02-06

    Fix condition to enable pgsql insert optimization

    Fixes a condition to enable Postgis provider insert optimization
    (by skipping the PK column if its default is a sequence)
    The check must ensure that each row value is also not the SQL
    default of nextval('seq'::regclass), otherwise the condition will
    not be met

    (cherry picked from commit f071030019ea6c7b3fa448ec17607663f329f5c8)

lbartoletti <loic.bartoletti@oslandia.com>	2019-02-13

    [BUGFIX] fixes #20829 Snapping options in meters rounded to integers

    (cherry picked from commit 50c9b2394e5b62a2421b0241799577f011a6de32)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-20

    Fix loss of precision when converting fields to uri in memory provider

    Fixes #21316

    (cherry picked from commit f3cb3488ec5b1edca298833c6a982fe77b056e59)

Alessandro Pasotti <elpaso@itopen.it>	2019-02-20

    Fix merge conflict leftover

Alessandro Pasotti <elpaso@itopen.it>	2019-02-20

    Merge pull request #9193 from elpaso/bugfix-21270-processing-algrunner-crash

    Processing: fix crash in alg runner task with bad scripts

    Cherry-picked from master commit ff9a65c

Alessandro Pasotti <elpaso@itopen.it>	2019-02-18

    Merge pull request #9191 from elpaso/bugfix-21259-geomchecker-crash

    Geom checker plugin: don't crash if feedback is 0x0

    cherry-picked from master commit 377040a

Alessandro Pasotti <elpaso@itopen.it>	2019-02-16

    Merge pull request #9181 from elpaso/bugfix-21287-rule-based-double-else2

    Rule based renderer: check for scale in rulesForFeature

    Cherry-picked from master commit 2c25c3d

Alessandro Pasotti <elpaso@itopen.it>	2019-02-14

    Merge pull request #9170 from elpaso/bugfix-21254-load-style-from-db

    [ogr] Show style description instead of name in other styles

    Cherry-picked from master commit 24c09d1

Alessandro Pasotti <elpaso@itopen.it>	2019-02-13

    Merge pull request #9164 from elpaso/bugfix-21227-layer-rename-styles

    Fix GPKG layer rename styles in browser

    Cherry-picked from master commit dabd649

Julien Cabieces <julien.cabieces@oslandia.com>	2019-02-18

    fixes #18421 : Keep options AUTO_REPACK=OFF when reloading data in ogr provider

nirvn <nirvn.asia@gmail.com>	2019-02-20

    [themes] Handle non-existent theme name setting in app stylesheet

Harrissou Sant-anna <delazj@gmail.com>	2019-02-16

    another round of translation

Harrissou Sant-anna <delazj@gmail.com>	2019-02-15

    Add more translation

Harrissou Sant-anna <delazj@gmail.com>	2019-02-10

    Update French translation

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-02-20

    [expression] Add try() function to provide a way to detect and handle

    expressions which can intermittently fail.

Harrissou Sant-anna <delazj@gmail.com>	2019-01-28

    [ui] Add Help button to the "Load Layer Style" dialog (#8986)


    (cherry picked from commit bc4efc9908c6497b69a97f15fafc2e87b2a69f91)

Alessandro Pasotti <elpaso@itopen.it>	2019-01-24

    Fix button order in DB styles dialog and add GPKG delete support

    Fixes #21068

    (cherry picked from commit 90a9852b694acc1aa1a8e84c07efd59b4b6d7d81)

Panos Mavrogiorgos <pmav99@gmail.com>	2019-02-19

    [grass7][mac] Use the most recent GRASS version

    This is backporting: https://github.com/qgis/QGIS/pull/9200
    It is a continuation of:

        * [8db3dea](https://github.com/qgis/QGIS/commit/8db3dead87e385f2798356d1c3048d2b7df73efd)
        * [9efe4c5](https://github.com/qgis/QGIS/commit/9efe4c5f1c99526a8bde125112d9b086fe3d81e7)

    This commit only affects users that have multiple GRASS installations on
    their Macs. Using the most recent GRASS version is what we do on Linux too.

Panos Mavrogiorgos <pmav99@gmail.com>	2019-02-19

    Make it easier to subclass "Grass7AlgorithmProvider"

    Backport of 9202: https://github.com/qgis/QGIS/pull/9202

    After @Nyalldawson suggestion [1], we've implemented a Processing plugin
    that exposes a GRASS Addon [2]. In order to do this we had to subclass
    `Grass7AlgorithmProvider` and override `createAlgsList()`.

    `createAlgsList()` had to be overriden in order to change the
    "description folder" location.

    Nyall wrote:

    > And if you do it right (and only import existing
    > processing grass code, minimising the copy/paste of this code), then
    > your provider will automatically inherit any future fixes and
    > features added to the main grass provider.

    With this commit we convert the `descriptionFolder` to a class attribute
    and in this way, subclasses of `Grass7AlgorithmProvider` will no longer
    have to override `createAlgsList()` and will be able to continue inheriting
    future enhancements.

    References:

    1. https://lists.osgeo.org/pipermail/qgis-developer/2019-February/056155.html
    2. https://gitlab.com/pmav99/estimap_recreation_qgis/blob/948820b1c0068a7112cb67bc8537d8074e9defb1/estimap_recreation_provider.py#L40-59

Merge: 223d26b0ab 754b2e76ea
Luigi Pirelli <luipir@gmail.com>	2019-02-19

    Merge pull request #9162 from luipir/rasterSLD_export_backport-3_4

    Backport of Add SLD 1.0 export for rasters

Harrissou Sant-anna <delazj@gmail.com>	2019-02-19

    Update src/app/qgsvectorlayerproperties.cpp

    Co-Authored-By: m-kuhn <matthias@opengis.ch>

Matthias Kuhn <matthias@opengis.ch>	2019-02-18

    Add links to all vector layer property pages

    Also makes the preexisting link work when translation is enabled.

Matthias Kuhn <matthias@opengis.ch>	2019-02-18

    Fix link to drag and drop designer help

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-02-19

    [themes] Slightly adjust padding of push buttons to match tool buttons

Merge: c4ef769707 3e601813f8
Hugo Mercier <hugo.mercier@oslandia.com>	2019-02-19

    Merge pull request #9192 from mhugo/backports

    Backports

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-18

    Add some missing variable help text

Merge: 12c660a51e 5f28b0d202
rldhont <rldhont@gmail.com>	2019-02-18

    Merge pull request #8876 from rldhont/server-wmts-utils-clean-34

    Cleaning WMTS utils code [Server]

Hugo Mercier <hugo.mercier@oslandia.com>	2019-02-13

    QgsExpression: set setGeomCalculator precedence

    setGeomCalculator, setDistanceUnits and setAreaUnits have now
     precedence over expression scopes.

Hugo Mercier <hugo.mercier@oslandia.com>	2019-02-13

    Fix QgsExpressionNodeColumnRef::prepareNode

    Look also for the attribute in the feature, as it is done by evalNode()

Hugo Mercier <hugo.mercier@oslandia.com>	2019-02-11

    Fix $length in labels (fixes #19355)

    Use the project expression scope to access project
    parameters (ellipsoid and distance/area units)

Merge: cb3e9094b6 b2ee8c0637
Alexander Bruy <alexander.bruy@gmail.com>	2019-02-17

    Merge pull request #9185 from alexbruy/fix-paste

    fix pasting features into vector layer from clipboard (fix #21154)

Alexander Bruy <alexander.bruy@gmail.com>	2019-02-01

    fix pasting features into vector layer from clipboard (fix #21154)

    (cherry picked from commit b38b39cb43bffa80687a4742c3d7ef0f390eaeed)

Tudor Bărăscu <tudor.barascu@qtibia.ro>	2019-02-14

    Enable html5 local storage for qgsexternalresourcewidget and maptips

Matthias Kuhn <matthias@opengis.ch>	2019-02-06

    Do not remove parameters from virtual methods which should be used in python

    These methods did not actually override their parent methods but just coexisted and were never called.

    Fixes compilation with SIP version: 4.19.14

Juergen E. Fischer <jef@norbit.de>	2019-02-15

    Expand ZipItem in foreground (fixes #21268)

    (cherry picked from commit 407adc761ebe224a2d72df65551cdcf2addf1735)

Juergen E. Fischer <jef@norbit.de>	2019-02-15

    german translation update

Martin Dobias <wonder.sk@gmail.com>	2019-02-08

    Fix tests

Martin Dobias <wonder.sk@gmail.com>	2019-02-07

    [vertex tool] do not clear selection of vertices after a move

    The list of selected vertices was getting prematurely cleared.

    Also had to remove a piece of code to select some vertices of the locked
    feature (was causing a crash) but the logic seemed wrong anyway
    (and there is a planned work on sync between vertex editor and tool)

Martin Dobias <wonder.sk@gmail.com>	2019-02-07

    [vertex tool] add new vertex without moving it (shift+double click)

    Obviously this is something that some people find useful, but because
    it is not so common it uses shift modifier.

Martin Dobias <wonder.sk@gmail.com>	2019-02-06

    [vertex tool] "current layer" mode default + locked feature improvements

    When a feature is locked:
    - vertex tool will not highlight other features
    - vertex tool will not allow selection of vertices from other features

Martin Dobias <wonder.sk@gmail.com>	2019-02-05

    Make coverage test happy

Martin Dobias <wonder.sk@gmail.com>	2019-02-04

    [vertex tool] right-click to loop through editable features

    Until now mouse right-click could only select and deselect the highlighted
    feature to "lock" vertex tool (and numerical editor) to it, so that it is
    easier to focus only on editing of the particular feature. It was however
    still difficult to pick the right feature in case there were multiple
    features in one location or very close to each other. This is now solved
    by the fact that repeated right button clicks will loop through the editable
    features. So if there are two features in one location (A, B) then repeated
    right-clicks will select: A - B - nothing - A - B - nothing ...

Martin Dobias <wonder.sk@gmail.com>	2019-02-01

    Add #spellok for a false positive in spelling test

Martin Dobias <wonder.sk@gmail.com>	2019-01-31

    Improvements to the right-click behavior to pick locked feature

    - unlock feature on right-click in an empty area
    - allow selection of locked feature by right-click on polygon interior
      (in addition to polygon rings)
    - highlight polygons when mouse moves in their interior - this should also
      decrease the blinking effect as the highlight is more consistent

Martin Dobias <wonder.sk@gmail.com>	2019-01-31

    Small code cleanup to warm up

Hugo Mercier <hugo.mercier@oslandia.com>	2019-02-01

    Avoid undefined behaviour with signed integer overflow

Juergen E. Fischer <jef@norbit.de>	2019-02-13

    Fix build on xenial (Qt 5.5)

nirvn <nirvn.asia@gmail.com>	2019-02-13

    [themes] Add minimum width for QPushButton widgets (fix tiny raster calc. buttons)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-12

    [postgis] Fix creation of new Z/M enabled, curved geometry type layers

    (cherry picked from commit 07746dbc0e5b34e31e85e944fc6f53113721a696)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-12

    Fix some missing expression context variables in processing expression based widgets

    (cherry picked from commit 60a1d6306fe75c84374d88f0e5fab3731d569097)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-12

    [processing] Correct order of expression scopes in widget wrapper expression contexts

    (cherry picked from commit 2180b63e355436ea721becee3fb0f79ce47dbe28)

Luigi Pirelli <luipir@gmail.com>	2019-02-12

    adapted to 3.4 API

Luigi Pirelli <luipir@gmail.com>	2019-02-12

    document API change from 3.4.5

Luigi Pirelli <luipir@gmail.com>	2019-02-08

    removed default and managed UserDefinedEnhancement as not implemented

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-08

    better English formed message

    Co-Authored-By: luipir <luipir@gmail.com>

Luigi Pirelli <luipir@gmail.com>	2019-02-02

    better a static list to avoid set at every call

Luigi Pirelli <luipir@gmail.com>	2019-02-02

    spellechck do warning if htmls tags in methoid description => fail travis

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    typo

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    fixed spellcheck

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    let travis happy

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    removed unuseful parentheses and removed default

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    removed unuseful parentheses + removed default + forgot an enum

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    typo

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    typo and rephrased

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    typo + #if 0 for todo code

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    better use qgsDoubleNear

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    translated error message

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    removed default in switch

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    removed default and manage forgot enum

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    back to a more safe const method

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    back to const methods

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    use qgsDoubleNear to avoid precision errors

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    \#if 0 instead of comment

Luigi Pirelli <luipir@gmail.com>	2019-02-12

    AStyle

Luigi Pirelli <luipir@gmail.com>	2019-02-01

    use QgsFileUtils::ensureFileNameHasExtension instead

Luigi Pirelli <luipir@gmail.com>	2018-12-18

    Added SLD 1.0 export for rasters

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-12

    Fix fragile test

    (cherry picked from commit 2e20f13279e4184d892976099c883afb3756a026)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-11

    API tweaks

    (cherry picked from commit 9a75976ca45c5a2aea9b017bded2ea481f072094)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-11

    [processing] Fix incorrect parameter definition used when evaluating
    parent layer parameter in the gui for dynamic properties data defined
    buttons

    (cherry picked from commit d3bd1370d6bff3108df51834d635a11bc42e5a61)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-11

    Fix QgsFieldExpressionWidget doesn't correctly emit signals when
    clearing the current expression/field

    (cherry picked from commit 6f6d562ec8da11dcb766755adbbd40df747ae9fc)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-12

    [memory] Optimise iteration, avoid multiple map lookups and an unnecessary expression evaluation

    (cherry picked from commit 51a49812373ae1b38064af33e7a56a49d5a3329e)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-12

    [memory] Fix inefficient memory feature iteration when using a FilterFids request

    The request was not being handled correctly by the provider, resulting
    in the provider iterating through every feature in the layer at every
    attempt to retrieve a particular feature from a list of IDs.

    Greatly speeds up numerous Processing algorithms when working
    with temporary outputs

    (cherry picked from commit 6fb7856b0e47719cfcb3332da914fdfc975be58a)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-12

    [processing] More responsive cancelation for dissolve algorithm

    (cherry picked from commit 916805cf0479e7e972e28fef9c3632aafe80b06c)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-12

    [processing] Field calculator algorithms should not force an upper limit
    on string field lengths

    Don't hold back the algorithms because of outdated format limitations!

    (cherry picked from commit d614ff39e7460434179608a664b7a1399c9f57e3)

nirvn <nirvn.asia@gmail.com>	2019-02-12

    [ui] Harmonize 2D/3D map view toolbars

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-08

    [processing] Buffer algorithm should always export multipolygon layers

    We can never predict when a buffer will create a multipolygon output
    (e.g. for negative buffer sizes), so ALWAYS export multipolygons

    Fixes #21191

    (cherry picked from commit f22f182bcfd7b7f5b5d8f782f3df08ee9d705115)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-08

    [processing] Ensure that distance inputs become expression variables for model child algorithms

    (cherry picked from commit 7e106ef4b78c094a21738f91cdc41bb208f39f91)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-08

    [processing] Simplify algorithm should not run validity checks on geometries

    Simplify (by its intrinsic nature) can output invalid geometries,
    and its processing is not affected by the presence of input
    geometry validity.

    Also tag a few other algorithms which aren't sensitive to input
    geometry validity.

    (cherry picked from commit 9b6367fc1f9f25359f35b28dd97872d761bbb978)

nirvn <nirvn.asia@gmail.com>	2018-12-21

    Don't hard-code black and gray for layer tree items' text color

nirvn <nirvn.asia@gmail.com>	2019-02-11

    [ui] Harmonize CAD panel by using toolbar (fixes hidpi et cie)

Juergen E. Fischer <jef@norbit.de>	2019-02-10

    osgeo4w: fix b6293f23c8c (fixes #21210)

    (cherry picked from commit eea4eda6a35f1a06f84f198249b51b169144c46f)

Juergen E. Fischer <jef@norbit.de>	2019-01-07

    osgeo4w: run python scripts with python3 (fixes #20870)

    (cherry picked from commit b6293f23c8c54602f668f980f50d76ef09271e8a)

nirvn <nirvn.asia@gmail.com>	2019-02-11

    [ui] Harmonize the style dock warning label alignment by centering it

nirvn <nirvn.asia@gmail.com>	2019-02-11

    [themes] Fix missing focus hint for slider widgets

nirvn <nirvn.asia@gmail.com>	2019-02-11

    [themes] Fix style of line edit within combo box

nirvn <nirvn.asia@gmail.com>	2019-02-11

    [themes] Properly style table/list view headers

nirvn <nirvn.asia@gmail.com>	2019-02-11

    [themes] Scroll bar handle can go MIA, add minimum width/height

Juergen E. Fischer <jef@norbit.de>	2019-02-10

    osgeo4w: build with spatialindex 1.9

Alexander Bruy <alexander.bruy@gmail.com>	2019-02-08

    [geonode] more robust version string parsing (fix #21093, #21140)



    (cherry picked from commit 440f8d4cbb655942f868dde9ab23b0cc5d69c3b2)

Merge: c327dec672 aa7e62401c
mhugent <marco.hugentobler@sourcepole.ch>	2019-02-09

    Merge pull request #9143 from mhugent/3_4_itempolyline_end_arrow

    Port of PR 9129 to 3.4 branch

Marco Hugentobler <marco.hugentobler@sourcepole.ch>	2019-02-08

    Add unittest for composer polyline with arrow

Marco Hugentobler <marco.hugentobler@sourcepole.ch>	2019-02-08

    Adapt unit test control images

Marco Hugentobler <marco.hugentobler@sourcepole.ch>	2019-02-07

    Move end arrowhead by half arrow width. Fix for bug #21171

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-02-09

    [themes] Properly style widget focus

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-02-09

    [ui] Move property override button css to default style sheet

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-02-09

    [themes] Fix background color issue within group boxes

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-02-09

    [ui] Enable autoraise state for attribute table form/table view buttons

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-02-09

    [themes] Properly size width of icon-only labeling/mesh tab bar

Merge: 3699529302 a140a4a25a
Matthias Kuhn <matthias@opengis.ch>	2019-02-08

    Merge pull request #9125 from m-kuhn/backport-wmts-getcapabilities-compat

    Append ? to WMTS GetCapabilities

nirvn <nirvn.asia@gmail.com>	2019-02-08

    [themes] Harmonize padding of combobox widgets

nirvn <nirvn.asia@gmail.com>	2019-02-08

    [themes] Add padding for icons in combo box's drop down lists

nirvn <nirvn.asia@gmail.com>	2019-02-08

    [themes] Properly style editable combobox in disabled state

Julien Cabieces <julien.cabieces@oslandia.com>	2019-02-07

    Correct crash when read from ogr file in thread (QgsProcessing for instance)

    fixes #20581

    (cherry picked from commit e948120b7bf42b26eed432c2e2e0b43272c3b8fe)

lbartoletti <loic.bartoletti@oslandia.com>	2019-01-30

    qgsRound: places should be of integer type instead of double

    (cherry picked from commit b4d01e461f16bd55e36510c194f80746f0f0376b)

Juergen E. Fischer <jef@norbit.de>	2019-02-07

    fix substr help (fixes #21192)

    (cherry picked from commit 2bed7ab0018696dba76d2c8053d22633a271486e)

mhugent <marco.hugentobler@sourcepole.ch>	2019-02-07

    Don't add extra linebreak in print composer tables

    Check if remaining text is short enough to go in one line. Fixes #20546

    (cherry picked from commit a774499b95177d7645bc84e4c5243fa7f2f0e530)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-07

    [processing] Fix evaluation of linked parameters in batch mode

    e.g. missing fields after selecting a layer parameter

    (cherry picked from commit 7f3640d8a1a84e7562a8ab78a759f556357c782d)

Even Rouault <even.rouault@spatialys.com>	2019-02-06

    [WFS provider] Correctly compute layer extent when zooming out layer (fixes #20742)

Matthias Kuhn <matthias@opengis.ch>	2019-02-06

    Append ? to WMTS GetCapabilities

    This makes WMTS behave equal to the WMS implementation which already appends a ? in case there is no query string supplied.

    Some parsers rely on a terminating ? to work properly.

nirvn <nirvn.asia@gmail.com>	2019-02-07

    [themes] Insure groupbox checkbox indicator size equals that of normal checkbox

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-07

    Fix build

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-04

    Hidpi icon size fixes

    (cherry picked from commit 15bcbf8c6a57fb533d9ef895def1c98adf81945c)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-04

    Slight improvements to Python docs

    (cherry picked from commit 4b0f6b756c61e02e60322ac30658cadb6cbe5c31)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-04

    Allow for exact calculation of symbol sizes with mixed layer units

    Fixes #21143

    (cherry picked from commit 867e39947b3f24d0b7714cd44e28126b61769340)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-05

    [processing][gdal] Ensure that GDAL algs output the CORRECT
    generated filename for outputs

    Previously they were just echoing the input parameter value,
    which isn't always a string and accordingly was broken for
    temporary outputs. This caused models to break when the output
    of a GDAL algorithm was used in a subsequent model step.

    (cherry picked from commit c93775f6b177ab2f64bd347c9a6f78896cee78dd)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-05

    [processing][gdal] Fix incorrect definition of gdal_warp extra_param parameter

    (cherry picked from commit f54f5a4fe70792f4d7ea376e28edad88c4d35d4a)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-05

    Fix incorrect 'not available in Python' dox

    (cherry picked from commit 715395aa47d4c800cacaf327fa6ed46df219e7b3)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-05

    [processing][needs-docs] Make Find Projection algorithm simpler to use

    We no longer require the seperate CRS parameter, because the extent
    parameter contains the CRS information itself. This means the algorithm
    is simplified to just picking the layer and drawing the desired area
    on the canvas.

    (cherry picked from commit c6f3d5ff483554e7a338c07b2cb22f38b5bf4d36)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-05

    [processing] Port matrix widget wrapper to newer c++ API

    Allows matrix parameters to be correctly set for model child algorithms

    Fixes #20914

    (cherry picked from commit eeff02fc14b96a6d3f95ac2122d1d82654dcf268)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-04

    Allow maximum number of entries to show in relation reference widget
    to be configurable via an advanced setting configuration option

    In some circumstances 100 is not enough

    (cherry picked from commit a97ce698e423d5dc766966b2b3133742ae396c9f)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-05

    [processing][gdal] Fix polygonize field name is ignored

    (cherry picked from commit 06d5b996bfc37f2877ecbf708af608952420ed45)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-06

    [browser] Avoid always opening every file using gdal to test for
    update capabilities

    This is no longer required - it was previously done in order to
    detect if the item should expose the SetCrs capability, but
    that's deprecated and unused.

    Fixes #16807, fixes #20411, and avoids QGIS opening every file encountered in
    the browser even when the Data Source setting is set to the
    default (fast) "Check Extension" setting only.

    (cherry picked from commit 2c64cece0d1a51c37d27c1b11e76d76bb62184f3)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-06

    Deprecate QgsDataItem API for setting item CRS

    This is no longer used by QGIS (it was only ever used by the standalone
    browser)

    (cherry picked from commit d61694cb42669d04fbcdd4e61a8f038a51fcb937)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-06

    Silence some noisy debug messages

    (cherry picked from commit b581a084e13b8e72f383ee242d77a06a0e0f61d1)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-06

    Remove space before line number in log messages

    Because this means you can copy the filename:linenumber combo and
    enter it directly in QtCreator's locator without having to manually
    remove that extra space.

    It's the little things...

    (cherry picked from commit eab1c31f8652dd9445d2466834fb4f5534b67505)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-06

    Fix some hidpi layout issues in options dialog

    (cherry picked from commit d92f9e79f75829a35115853f8fd353dc994bfccf)

Alessandro Pasotti <elpaso@itopen.it>	2019-02-06

    Fix merge error from backports

Simon Wells <simonrwells@gmail.com>	2018-11-16

    fix another include directive for spatialindex

Simon Wells <simonrwells@gmail.com>	2018-11-16

    avoid conflicting geos spatialindex.h include file
    correct includes for spatialindex

Alessandro Pasotti <elpaso@itopen.it>	2019-01-28

    Merge pull request #8985 from elpaso/bugfix-21091-ogr-protocol-download

    OGR: add a download option to the protocol data source [needs-docs]

    Cherry-picked from master 1f8708f270

Alessandro Pasotti <elpaso@itopen.it>	2019-02-05

    Merge pull request #9099 from elpaso/bugfix-21150-file-protocol-path-resolver

    Strip file:// from local files path before resolving

    Cherry-picked from master 185855b

Alessandro Pasotti <elpaso@itopen.it>	2019-02-04

    Merge pull request #9071 from elpaso/bugfix-21100-ogrprovider-missing-quoteidentifier

    Quote field name identifiers in ORDER BY and MAX/MIN queries

    Cherry-picked from master 3c9b6e5e4f

Alessandro Pasotti <elpaso@itopen.it>	2019-02-04

    Merge pull request #9070 from elpaso/bugfix-21121-opencl-16bit-raster

    Fix hillshade renderer with data type != Float32 [opencl]

    Cherry-picked from master 109fcc0

Alessandro Pasotti <elpaso@itopen.it>	2019-01-29

    Merge pull request #8990 from elpaso/bugfix-21086-wfs-field-calculator

    Field calculator: provide a list of default field types

    Cherry-picked from master d61caab

Alessandro Pasotti <elpaso@itopen.it>	2019-01-25

    Merge pull request #8970 from elpaso/bugfix-21077-value-relation-wfs

    Fix WFS context fields variable

    Cherry-picked from master ee0e0e1

Alessandro Pasotti <elpaso@itopen.it>	2019-01-24

    Merge pull request #8958 from elpaso/bugfix-20961-wfs-null-transactions

    Fix NULL support in WFS server and client

    Cherry-picked from master 861a8b7

Alessandro Pasotti <elpaso@itopen.it>	2019-01-23

    Merge pull request #8950 from elpaso/bugfix-opengis-zug-wmsroot

    Fix server WMS short name (unreported)

    Cherry-picked from master de29767

Alessandro Pasotti <elpaso@itopen.it>	2019-01-23

    Merge pull request #8948 from elpaso/bugfix-20198-server-DescribeFeatureType-typename

    Fix server WFS TYPENAME filter in describeFeatureType

    Cherry-picked from master 4909643

Alessandro Pasotti <elpaso@itopen.it>	2019-01-22

    Merge pull request #8929 from elpaso/bugfix-21059-server-post-request-issues

    Fix POST requests for QGIS server

    Cherry-picked from master b129850

Alessandro Pasotti <elpaso@itopen.it>	2019-01-22

    Merge pull request #8924 from elpaso/bugfix-20927-server_exp_filter

    Server WFS EXP_FILTER bugfixes

    Cherry-picked from master 0e0146d

Merge: c2f958db9f 4910b73f4f
Even Rouault <even.rouault@mines-paris.org>	2019-02-06

    Merge pull request #9113 from rouault/fix_20865_3.4_backport

    Ensure stability of QGIS FeatureId when reloading layer [WFS provider]

Etienne Trimaille <gustrimaille@yahoo.fr>	2019-02-04

    fix some HIG and add missing translations in dbmanager

Etienne Trimaille <gustrimaille@yahoo.fr>	2019-02-04

    allow QGZ files in selections

Merge: 57391d809e d9bf6eb006
Matthias Kuhn <matthias@opengis.ch>	2019-02-06

    Merge pull request #8875 from rldhont/bugfix-oracle-compile-expression-like-34

    Add ESCAPE when compiling LIKE for oracle

Even Rouault <even.rouault@spatialys.com>	2019-02-05

    [WFS provider] Ensure stability of QGIS FeatureId when reloading layer (fixes #20865)

Even Rouault <even.rouault@spatialys.com>	2019-02-06

    Add sqlite3_database_unique_ptr::exec (initial author: Matthias Kuhn <matthias@opengis.ch>)

    Partial backport of 49d8060c30c6f7b005bfe3aedb2f9c0c7cce4459
    needed to backport e19bf11f9edc2c40a926fa66aeff200d5fa2eb3e

nirvn <nirvn.asia@gmail.com>	2019-02-06

    [themes] Properly style autoRaise state in  Night Mapping

Merge: 526a6b63d3 9a5143d827
Alexander Bruy <alexander.bruy@gmail.com>	2019-02-05

    Merge pull request #9098 from alexbruy/wcs-backport

    Wcs backport

nirvn <nirvn.asia@gmail.com>	2019-02-05

    follow up d5be855 : fix hasty pasting error

nirvn <nirvn.asia@gmail.com>	2019-02-05

    Fix relationship between scale<->extent in the save [canvas] as image/pdf dialog

nirvn <nirvn.asia@gmail.com>	2019-02-05

    [themes] Get rid of the check mark in combo box drop down lists

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-29

    const correctness

    (cherry picked from commit 92f6eda13b7b0a7479a5fec3267a8bc783396189)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-28

    [wcs] exclude invalid CRSs from the coverage metadata

    (cherry picked from commit 650f4d780ce59dc915419b7a7eb47df5feb2bd52)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-28

    [wcs] improve CRS handling when parsing DescribeCoverage responce (refs #21045)

    (cherry picked from commit 2f7550d1a22ad9813786e78c5a23767f253065e7)

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-02-04

    [ui] Fix tiny vertex marker on hidpi

nirvn <nirvn.asia@gmail.com>	2019-02-04

    [ui] More hidpi-compatibility work for the vertex tool

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-02-02

    [ui] Make vertex tool markers and rubber bands hidpi-friendly

Tom Kralidis <tomkralidis@gmail.com>	2019-02-04

    [MetaSearch] OWS GetCapabilities checking regression (fixes #19787) [needs-docs]

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-02-04

    fix error in scale optimization (#9081)

Juergen E. Fischer <jef@norbit.de>	2019-02-04

    indentation fix

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-01

    Fix misleading dox

    (cherry picked from commit ffa49df9fbbd160381b64c5b6dc2808fbd2b226b)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-01

    [processing][saga] Fix definition of Multiple regression points/grids alg

    Fixes #21146

    (cherry picked from commit 4f8e2317d796881f942bbc6bdcbe60f3470f48fe)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-01

    Allow vector rendering cancelation to also cancel feature iteration for that request

    Connect the cancel rendering signal to the iteration cancelation.
    This allows providers (e.g. WFS, AFS) to abort slow network requests
    when they have been triggered by a render request and that request
    is no longer required.

    Allows much faster quit, render cancelation when using WFS/AFS layers.

    (cherry picked from commit 6fa3bf8e8b1a0d2164b95e55739b3f518202c17c)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-02

    Fix some label settings hidpi issues

    (cherry picked from commit 599b0c8861a1a416835e5cd493a8106846de1d1e)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-03

    Dox++

    (cherry picked from commit eba5409ebcab40eacf38d3215b2fffa8f6ffbf18)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-03

    Unit tests for QgsCredentials

    (cherry picked from commit 16995206ae95d118466ad911a6b5db03afce17a3)

Nyall Dawson <nyall.dawson@gmail.com>	2019-02-01

    Fix hang when WMS credentials requested

    Remove responsibility for credentials mutex locking from external
    callers and handle appropriate locks internally. This allows the
    mutex lock to be much "tighter" and avoids deadlocks when
    credentials are requested while an existing credentials dialog
    is being shown.

    (No mutex is required protecting the credentials dialog itself
    as this is ALWAYS shown in the main thread)

    Fixes #20826

    (cherry picked from commit c9e761649820f8444a41da5e18850061b207c09c)

Merge: 174dc4b868 1ea7699648
Matthias Kuhn <matthias@opengis.ch>	2019-02-01

    Merge pull request #9060 from daniviga/release-3_4

    [RPM] Backport some fixes for master, add F30+ compatibility

Merge: 2ad47198c4 acce2486ec
Alexander Bruy <alexander.bruy@gmail.com>	2019-02-01

    Merge pull request #9058 from alexbruy/v_net-backports

    Backport GRASS v.net algorithms fixes

Martin Dobias <wonder.sk@gmail.com>	2019-01-25

    [vertex tool] Fix issue with hidden layers being editable (fixes #18434)

    The problem was that QgsSnappingConfig when initialized from a project
    loads global settings from QgsSettings and sets individual layer configs
    based on that.

    The issue was showing up only in "current layer" mode of vertex tool
    because for "all layers" mode all individual layer configs were overwritten.

    (cherry picked from commit dd97201d1b08edb3e451a8bb8e0af4203793c034)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-29

    [processing][needs-docs] Add friendlier API for running algorithms as sub-steps
    of main algorithm

    Using code like:

        buffered_layer = processing.run(..., context, feedback)['OUTPUT']
        ...
        return {'OUTPUT': buffered_layer}

    can cause issues if done as a sub-step of a larger processing algorithm. This
    is because ownership of the generated layer is transferred to the caller
    (Python) by processing.run. When the algorithm returns, Processing
    attempts to move ownership of the layer from the context to the caller,
    resulting in a crash.

    (This is by design, because processing.run has been optimised for the
    most common use case, which is one-off execution of algorithms as part
    of a script, not as part of another processing algorithm. Accordingly
    by design it returns layers and ownership to the caller, making things
    easier for callers as they do not then have to resolve the layer reference
    from the context object and handle ownership themselves)

    This commit adds a new "is_child_algorithm" argument to processing.run.
    For algorithms which are executed as sub-steps of a larger algorithm
    is_child_algorithm should be set to True to avoid any ownership issues
    with layers. E.g.

        buffered_layer = processing.run(..., context, feedback, is_child_algorithm=True)['OUTPUT']
        ...
        return {'OUTPUT': buffered_layer}

    (cherry picked from commit 7f7c7a97899637f59ceb76f30abbec6ba924bec6)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-29

    [processing] Correct parameter type for Map Layer parameters

    (cherry picked from commit d14869093a7661880650591b7baee4c64524c3d5)

lbartoletti <loic.bartoletti@oslandia.com>	2019-01-29

    [BUGFIX] fix qgsRound for negative numbers. Fixes #20861

    (cherry picked from commit cfdc8c26c29baaf4a62c9a94df9208dff3f6beda)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-29

    Fix empty strings in proxy exclude list results in proxy being skipped for ALL hosts

    Fixes #20213

    (cherry picked from commit cf1cf0fe455a42edf6db4ab9fa07c1ad641b16cb)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-29

    New Shapefile Layer dialog: avoid warning message on user cancel

    Also add better error message reporting, and deprecate horrible API.

    (cherry picked from commit 9a723d91e84df139756677470c0ffc496c927bd8)

nirvn <nirvn.asia@gmail.com>	2019-01-30

    [ui] Remove black background for the browser panel DB2 icon

    (cherry picked from commit f2d8bdea4e01e8e873c6842d5f2e120345bac0bd)

Martin Dobias <wonder.sk@gmail.com>	2019-01-29

    [vertex tool] Fix vertex addition to polygon's first segment (fixes #20774)

    With topo editing mode enabled, addition of extra points to keep the topology
    correct wasn't working correctly because for the first segment we were getting
    two matches due to duplicated first and last vertex in the ring. The fix
    ensures that only one match will be returned for the first duplicated vertex.

    (cherry picked from commit 3769faa86b89b14dbde51adc19ff858469ced6f3)

Hugo Mercier <hugo.mercier@oslandia.com>	2019-01-30

    Fix "Allow null" in range widget (fixes #20831)

    By default a range widget is built with a minimum value set to the
    minimal integer that is possible to represent. When "allow null" is
    enabled, a new value (minvalue - 1) is inserted. With the default
    value, we then had an integer overflow.

    (cherry picked from commit eb5a3367b651e8a7d83af4af41ea0f481efc126b)

Hugo Mercier <hugo.mercier@oslandia.com>	2019-01-30

    Fix vertex marker display for multipolygon (fixes #19909)

    The i == 0 test was wrong, and a test is actually not needed.

    (cherry picked from commit 389149c8dce8d84cdd74dbc05ca5f22e451dac8a)

lbartoletti <loic.bartoletti@oslandia.com>	2019-01-30

    [Processing][Grass] Add the possibility to return a shp if ogr is not compiled with gpkg

    (cherry picked from commit 2e92dabd20df1abbc0e350dbd1ae06c0ad1839ce)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-31

    [processing] do not show geometryless layers in extent selector

    Fixes #21129

    (cherry picked from commit 5bfec27938ff95cd65c1cf5b88cc13ce26ca1d5d)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-31

    [processing] Fixes to distance inputs for models

    - fix parameter can get converted to plain number parameter after edits
    - allow parameter to be linked to parent parameters, so that the
    correct distance unit and choices are shown for the parameter

    (cherry picked from commit 4f6df2980fbf06f3839f00b64282badf2d605251)

Peter Petrik <zilolv@gmail.com>	2019-01-30

    fix when GDALGetRasterScale returns 0 (gdal 2.3 affected for some datasets)

    (cherry picked from commit 7a12f113921848e8435eca105ad4754286690fb1)

Daniele Viganò <daniele@vigano.me>	2019-02-01

    [RPM] Backport some fixes for master, add F30+ compatibility

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-31

    [processing] fix v.net.report and v.net.nreport

    (cherry picked from commit 85e3b2db6e29fccec2eee264f84e0357a5f24d47)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-31

    [processing] fix broken stdout handling in GRASS algs (fix #21142)

    (cherry picked from commit b9f559ee0430e09d8e1a3b70e060155635080262)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-31

    [processing] fix output generation in v.net and add test

    (cherry picked from commit a911ef336703056833133104fae6c7d09c889fed)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-31

    [processing] add test for v.net.distance algorithm

    (cherry picked from commit dbe2cb73ad7352ae58ab465761d2feeec59ab554)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-31

    [processing] snap points to network by default (fix #19904)

    Kudos to Pedro Venâncio for finding solution for this bug

    (cherry picked from commit 3abea3600024c4d329403e7462a47af4db503339)

Peter Petrik <zilolv@gmail.com>	2019-01-31

    fix #18954 add&rename vector fields (#8982) (#9042)

    fix #18954 add&rename vector fields at the same time

Merge: ef97dba155 a1d75a4abd
Alexander Bruy <alexander.bruy@gmail.com>	2019-01-31

    Merge pull request #9043 from alexbruy/misc-backports

    3.4 backports

Peter Petrik <zilolv@gmail.com>	2019-01-31

    fix #17652 Impossible to rename a layer style from the Styling Panel (#9041)

    fix #17652 Impossible to rename a layer style from the Styling Panel

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-30

    don't export features without category by default

    (cherry picked from commit 19dcfb987ba096cf263b60ff566926477d84a737)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-28

    set default value for newly added parameter

    (cherry picked from commit 0cc483f621c980317929c5f1c6908b7d2dba25f1)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-28

    fix formatting

    (cherry picked from commit 67bc58603625d8e859d504a2fab573beb83a16f5)

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2018-11-05

    do not always use the -c flag to export vectors from GRASS

    (cherry picked from commit 5f99955b455cdd66cf013eda142e38d542618ba0)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-29

    [processing] don't show cancel button in the task manager for algorithms that can not be cancelled (refs #20441)


    (cherry picked from commit b19e0bd5d441b2584b663cac77073928c0314ff4)

Peter Petrik <zilolv@gmail.com>	2019-01-30

    backport PR 8987: allow drop 2dm files from system browser, allow non-ascii filenames for mesh

Julien Cabieces <julien.cabieces@oslandia.com>	2019-01-25

    fix crash when print from qgis processing algorithm while the python console is displayed

Andrea Giudiceandrea <andreaerdna@libero.it>	2019-01-25

    Allow new shapefile MultiPoint layer creation

    Just add the missing MultiPoint geometry type in the "New Shapefile Layer" dialog

    (cherry picked from commit 8120e4a54fbc13351399404d2a4ba9c157ccaa92)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-25

    show pixel size in the raster layer properties with 19 significant
    digits (fix #21023)

    (cherry picked from commit 3c2a20a9484cbe3f1117a692757e552e88e6195c)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-27

    fix saving/restoring proxy excluded URLs (fix #20933)

    (cherry picked from commit fc9796f52a2709700ab20a1b6bf5f275d168acb1)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-27

    Fix build

    (cherry picked from commit c44f8f0a151f54be6989ef9f7d6c1e33b99ba54a)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-27

    Fix more icon sizes on hidpi

    (cherry picked from commit 9b2e39cef8a145de47e218e48bfb52a591227369)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-27

    Fix some clazy warnings

    (cherry picked from commit 7b739f196d757213abfff7df9259669010c130e9)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-27

    Fix undersized layertree icons on hidpi displays

    (cherry picked from commit 27bb2c156f73a7d344beb2f3ecbeb8a0041e4fe3)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-28

    don't allow to change style of the embedded layers from the Layer
    Styling panel (fix #16339)

    (cherry picked from commit e48364292d0afa87a555a6e7cac65ea0e0e930ae)

Shahzad Lone <shahzadlone@gmail.com>	2019-01-28

    [Minor] Reserve vector - to minimize reallocation costs

    Reserving vector to save on reallocation costs, where we know the size in advance.

    (cherry picked from commit 2c6948382d55cb6cd2dc021ab4d8bf0943175c58)

Víctor Olaya <volayaf@gmail.com>	2019-01-28

    [processing] avoid exception when listing DB schemas

    do not fail if cert file cannot be deleted when creating GeoDB object

    fixes #21099

    (cherry picked from commit 1b4a9132c2bceb348bbb56177da75094dbb4cb5e)

Peter Petrik <zilolv@gmail.com>	2019-01-25

    show mesh layer icon in layer tree #20722

    (cherry picked from commit 3d0cf5cbb2edce142ae2d6b14d50580bbd678152)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-29

    Partially revert ab3adc66

    The deselect action applies to ALL map layers, so it should always
    be enabled, even when a vector layer isn't the current selection

    (cherry picked from commit d61f41046444c89bf40812027736eb93fbb7da3e)

Jürnjakob Dugge <jdugge@users.noreply.github.com>	2019-01-29

    [layouts] Use polyline shape instead of bounding box for selection, makes polylines selectable via single click

    Fixes #20940

    (cherry picked from commit 1cdff21c85b97cc9b650022447d3d64c46088cf5)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-27

    [processing][needs-docs] native vector split algorithm now outputs
    GeoPackages instead of shapefiles (refs #20557)

    Also remove default output extension Processing settings as they are not
    used anymore.

    (cherry picked from commit 8446d3bdf0089cdee6316e40a7cd0047dbf455c1)

Víctor Olaya <volayaf@gmail.com>	2019-01-29

    [processing] show warning when file-based layer could not be loaded and dependent params updated

    For algorithms with multiple parameters depending on a vector layer parameter, the code that loads the layer in the background is called repeatedly, impacting performance. A small layer cache is implemented with these changes, so the dialog only tries to load the layer once.

    (cherry picked from commit 6eaa511eed775ce36328a3e1465c32dfb82507aa)

Peter Petrik <zilolv@gmail.com>	2019-01-29

    fix #15984 color ramps on MacOS (#9009)

    fix #15984 color ramps on MacOS


    (cherry picked from commit 67f5022c083a57bbdfa7e5eac03d87c8fe95e185)

arnaud.morvan@camptocamp.com <arnaud.morvan@camptocamp.com>	2019-01-08

    Apply featureFilterProvider in QgsVectorLayerDiagramProvider

arnaud.morvan@camptocamp.com <arnaud.morvan@camptocamp.com>	2019-01-08

    Do not overwrite renderContext in QgsMapRendererJob::drawLabeling

    Dedicated QgsRenderContext is already created and configured in prepareLabelingJob.

Julien Cabieces <julien.cabieces@oslandia.com>	2019-01-24

    fixes #18497 : Correct line size method when snapping multipolygon

nirvn <nirvn.asia@gmail.com>	2019-01-28

    [ui] Add min. height to the layout label item widget text box

Juergen E. Fischer <jef@norbit.de>	2019-01-27

    osgeo4w: handle grass svn versions (fixes #21114)

    (cherry picked from commit febbc4f0b9e6f1e1c74c18bcb117148d6587ff87)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-26

    disable missed create rectangle action

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-24

    [processing] fix GRASS v.buffer algorithm for case when buffer distance
    is taken from the field (fix #19377)

    (cherry picked from commit bfb60e4dc70310eae0e3b2ef9200c3b78164c6f4)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-25

    [processing] use background color from the project settings in the rasterize algorithm (fix #19866)


    (cherry picked from commit 8919d604a897c7afe542922bdfc6a7f901fd2d10)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-24

    [processing][needs-docs] force multipart output from GDAL-based dissolve
    algorithm (fix #20025)

    (cherry picked from commit 32f6034be708b305ed4e19b4f6ade1a8b409993b)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-25

    fix build

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-25

    fix build

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-25

    [gui] enable deselect feature and create rectangle action only when
    there is a vector layer in the project (fix #18141, #20333)

    (cherry picked from commit ab3adc663c37b3da589cf6bae56d733fcbc4feb3)

rldhont <rldhont@gmail.com>	2019-01-16

    Cleaning WMTS utils code [Server]

    In the tile matrices calculation the code could be simplified.

nirvn <nirvn.asia@gmail.com>	2019-01-24

    [themes] Improve styling of message bar scrollbar for Night Mapping

nirvn <nirvn.asia@gmail.com>	2019-01-24

    Fix default highlighted text colors for code editors (fixes #21080)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-24

    Fix build

Julien Cabieces <julien.cabieces@oslandia.com>	2019-01-21

    Update layer statistics when adding column to table in order to be displayed by QGIS

    fixes #13504

    (cherry picked from commit 49cb397f89511535bc772abd69a767e84024690a)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-21

    Slightly more efficiency in QgsStatisticalSummary

    (cherry picked from commit 60a6fc13a531218e1ad2e7ed4b3cad09936b3745)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-22

    Fix shortest path algorithm can "shortcut" when using network in geographic coordinates

    Fixes #20997

    (cherry picked from commit e75a88825665e7bb43c6c3cd1b2c22037cd29784)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-22

    Fix evaluation of data defined properties for subsymbols of subsymbols

    Fixes #18384

    (cherry picked from commit 9cf2ff31d86e6b7671aaca137a60a7b7a975ef62)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-22

    Silently alias old "$scale" expression function to "@map_scale" (when available)

    Allows older projects to open without change. We still hide $scale from the
    builder UI, as we eventually want to clamp out its use.

    (cherry picked from commit cb7838badc85d423be1281e8e66788d9070d6b12)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-22

    Fix loss of project when saving to QGZ format and path contains non-ascii chars

    Fixes #19567

    (cherry picked from commit 7d7462c33334a501167813d720fb2589d3c579ec)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-23

    [processing] fix description files for SVM SAGA algs (fix #20796)

    (cherry picked from commit c6540a627691caa2e49c21029df245e930aeacd6)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-23

    [processing] split v.surf.rst algorithm into two (fix #19472)

    This algorithm cannot output cross-validation results and topographic
    parameters simultaneously, hence two tools needed. Thanks to Pedro Venâncio
    for finding this and proposing a fix.

    (cherry picked from commit 34ec183354ba709c2b848395d77710b1c349e7b5)

Julien Cabieces <julien.cabieces@oslandia.com>	2019-01-22

    fixes #20893 : Update virtual layer when referenced layer update its fields

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-01-23

    reflect increase of Travis build times in timeouts

    we are benefiting from increased build times since about 3 months...time to update the scripts!

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-01-23

    fix typo

Juergen E. Fischer <jef@norbit.de>	2019-01-23

    dxf export: recover korean encodings (CP949) (fixes #20838)

    (cherry picked from commit 4e74c8b5480ac28aabc3c0b3eba2609d1a762e8a)

Juergen E. Fischer <jef@norbit.de>	2019-01-23

    field validator: only check for null representation if the string value exceeds the field length (fixes #21019)

    (cherry picked from commit 99904f1f5e7b86a92f3ff50132fd89750fe858e7)

Juergen E. Fischer <jef@norbit.de>	2019-01-21

    oracle provider: check for valid lastInsertId() on ::addFeatures (fixes #20109)

    (cherry picked from commit 855b3b4e26377647de5c5f9d38485f9f00bc9257)

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-23

    [themes] Fix selection color of the attribute table view widget

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-23

    [themes] Fix selection text for various widgets

nirvn <nirvn.asia@gmail.com>	2019-01-23

    [node editor] When a feature is bound to the editor panel, only allow vertex/edge move vertex and creation on that feature

nirvn <nirvn.asia@gmail.com>	2019-01-23

    address @wonder-wonder-sk 's comments on node editor improvements

nirvn <nirvn.asia@gmail.com>	2019-01-22

    [node editor] Update the table of vertices when bounded geometry changes
    (e.g., undo/redo operations)

nirvn <nirvn.asia@gmail.com>	2019-01-22

    [node editor] Update the table of vertices when deleting some

nirvn <nirvn.asia@gmail.com>	2019-01-22

    [node editor] Use a timer to properly raise panel, improve hint label

nirvn <nirvn.asia@gmail.com>	2019-01-22

    [node editor] Dragging a rectangle to select vertices will only select
    vertices from a given feature if it is bounded to the node editor panel

nirvn <nirvn.asia@gmail.com>	2019-01-22

    [node editor] Restore node editor panel postion/docked state

nirvn <nirvn.asia@gmail.com>	2019-01-22

    [node editor] Improve UX by having right-click bind feature to node editor (i.e., bye bye menu)

nirvn <nirvn.asia@gmail.com>	2019-01-22

    [node editor] When no feature is selected, offer an hint label to ease discovery

nirvn <nirvn.asia@gmail.com>	2019-01-22

    [node editor] Always show node editor panel upon activating the node tool

David Marteau <david@innophi.com>	2019-01-22

    Fix MAC build for OSX < 10.14

Merge: 73c31df831 255d51041c
Alexander Bruy <alexander.bruy@gmail.com>	2019-01-22

    Merge pull request #8947 from alexbruy/interpolation-backport

    [processing] use complex delimiter for interpolation data (fix #20490)

Juergen E. Fischer <jef@norbit.de>	2019-01-22

    osgeo4w: also look for GRASS 7.6

    (cherry picked from commit 4048d37a46fcf8046c26b1beac50af0f329718b7)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-22

    [processing] use active layer by default in field calculator algorithm
    (fix #19686)

    (cherry picked from commit 95209d134cad8cd7761e4f2246ee5ec937e90d73)

Harrissou Sant-anna <delazj@gmail.com>	2019-01-22

    Set appropriate window title when editing a join

Juergen E. Fischer <jef@norbit.de>	2019-01-22

    german translation update

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-22

    [processing] use complex delimiter for interpolation data to avoid
    overlaps with charactes which can be used in the layers source URI (fix #20490)

    (cherry picked from commit 17fd86e7236fe0776a4a4b263cbd47e62c2b7a0f)

Merge: 57401061fd 139659c080
Alexander Bruy <alexander.bruy@gmail.com>	2019-01-22

    Merge pull request #8944 from alexbruy/processing-bakports

    [processing ] various backports

Juergen E. Fischer <jef@norbit.de>	2019-01-22

    german translation update

Merge: e1146df80c c4e434e158
Hugo Mercier <hugo.mercier@oslandia.com>	2019-01-22

    Merge pull request #8937 from mhugo/release-3_4

    IndexExtent second fix

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-22

    add note about format of the srcnodata parameter

    (cherry picked from commit 133b4057a6bd91cbff4108d41c24052d59711f8c)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-21

    [processing] add missed "srcnodata" parameter to the buildvrt algorithm
    (fix #20586).

    Without this parameter it is not possible to remove collars surrounding
    input raster which may overlap with other input rasters. As this is very
    frequent case algorithm is useless without such parameter. To keep API
    compatibility new parameter is optional and not used by default.

    (cherry picked from commit dc2b29ce6a0c8146bff403db4bb2f2d64ccaf54d)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-21

    [processing] add optional EXTRA parameter to gdalwarp algorithm (fix #20721)

    This allows users to pass additional command-line arguments which are
    not exposed in the algorithm definition. The most frequent use case is
    enabling transparency and adding nodata values.

    (cherry picked from commit bb2c3663b0033269b4720477a809b206d22cd899)

Even Rouault <even.rouault@spatialys.com>	2019-01-22

    testqgsattributetable.cpp: fix build with qt 5.5

Hugo Mercier <hugo.mercier@oslandia.com>	2019-01-22

    IndexExtent second fix

    Replace extent() by visibleExtent().

    Forgotten commit backported from master

rldhont <rldhont@gmail.com>	2019-01-21

    [Tests] Add LIKE with underscore (_) as partially uncompiled expression for shp provider

Merge: 6584fb295a 1be40f57c8
Matthias Kuhn <matthias@opengis.ch>	2019-01-21

    Merge pull request #8913 from m-kuhn/fix_geometrycollection_equality

    Fix QgsGeometryCollection (and subclasses) `equal`

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-19

    Fix project loading task never completes when project has embedded layers

    Fixes #21012

    (cherry picked from commit 7ad4b05112af0c35bd9a8e0526e8823a6b695335)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-21

    Make URLS in message log clickable

    (cherry picked from commit dc7a4ce53c5120ae828ef711ea80d2a11e50ba9c)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-21

    Sipify

    (cherry picked from commit eafedeeb8bb62fec7f0470add3123404a16a4f70)

Marco Bernasocchi <marco@opengis.ch>	2019-01-17

    add one more api doc

    (cherry picked from commit 305131c5b4a479724688eab0d1d029d55191355f)

Marco Bernasocchi <marco@opengis.ch>	2019-01-17

    Add better api docs on Property usage

    (cherry picked from commit 6dc537f9632b755159651ca961bf77d3a1822dde)

Matthias Kuhn <matthias@opengis.ch>	2019-01-20

    Add a nullptr guard in the geometry equality check

Matthias Kuhn <matthias@opengis.ch>	2019-01-20

    Fix QgsGeometryCollection (and subclasses) `equal`

    The previous behavior was to check if all parts of the collection are exactly the same.
    The new check will check if all parts are equal (same vertice count, same vertice order, same vertice values).

Merge: 20a1d7ff2d c022e1f3d9
Matthias Kuhn <matthias@opengis.ch>	2019-01-20

    Merge pull request #8910 from neteler/patch-78

    Complete grass76 support

Markus Neteler <neteler@gmail.com>	2019-01-19

    Complete grass76 support

rldhont <rldhont@gmail.com>	2019-01-18

    [Tests] Add LIKE underscore (_) test to feature source test base

Merge: 1a8537a0ca 0072dbbfa0
mhugent <marco.hugentobler@sourcepole.ch>	2019-01-18

    Merge pull request #8898 from mhugent/postgis_raster_3_4

    Fix crash when zooming in PostGIS raster layers (ticket 20747)

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-18

    Fix/improve visual look of new version notification
    - Set a better background color (yellow feels like a negative warning)
    - Set text color to black to play nice with themes
    - Make the hyperlink clickable, we want people to update!

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-31

    Followup 2ec05137, fix incorrect styling of some GUI elements

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-29

    Add custom QStyle override to allow more flexibility with theming

    Allows us to apply custom style overrides. Initially, this just
    improves the appearance of disabled icons on dark themes.

    The default Qt style method of displaying disabled icons only
    works well on light backgrounds, on dark backgrounds it makes the
    icons stand out due to the extreme contrast between the background
    and the lightened icons.

    Replace with a custom approach which desaturates icons and reduces
    their opacity. This arguably also improves their appearance on
    light themes too (I think so).

Juergen E. Fischer <jef@norbit.de>	2019-01-18

    Release of 3.4.4

Merge: 355820a7c4 adb5998bae
Hugo Mercier <hugo.mercier@oslandia.com>	2019-01-18

    Merge pull request #8901 from mhugo/release-3_4

    IndexExtent fix

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-18

    Add hyperlink to the download page in check QGIS version dialog

Hugo Mercier <hugo.mercier@oslandia.com>	2019-01-18

    Formatting fix

Hugo Mercier <hugo.mercier@oslandia.com>	2019-01-18

    IndexExtent fix

    Backport from cd1f3162c6

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-18

    Respect project selection color when saving map canvas as image/PDF

Merge: d3c04c20e3 f99a9112e6
Hugo Mercier <hugo.mercier@oslandia.com>	2019-01-18

    Merge pull request #8899 from mhugo/release-3_4

    3.4 backports

Marco Hugentobler <marco.hugentobler@sourcepole.ch>	2019-01-17

    Fix crash when zooming in PostGIS raster layers (ticket 20747)

Marco Bernasocchi <marco@opengis.ch>	2019-01-17

    add /usr/share/qgis/python/plugins to PYTHONPATH (#8877)

    this is needed to find the correct processing (and db_manager and metasearch)

    (cherry picked from commit 6896ce9babf3e35413873c767b4f8f6d71ac01b7)

Ivan Ivanov <ivan.ivanov@suricactus.com>	2019-01-16

    Added test for 'gdal_rasterize -init 0'

    (cherry picked from commit 2488f71ddb8273d7f9ca61843d4ee6b3097cbffd)

Ivan Ivanov <ivan.ivanov@suricactus.com>	2019-01-16

    Allow gdal_rasterize to accept -init with value of 0; changed default value to not introduce a breaking change

    (cherry picked from commit 36c821da34de31074f099a933ffab1bf27c03b3c)

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-17

    Ship better default polygon symbols using outline's simple line when appropriate

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-17

    Set correct message bar for attribute table 'select by expression' dialog

    (cherry picked from commit 4ae3bcd23f1a3c910644298bd1aa52cd148b569f)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-17

    Fix crash when using select by expression from attribute table dialog

    (cherry picked from commit 00c4d4af619c321720e435694491cfd2360cb5de)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-17

    Fix too small symbol layer preview icon on hidpi displays

    (cherry picked from commit 9014be0d37aa41327785ee2c360e492867c9fbf5)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-17

    Use a minimal expression context in symbol layer tree preview icons

    Allows the preview icon to correctly show linked project colors

    (cherry picked from commit 3c0c2535d63b8a143671433deff6cbf9fdad23dc)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-16

    Fix some more tiny icons on hidpi displays

    (cherry picked from commit 956a74fcb7f2e4b621aa0d0342bafa85b17ff8ca)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-15

    [browser] Don't show gdal/ogr layer items for QGIS style xml files

    These aren't layers, so the extra entries are just distracting noise.

    (cherry picked from commit 2aab28380c603999e40f2fc35fbc7432c51bde0e)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-16

    [layouts] Fix loss of composition variables when converting 2.x compositions

    (cherry picked from commit 83340d0dfbbbeb4442bdaf592954b410a3e61861)

Merge: d3162559d2 356bc386e6
Matthias Kuhn <matthias@opengis.ch>	2019-01-16

    Merge pull request #8874 from rldhont/sld-read-like-escapeChar-34

    SLD : Support escapeChar attribute of PropertyIsLike

Merge: 5ff59ce54d 207c15da10
Matthias Kuhn <matthias@opengis.ch>	2019-01-16

    Merge pull request #8872 from elpaso/backport-3_4

    backports [server]

rldhont <rldhont@gmail.com>	2019-01-16

    [Bugfix][Oracle] Add ESCAPE when compiling LIKE

    The oracle SQL documentation specifies that *there is no default escape character* and *the escape character, if specified, must be a character string of length 1*.
    In expression the underscore (_) and the percent sign (%) can be escaped with the backslash (\). So in the Oracle Expression Compiler if the ESCAPE clause is not specified, the pattern is not valid.
    To fix it, the Oracle Expression Compiler has to add the ESCAPE clause.

    https://docs.oracle.com/cd/B12037_01/server.101/b10759/conditions016.htm

rldhont <rldhont@gmail.com>	2019-01-16

    [BUGFIX] SLD : Support escapeChar attribute of PropertyIsLike

    In OGC FilterEncoding standard, the PropertyIsLike element has an escapeChar attribute in place of escape attribute.

    In the QgsOgcUtils class, the attribute escape or escapeChar is added to PropertyIsLike element, but it only checks escape attribute when it decodes it.

    The commit fixed it and adds test.

Hugo Mercier <hugo.mercier@oslandia.com>	2019-01-16

    Fix geometry cache invalidation in vertex tool

    Partial backport of 21a7e154a3

Hugo Mercier <hugo.mercier@oslandia.com>	2019-01-16

    Fix a thread safety issue in postgres provider

    Fix access to:
    - PQexecNR
    - openCursor
    - closeCursor
    - uniqueCursorName

    Partial backport from eb08839429

Alessandro Pasotti <elpaso@itopen.it>	2019-01-07

    [server] Fix layer order rendering when layers are in groups (#8796)

    Cherry-picked from master 1ba6b97f74775e9660f0592a517d03ed98aaf504

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-16

    Fix dual view's feature list not using app palette

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-16

    Fix variable editor widget not playing well with dark themes

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-15

    [themes] Fix the processing modeler's rendering on dark backgrounds

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-16

    Improve code editor default color scheme to fix dark background issues
    (this also backports night mapping code editor color scheme)

Merge: 0dbe4d412f dedbbd4ad3
Alessandro Pasotti <elpaso@itopen.it>	2019-01-15

    Merge pull request #8859 from elpaso/release-3_4-backports

    backport of [server] Use REQUEST_URI as default URL for FCGI requests

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-15

    Be theme friendly, don't hard-coded white background for locale sample label

    (cherry picked from commit 807958878fd702a42704349766e02a42b361eb50)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-14

    Fix connected widgets do not update in some circumstances

    (cherry picked from commit 0058dfc08ecde700ca581b85fc75c7b3d65d0682)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-11

    Refine multiline selection behaviour in editors

    (cherry picked from commit 9d4b80e2f1aa3a35db01110248905a668a2b6246)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-11

    Make color swatch list hi-dpi friendly

    (cherry picked from commit b49e9405081fcbd95985ee2e1b0a0669df87c1d9)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-14

    Fix a bunch of tiny icon sizes on hidpi displays

    (cherry picked from commit 773ee5535ae63dc5f614ea4c74a6f884c5a5eca1)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-14

    Hidpi fixes for color picker widget

    (cherry picked from commit 1572abf1511b9c550294f5fbe8d663173a4748dd)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-14

    Fix crash in metadata widget when remove is clicked and no items exist

    Fixes #20943

    (cherry picked from commit 3bc06e2bb9b5037a341503355d099638eb130561)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-14

    Fix main panel ownership in QgsPanelWidgetStack bindings

    (cherry picked from commit ef250c45631cb55c7e4281ed503efb46d869a56e)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-14

    Fix potential crash when removing entities from a style

    (cherry picked from commit 4b154a4a88f1d9e60f5b30aa835d7f18ff5d8635)

Alessandro Pasotti <elpaso@itopen.it>	2019-01-11

    Merge pull request #8830 from elpaso/bugfix-server-fcgi-rewritten-uri

    [server] Use REQUEST_URI as default URL for FCGI requests

Julien Cabieces <julien.cabieces@oslandia.com>	2019-01-10

    Backport fixes #20547 : Fix error when using a spatialite layer with a non-int primary key an a spatial index

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-12

    [themes] Last round of theme fix (hopefully)

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-12

    [themes] Add pressed state for tool/push buttons in Night Mapping

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-12

    [themes] Fix a few more issues with Night Mapping
    - provide a visual feedback for checked menu actions
    - improve scrollbar styling
    - fix broken vertical slider

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-11

    Fix incorrect evaluation of data defined end color for shapeburst fills

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-07

    Backport Dox improvements

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-07

    Fix a clazy warning

    (cherry picked from commit c94b305cd9d5f011a8775d2539da6a5d5d605329)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-07

    Dox++

    (cherry picked from commit 74b96ce9559c6b86fd42366e4a8dafe732881175)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-08

    Fix "unexpected geometry type:7" warning thrown by pal geometry handling

    (cherry picked from commit ae9b8fcec4dc7b25d189781529b8215fda4f3cc7)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-08

    Show feedback message when using Select by Expression, to match
    Select by Form behaviour

    (cherry picked from commit 098aad5c1679142dee97bc298f5b75a40092b6de)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-08

    Avoid console noise when loading layouts

    (cherry picked from commit 4da0796180d2e152c0fc1c028a62ff9c5dc96a7f)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-08

    [layouts] Fix incorrectly rendered item background and frame when item is
    non-opaque

    Fixes #20909

    (cherry picked from commit 0de94dd1fe1f62df3547ca8e664489073807dd5e)

Juergen E. Fischer <jef@norbit.de>	2019-01-11

    german translation update

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-10

    [themes] Force fusion style for non-default UI themes on OS X

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-12-03

    fix building without PyQt

    (cherry picked from commit 18abcb580a0e8e06fbea3fb8d9a80be117b53e94)

Marco Hugentobler <marco.hugentobler@sourcepole.ch>	2019-01-09

    Backport consider 'print as raster' setting for pdf print in server

Merge: c710e0b85c 63a5320f80
Luigi Pirelli <luipir@gmail.com>	2019-01-07

    Merge pull request #8803 from NaturalGIS/release-3_4

    re-add the r.mapcalculator momodule (as r.mapcalc.simple) and remove the not working r.mapcalc

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2019-01-07

    fix module description file

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2019-01-07

    re-add the r.mapcalculator momodule (as r.mapcalc.simple) and remove the not working r.mapcalc

Alex <roya0045@users.noreply.github.com>	2019-01-06

    [mssql] Fix inserting features into tables with an after insert trigger attached

    Fixes #20592

    (cherry picked from commit 69f6ea521b8ee3a78bda0dfd431a9cf6668ad111)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-07

    [processing][SAGA] Resync Fill Sinks descriptions, add tests

    Refs #20051

    (cherry picked from commit efd54f862f9319abb47149a445c2370e7e9170d8)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-07

    [processing][SAGA] Resync parameters for resample tool

    And add tests

    Fixes #20882

    (cherry picked from commit 45f8b863dbe7f238270a70c4860b24355dd9968f)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-18

    Update some version numbers in API docs

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-10

    [API] Throw IndexError on some QgsCurvePolygon methods when invalid
    interior ring index is requested

    (cherry picked from commit 44fbb894506965ec6ebbc6f232399214ff19574c)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-06

    [API] Backport iterator for QgsGeometryCollection

    Iterates over the geometries in the collection, allowing this type
    of code:

      gc = QgsGeometryCollection()
      gc.fromWkt('GeometryCollection( Point(1 2), Point(11 12), LineString(33 34, 44 45))')
      for part in gc:
        print(part.asWkt())

    (cherry picked from commit e6ec1ec53ed478234f827d1536f6df2d0262763d)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-06

    Use TypeHint annotation to indicate correct return type when sip code returns SIP_PYOBJECT

    Provides correct return type hints to IDEs (and hopefully PyQGIS docs too!)

    (cherry picked from commit e23527bf9223ce15690c57335e50f582f7470778)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-06

    [API] Backport some nice PyQGIS API for working with geometry collections

    - Calling removeGeometry with an invalid index will now raise an IndexError
    - Calling collection[0] will return the first geometry in the collection,
    collection[1] the second, etc. And negative indices return from the end
    of the collection, so collection[-1] returns the last geometry in the collection.
    - Geometries can be deleted by calling `del collection[1]` (deletes the
    second geometry from the collection). Also supports negative indices
    to count from the end of the collection.

    (cherry picked from commit 4bba8ae64dc0eaf6962d9d932c43b99700fad464)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-27

    Negative indices count from back of linestring

    (cherry picked from commit f595d53d0aee182a872a73b6ec6fc45e9dc0edc4)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-26

    [API] Backport some nice PyQGIS methods and exceptions to QgsLineString

    - len(QgsCurve) returns number of points in curve
    - raise IndexErrors when calling pointN, xAt, yAt, zAt, mAt, setXAt, setYAt,
    setMAt, setZAt with invalid vertex indices
    - Add [] getter for retrieving specific vertices, eg. ls[0] returns QgsPoint(...)
    - Add [] setter for setting specific (existing) vertices, e.g. ls[1] = QgsPoint(1,2)
    - Add del support for removing vertices, e.g. del ls[1] removes the second vertex

    (cherry picked from commit 1e5479964f5b61a908eecb748089d48fc961a422)

Nyall Dawson <nyall.dawson@gmail.com>	2019-01-03

    [layouts] Fix inefficient filtering in attribute tables

    Set the expression filter on the request itself, rather than looping
    through all features and testing on the filter. This allows providers
    to hand off the filtering to the underlying datasource, and utilise
    indices/etc where available.

    Fixes #20908

    (cherry picked from commit e3c1d18f3aaaab04adfec1af58419eb0419fb004)

Tudor Bărăscu <tudor.barascu@qtibia.ro>	2018-12-24

    respect attribute table behavior settings

    Fixes undocumented bug of attribute table settings (Show features Visible on Map etc.)
    not being respected. The settings were saved correctly but QGIS didn't make use of them.

    (cherry picked from commit f4aa9a493ba3b50fb447b46125c3cb1680525cc5)

Merge: 6c1b5d25cc 1e8cecda62
Matthias Kuhn <matthias@opengis.ch>	2019-01-05

    Merge pull request #8753 from m-kuhn/legend_to_layers_panel

    Legend to layers panel

Merge: 2df15a67e9 71799094b4
Luigi Pirelli <luipir@gmail.com>	2019-01-04

    Merge pull request #8794 from troopa81/release-3_4

    fixes #20673 : Correct mapFromSource method when reordering columns

Julien Cabieces <julien.cabieces@oslandia.com>	2018-12-20

    fixes #20673 : Correct mapFromSource method when reordering columns

nirvn <nirvn.asia@gmail.com>	2019-01-04

    Fix assert crash for non-English UI locale (fixes #20834)

nirvn <nirvn.asia@gmail.com>	2019-01-04

    [themes] Adjust Night Mapping to improve display on windows

nirvn <nirvn.asia@gmail.com>	2019-01-02

    [themes] Apply OS-specific UI scale factor to em values

nirvn <nirvn.asia@gmail.com>	2019-01-02

    Add palette file for the Night Mapping theme

nirvn <nirvn.asia@gmail.com>	2019-01-02

    [themes] Allow customization of palette role colors
    This fixes the following issues:
    - combo box drop down menu white top/bottom edges
    - color button header background color
    - white line at top of stacked dock area

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-01

    [symbology] Add missing 'meters at scale' unit type in ellipse marker

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-01

    Declare color / color ramp button text color in Night Mapping

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-01

    [themes] Use widget's palette when drawing text for color ramp button

Merge: e39fdd545e 7dd30a5df7
Alexander Bruy <alexander.bruy@gmail.com>	2019-01-02

    Merge pull request #8784 from alexbruy/backport-tests

    [processing] backport GDAL unittests to LTR branch

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-01

    remove obsolete tests

    (cherry picked from commit f332233f6d89fb1cf7f87b0b8c5ede86cb878cbe)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-01

    [processing] add unittest for gdal_polygonize algorithm

    (cherry picked from commit 6809d346ab8ad6e42bb8020520c3d5fd70e331b7)

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-01

    [processing] add unittest for gdal2xyz algorithm

    (cherry picked from commit f447745b5ffcd99a2bef5584844d753262730445)

Merge: 5b66c05960 c50a5cd8bb
Alexander Bruy <alexander.bruy@gmail.com>	2019-01-01

    Merge pull request #8775 from alexbruy/backport-gdal_sieve

    [processing] fix handling of the mask layer in the gdal_sieve algorithm

Alexander Bruy <alexander.bruy@gmail.com>	2019-01-01

    [processing] fix handling of the mask layer in the gdal_sieve algorithm
    (fix #20713)

    (cherry picked from commit a5365e26ebdfab2330eacb56167040a044f97f3c)

Merge: 19d8605c30 cee8a205fd
Alexander Bruy <alexander.bruy@gmail.com>	2019-01-01

    Merge pull request #8774 from alexbruy/backport-gdaladdo

    [processing] fix gdaladdo algorithm

Alexander Bruy <alexander.bruy@gmail.com>	2018-12-31

    make advanced params optional to keep algorithm API stable

    (cherry picked from commit c64383702effc391d6031d0d1f500cf8b019d4d9)

Alexander Bruy <alexander.bruy@gmail.com>	2018-12-31

    [processing] expose resampling and format options in the gdaladdo
    algorithm (fix #20432)

    These options actually were here but not added to the UI.

    (cherry picked from commit 3d33b9f1e227b569c59d25df311b36e8412d1d77)

Merge: d5029f4378 580ff83247
Alexander Bruy <alexander.bruy@gmail.com>	2019-01-01

    Merge pull request #8770 from alexbruy/processing-backports

    [processing] Add cell size parameter to native interpolation algorithms (fix #18556, #20114)

Merge: 7db891007b 4ff4b6fafb
Alexander Bruy <alexander.bruy@gmail.com>	2019-01-01

    Merge pull request #8771 from alexbruy/backports-gdal

    [processing] set default value for band parameters in GDAL algs (fix #20610)

Alexander Bruy <alexander.bruy@gmail.com>	2018-12-30

    [processing] set default value for band parameters in GDAL algs (fix #20610)

    (cherry picked from commit 1e1ed79e2dede6e50b83623695663ff823cdef22)

Alexander Bruy <alexander.bruy@gmail.com>	2018-12-30

    keep also old test for native interpolation algs

    (cherry picked from commit acd4ceca5c06922510c492f42a97604e7e09b248)

Alexander Bruy <alexander.bruy@gmail.com>	2018-12-30

    restore columns and rows parameters for the extremely rare case if
    someone have used native interpolation algs in scripts/models

    (cherry picked from commit e86ca50cc684c81ca610cd7aac4c8a1623c21cdd)

Alexander Bruy <alexander.bruy@gmail.com>	2018-12-29

    update tests

    (cherry picked from commit 09dbb8917dcb09119926a9d9aa031ab3c28f0a0f)

Alexander Bruy <alexander.bruy@gmail.com>	2018-12-29

    add cell size option to IDW and TIN interpolation algorithms

    (cherry picked from commit 5813b961598b64cc8136edc968bdcfc675a495d1)

Alexander Bruy <alexander.bruy@gmail.com>	2018-12-29

    add value changed signal for custom interpolation parameter wrapper
    move duplicated code into common file

    (cherry picked from commit 357cf270ff6623df94ab36c12f7964fb61e72297)

Alexander Bruy <alexander.bruy@gmail.com>	2018-12-29

    add value changed signal for extent parameter widget wrapper

    (cherry picked from commit 37f14f8b3fefaeda8d34b6e284e3cd160b131756)

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-01

    Fix combobox dropdown list padding issue with theme

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-01-01

    Only apply custom toolbar spacing for default theme

nirvn <nirvn.asia@gmail.com>	2018-12-31

    Make Night Mapping theme hidpi-compatible

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-29

    Followup 0f8e291f, fix logic relating to overrding default application
    style and simplify

    (cherry picked from commit f0e7c9c271f5e03e51ac35024a08958091f091ae)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-29

    [layouts][ux] Fix grid layout alignment of label properties

    (cherry picked from commit 29da7bb6885dc42f2a7ce2eb6e0441028debebc1)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-29

    [layout][ux] Avoid too short variable editor in layout properties
    on hi-dpi displays

    (cherry picked from commit ac9a4ef1e424ed55453b54d57e2767a02966707b)

Mathieu Pellerin <nirvn.asia@gmail.com>	2018-12-29

    Add toolbar handle and separator to Night Mapping theme

Matthias Kuhn <matthias@opengis.ch>	2018-12-28

    Adjust translations

Anita Graser <anitagraser@gmx.at>	2018-12-28

    Refer to layers panel instead of legend

nirvn <nirvn.asia@gmail.com>	2018-12-28

    Rely on app palette colors when painting in color swatch delegate

nirvn <nirvn.asia@gmail.com>	2018-12-28

    Enforce use of qt's fusion style for non-default themes

nirvn <nirvn.asia@gmail.com>	2018-12-28

    Fix Night Mapper alt. table / tree view item color

nirvn <nirvn.asia@gmail.com>	2018-12-28

    Fix missing color cell in color ramp shader widget for non-default theme
    (fixes #15913)

nirvn <nirvn.asia@gmail.com>	2018-12-28

    Refresh the Night Mapping theme, including _many_ fixes

nirvn <nirvn.asia@gmail.com>	2018-12-27

    Be theme-friendly, enforce borderless close button in message bar

nirvn <nirvn.asia@gmail.com>	2018-12-27

    Only add option list widget styling for default theme
    (This allows customized styling for non-default themes,
    fixes white background on white text issue et cie)

Markus Neteler <neteler@gmail.com>	2018-12-27

    Added grass76 support

    Added grass76 support; search for newer versions first

Harrissou Sant-anna <delazj@gmail.com>	2018-11-25

    Use QGIS user manual for GDAL algorithms help files

    because they are available for most of the algs and wouldn't be used otherwise. Also when someone hits algA help button, he should be given the algA help and not the main gdal utility doc.

    (cherry picked from commit ea9b09f2dc8f2b11120c46a7b6534c252df6c206)

Matthias Kuhn <matthias@opengis.ch>	2018-12-25

    No sip TypeHint support in 3.4

Matthias Kuhn <matthias@opengis.ch>	2018-12-25

    Revert "Fix sip"

    This reverts commit a5fac1468accfc04fbbd67e67b8ee832ac431137.

Matthias Kuhn <matthias@opengis.ch>	2018-12-25

    Fix sip

Merge: 91adb605c5 ea438388ae
Matthias Kuhn <matthias@opengis.ch>	2018-12-25

    Merge pull request #8740 from DelazJ/translateExpr

    Expression parser fixes [Backport]

Matthias Kuhn <matthias@opengis.ch>	2018-12-20

    Make expression parser output translatable
    (cherry picked from commit 3dd360922fa14cb94424e9f538ac6ff0e39557dc)

Matthias Kuhn <matthias@opengis.ch>	2018-12-20

    Fix expression parser error reporting
    (cherry picked from commit 497a53b9fa4f023a5e0047232bceb0156392e3d4)

Merge: 2f64a3c4e7 b1d80689eb
Matthias Kuhn <matthias@opengis.ch>	2018-12-24

    Merge pull request #8737 from DelazJ/digitizingChecks

    Make geometry constraint configuration size fit the contents

Harrissou Sant-anna <delazj@gmail.com>	2018-12-23

    Make geometry constraint configuration size fit the contents

    (cherry picked from commit a3e99ca90026ffee4364ac3610598156da4ce01d)

Juergen E. Fischer <jef@norbit.de>	2018-12-21

    Release of 3.4.3

Juergen E. Fischer <jef@norbit.de>	2018-12-21

    German translation update

Merge: d79c212e7b 507b4cb4fa
Hugo Mercier <hugo.mercier@oslandia.com>	2018-12-21

    Merge pull request #8700 from mhugo/fix_postgres_transaction_lock

    Fix libpq access from different threads

Merge: 7d523b0f49 0b29ed68cb
Hugo Mercier <hugo.mercier@oslandia.com>	2018-12-21

    Merge pull request #8724 from mhugo/fix_vertex_tool_cache

    Fix vertextool's geometry cache invalidation

nirvn <nirvn.asia@gmail.com>	2018-12-21

    Avoid using default QPalette to improve theme compatibility

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-17

    Improve multiline cursor behavior in Python console and expression editor

    Now supports multi-line inserts and pastes

    (cherry picked from commit dab069e1eaeef14099832172c41bdf43b65d0436)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-20

    [labeling] When a layer is set to "blocking" label mode, correctly
    handle data defined "is obstacle" and "priority" settings

    (cherry picked from commit b46f49996e1f06f2e2933c3e9136cb0c4d1e6bcd)

Hugo Mercier <hugo.mercier@oslandia.com>	2018-12-20

    Fix libpq access from different threads

Hugo Mercier <hugo.mercier@oslandia.com>	2018-12-20

    Fix vertextool's geometry cache invalidation

    The cache must be invalidated when the layer is deleted and also on dataChanged.

Merge: e16472ac28 9b8fd50c8c
Alessandro Pasotti <elpaso@itopen.it>	2018-12-20

    Merge pull request #8714 from elpaso/release-3_4-backports

    Release 3.4 backports (spatialite exotic queries and views)

nirvn <nirvn.asia@gmail.com>	2018-12-12

    Disable in-session change of UI theme for Qt => 5.11
    Random crasher associated with UI theme change is an
    upstream bug, in the meantime let's make sure people don't
    lose data crashing QGIS with an unsaved project.

nirvn <nirvn.asia@gmail.com>	2018-12-12

    Pass on the theme style data directly instead of a file:///...
    Benefit: remove requirement to have write permission for the
    theme directory.

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-18

    Improve Python __repr__ handling for null geometries

    Also avoid massive long __repr__ strings for complex geometries,
    as these can flood the Python console (and first aid plugin),
    and aren't useful for debugging anyway.

    Refs #14640

    (cherry picked from commit 7d648e5b51d90a2e559dd97abc5682a51b2a74a1)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-11

    Fix broken select/identify by polygon when layer CRS <> canvas CRS

    Fixes #20786

    (cherry picked from commit 7c0b68a99032f8bb3da0146f1c0f57b163cdeac2)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-18

    [api] Raises ValueError and TypeError exceptions when QgsGeometry.asPolygon()
    is called on non-single-polygon geometries

    Previously we would just return an empty list when geometries of invalid
    type were used, but this is dangerous and we are safer to explicitly
    raise errors preventing use of asPolygon() with incompatible geometry types.

    (cherry picked from commit 514c5e2ac576aa803ba840a39c90184bfd94542b)

Matthias Kuhn <matthias@opengis.ch>	2018-12-19

    Update src/providers/spatialite/qgsspatialiteprovider.h

    Co-Authored-By: elpaso <elpaso@itopen.it>

Matthias Kuhn <matthias@opengis.ch>	2018-12-19

    Update src/providers/spatialite/qgsspatialiteprovider.cpp

    Co-Authored-By: elpaso <elpaso@itopen.it>

Alessandro Pasotti <elpaso@itopen.it>	2018-12-19

    Fix message log string

Alessandro Pasotti <elpaso@itopen.it>	2018-12-19

    Merge pull request #8706 from elpaso/bugfix-20674-dbmanager-aliased-3

    Fix views query tables in spatialite

    Cherry-pick from master 56ca46e

Alessandro Pasotti <elpaso@itopen.it>	2018-12-15

    Merge pull request #8676 from elpaso/bugfix-20674-dbmanager-aliased-2

    fix spatialite aliased, nested, joined queries

    cherry-pick from master commit 1ff3ddc

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-12-19

    [locator] split words to get more results in all features locator filter (#8704)

    * [locator] split words to get more results in all features locator filter

    * Update src/app/locator/qgsinbuiltlocatorfilters.cpp

    Co-Authored-By: 3nids <denis.rouzaud@gmail.com>

    * Update src/app/locator/qgsinbuiltlocatorfilters.cpp

    Co-Authored-By: 3nids <denis.rouzaud@gmail.com>

    * Update src/app/locator/qgsinbuiltlocatorfilters.cpp

    Co-Authored-By: 3nids <denis.rouzaud@gmail.com>

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-12-19

    [expression builder] clear fields values when changing field (#8703)

Merge: 28f3123970 f8fb565f31
Matthias Kuhn <matthias@opengis.ch>	2018-12-18

    Merge pull request #8701 from m-kuhn/fixSingleLayerErrorsBackport

    Allow saving a layer after fixing invalid geometries

Matthias Kuhn <matthias@opengis.ch>	2018-12-17

    Allow saving a layer after fixing invalid geometries

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-17

    Add icon field boolean field type

    (cherry picked from commit 0295d9ca3f695ca77e5d01444706e162fe2574a9)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-14

    [ogr] Fix conversion of boolean values

    Fixes #20290

    (cherry picked from commit 645ca2b3510b4226b509a05c212170748bea51e3)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-16

    [processing] Fix pixel centroids along lines handling of null geometries

    (cherry picked from commit 9e1bf68902e990d1806185a3550856a4d064af89)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-15

    [api] Raises ValueError and TypeError exceptions when QgsGeometry.asPolyline()
    is called on non-single-line geometries

    Previously we would just return an empty list when geometries of invalid
    type were used, but this is dangerous and we are safer to explicitly
    raise errors preventing use of asPolyline() with incompatible geometry types.

    (cherry picked from commit d1e9ce1f695435271baebf1262b27daf237a879d)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-17

    [processing] Add API to set default unit to distance parameters

    Otherwise the API forces use of a corresponding CRS parameter in
    order to determine the relevant distance unit, but this is not
    always desirable

    (cherry picked from commit 5acd7ffaefff4a0936e14e1be9da5e8445acd82e)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-16

    [processing][SAGA] Fix output type of Zonal Grid Stats alg

    and add unit test

    Fixes #20815

    (cherry picked from commit c7cb5a8e3ba014063e54d7e41c3116c11e23fdd5)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-12

    Dox++

    (cherry picked from commit 44bbf1f137feeb7fd4f531005be50e21a98a7f1e)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-12

    [layouts] Fix first background map render can never be canceled
    and must always complete

    This fixes an issue where map items appear to get "stuck" showing the
    "Rendering map" text while the very first render of the map
    item completes. If the map render is lengthy (e.g. due to
    complex labeling and an initially too small map scale), then
    it can appear as if the map item has got stuck.

    Instead, we now correctly support cancelation of this initial
    map render job, just like we do subsequent ones.

    (cherry picked from commit 591bb756dcfdb8fef2b0141e3e80b1ca68fb56e9)

Harel Dan <harel.dunn@gmail.com>	2018-12-13

    fix function call in example

    (cherry picked from commit 1c74e0b04d18248947f5b995358ea096ebaf7b03)

Julien Cabieces <julien.cabieces@oslandia.com>	2018-12-14

    Correct the column hide/show status that was not saved anymore

    (cherry picked from commit 8446119aaa77c167d273a6720924d28055e3ab14)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-14

    [api] Raises ValueError and TypeError exceptions when QgsGeometry.asPoint()
    is called on non-single-point geometries

    Previously we would just return QgsPointXY(0,0) when geometries of invalid
    type were used, but this is dangerous and we are safer to explicitly
    raise errors preventing use of asPoint() with incompatible geometry types.

    (cherry picked from commit 0ca9777755d204047e86bc731c46c984f1eff9e1)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-14

    [needs-docs][ux] Remove custom group box styling and option for QGIS styled group boxes

    This setting is causing issues on newer operating systems, e.g. MacOS
    on dark themes. It's a 6 year old workaround for styling issues
    which have likely since been fixed in Qt and the DEs themselves.

    (cherry picked from commit 8f06b5a9966c4a7ebbc40d9d57218028e79822b3)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-14

    [processing] Fix error when running delete duplicate geometries and
    some input features have null geometries

    Fixes #20788

    (cherry picked from commit 82c13bdde0ef447280cc299b6c48bbd4c83a7306)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-14

    [processing] Throw error when attempting to use Distance Matrix with
    multipoint datasets

    There's no single approach to use for multi-point inputs, so instead
    of overloading this algorithm with extra options to control how these
    are handled, we raise a helpful error and push the reponsibility back
    to the user to get the data into the right format before running the
    tool.

    Fixes #20799

    (cherry picked from commit 5c2f68e769509a7aac89898990de0ffdeff0d6e0)

nirvn <nirvn.asia@gmail.com>	2018-11-15

    Improve a few decoration dialog .ui files

    (cherry picked from commit 0b19aab50e06e77d00b566ae0c8d45d18511f497)

Merge: 7fd6a205f7 6f725b82a4
Alessandro Pasotti <elpaso@itopen.it>	2018-12-13

    Merge pull request #8662 from elpaso/elpaso-backport-3_4

    Weekly backports to 3.4

Alessandro Pasotti <elpaso@itopen.it>	2018-12-08

    sqlite accept aliased queries from db manager

    Fixes #20674 - DB Manager - load sql query as layer with geom column

    Well, not sure it really fixes that particular issue because it
    is not really well described, but for sure this fixes the general
    case of "SELECT * FROM my_table AS my_alias"

Alessandro Pasotti <elpaso@itopen.it>	2018-12-11

    Defer opencl initialization after user has opted-in in settings

    Prevents a crash from #20363, actually deferring the crash
    after the user has opted-in, btw the options is not stored
    unless the user close the dialog, so a QGIS restart would
    restore the status prior to the crash.

    I've not been able to reproduce the crash on my windows
    machines so I could not really get to the bottom of it,
    this is just a workaround that should prevent the immediate
    crash when opening the settings dialog.

Alessandro Pasotti <elpaso@itopen.it>	2018-12-12

    Do not crash when zipped project is not a valid zip

    Fixes #20783 - Crash when opening qgz project

Alessandro Pasotti <elpaso@itopen.it>	2018-12-12

    Fix QgsReadWriteLocker changeMode

    since mMode was never updated, the lock
    was never toggled from read to write or
    vice-versa.

    This was leading to crashes because the
    paths that were meant to be serialized
    and thread safe were not.

    Fixes #20789 and probably many more
    random crashes where QgsFeaturePool
    was used.

nirvn <nirvn.asia@gmail.com>	2018-12-11

    [ui] Better visual queue for non-visible layers in the tree

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-12-12

    avoid freeze with multiple layers locator search (#8650) (#8659)

    * avoid freeze with multiple layers locator search

    if the project had many searchable layers, a freeze occured when running the all features locator filter
    the feature iterator was created in prepare (main thread) and the maximum number of connection was reached

    * fix leak + clear former prepared layers

    * avoid copy in loop

    * declare ptr earlier

Merge: d0cd606702 d33f11e6e1
Denis Rouzaud <denis.rouzaud@gmail.com>	2018-12-12

    Merge pull request #8652 from 3nids/fix17727_34

    move value group box under help area [Expression builder] [needs-docs]

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-12-06

    add button to show the help and values widget

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-22

    [Expression builder] move value group box under help area

    otherwise the value group box might supperpose the item
    fix #17727

Merge: 06d5545f3c a3a595b690
Matthias Kuhn <matthias@opengis.ch>	2018-12-11

    Merge pull request #8645 from signedav/bp_fix_gpkg_order

    Offline editing to GPKG attribute order

signedav <david@opengis.ch>	2018-12-03

    tests for gpkg synchronization

    (cherry-picked from be9f6bb97ad99c0baf25e82afd1f202074b47005 73e3eadfc91e51ea1051cdbc931c2da26bb7bd78 8fda2b7df81a0b568e2282321b87861e5e750c19)

signedav <david@opengis.ch>	2018-12-03

    handle fid attribute in attrLookup on synchronization

    and use column++ again on iteration through attributes on copyVectorLayer

    fixes #20276 especially the not reported issue with synchronization

    (cherry-picked from 0f653179ffcb73b5e9b4990592f759e4ea2d023f)

signedav <david@opengis.ch>	2018-11-22

    leave last attribute empty instead of first

    because though fid appears to be the first field it's added in the end and has the last index.

    fixes #20276

    (cherry-picked from d173b70b5335b93dbf049a3f40579fcb032dc8d6)

nirvn <nirvn.asia@gmail.com>	2018-12-11

    [afs] Fix parsing of multi-field unique value renderer

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-11

    Dox++

    (cherry picked from commit c2968b938feadfc874d8a3a17f1baa5aea942f42)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-07

    [layouts] Fix memory of "force vector" export setting

    (cherry picked from commit bbb876d05db2da62f4eded0d6c0bee7da7df13d2)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-07

    Remove outdated comment

    As tested by @3nids, QPrinter::PdfFormat works correctly on OSX
    (as of Qt 5.11) and correctly respects "text as text" setting
    without forcing conversion to paths.

    (cherry picked from commit 20e6ace36c2baaeee8abc35c73e711fb9d494d43)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-30

    Unify appearance and behaviour of export settings dialogs

    (cherry picked from commit 0297b2c1c4249a0b2f6465d05f889798d5454e49)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-30

    Fix layout display when canceling export settings dialogs

    (cherry picked from commit d7b4182842525aa466f0f1e203c76df5bbade8c6)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-30

    US spelling

    (cherry picked from commit b0fa488d024c2ca527f41ee800869c2fa872fa76)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-28

    Fix qt warning

    (cherry picked from commit 23c7daf6b0127eccfd7bd9e4b195ef60ba252575)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-28

    [layouts][needs-docs] Add a PDF export settings dialog which is shown
    whenever exporting a layout to PDF

    This matches the behavior with SVG and raster exports, and allows users
    to set specific properties for the export (such as text rendering format)

    Fixes #8844

    (cherry picked from commit 484d5d9450046188c2799d2a804f6e23c25849b0)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-28

    [needs-docs] Use a combo box in layout SVG settings dialog for text export format

    This makes it match the label engine settings dialog, and opens the possibility
    for additional text export modes to be added in future.

    (cherry picked from commit 7b426c047cc720f83585197a5242c09a91c2934a)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-28

    [layouts] Default svg export setting for label text as outlines/text to use project setting

    (cherry picked from commit 2a2c4f8cfba2f2f7971c5850fb733f79c2fdf402)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-28

    [layouts] Respect project text format when exporting

    TODO - show a dialog at export time allowing users to control the
    PDF export settings for individual exports, just like what we do
    for SVG exports

    (cherry picked from commit 062e6dbbfbb86dade6c8176090db00180b7b0188)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-28

    [needs-docs] Upgrade project level setting for Label as Outlines/text setting to use newer API

    And replace labeling engine dialog "Draw text as outlines" checkbox with a combobox
    presenting the choice of always rendering as outlines OR text.

    (This will allow us to easily add additional methods in future, e.g. potentially
    a "Render as text wherever possible" setting, for defaulting to text objects
    whenever it doesn't impact the rendering quality to do so)

    (cherry picked from commit 52e072c0a1e7d3af89f16bc199d94ff079a49038)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-28

    Make intention of comment a bit clearer

    (cherry picked from commit 71411437e756e282bf5b892d61d1b0e30e6f62a4)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-28

    [layouts] Fix fragile option to export text as text in SVG exports

    Refs #3975

    (cherry picked from commit 1d04105c6a0398728d6a5c4c63bb09d3148aa034)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-28

    Push text format setting to layout render context

    (cherry picked from commit 6a131bb58a26c7a077d08d4d5fbc2f2a61764f93)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-28

    [api] Move setting to control how text is rendered to QgsRenderContext

    The new QgsRenderContext::TextRenderFormat enum controls how text
    should be handled during a render operation, e.g. whether to render
    text as outlines (paths) or keep it as real text objects.

    Deprecate previous arguments in QgsTextRenderer which handled
    this same use case.

    This allows us to make the setting vary per-render, instead of
    having a single global flag controlling the setting. Ultimately
    this will allow us to have different behaviour within the
    canvas renders vs print layout exports.

    Refs #3975

    (cherry picked from commit 53345c3f9242ae5a369f807a68ca4b334382913d)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-27

    Push text format rendering setting into QgsLayoutExporter

    (cherry picked from commit 96507c468ff15946a4275e6bc80704cae27d624b)

Jon McCormack <jon@sellouts.org>	2018-12-09

    fix processing plugin error when grass7 disabled

    (cherry picked from commit 9493f5511725ff845fb4eac3aa85d5cc60814170)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-07

    Fix help text for color format

    Should be #AARRGGBB, not #RRGGBBAA (see http://doc.qt.io/qt-5/qcolor.html#setNamedColor)

    (cherry picked from commit 462ebed0d7902bf08956033b18be56f3d8d840bc)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-10

    Unit tests for item opacity

    (cherry picked from commit a49bf9f68f87e8b58fc7bf47c40fe8c246e927fc)

Jorge Gustavo Rocha <jgr@di.uminho.pt>	2018-12-10

    Fixes duplicate QGIS entries in Ubuntu launcher

    (cherry picked from commit 7f4123bfdd971f9ac1b859b15bc27c9f83eae916)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-05

    [layouts] Avoid rasterizing the whole layout when only a single item has opacity set

    Instead, only rasterize that one item and pre-apply it's opacity
    to the rasterized version. This keeps all the rest of the layout
    content as vectors/text.

    (cherry picked from commit d08ecc2b52271772a08173445c10aa35083e981e)

nirvn <nirvn.asia@gmail.com>	2018-12-07

    [afs] fix listing of afs services for saved servers starting in a sub-folder

nirvn <nirvn.asia@gmail.com>	2018-12-08

    [afs] Fix wrong hard-coded OBJECTID reference, use the fetch object id name

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-06

    Fix cmake warning

    (cherry picked from commit c6efa74b457a6abc2f6abfd0278133c4cee5fcf5)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-06

    [layouts] Avoid temporary rendering artefacts when grid properties change

    There's no need for the Qt item caching here, as map items have
    their own internal cache handling.

    (cherry picked from commit fd881db3626035fd8c10a846102df79da9d2d888)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-19

    Fix crash when calculating offset on certain single curves which become multilinestrings when offset

    (cherry picked from commit 34c217cd4649fdf132b94aee4d66bfa8c2ea93f7)

    Fixes #20756

Merge: 7f5afe620f a4adbe9d7e
Matthias Kuhn <matthias@opengis.ch>	2018-12-07

    Merge pull request #8621 from signedav/backport-fix-ts-file

    .qgs-translation fix: do not create QgsProject before QgsApplication

signedav <david@opengis.ch>	2018-12-04

    typo and as_const

    (cherry-picked from 53c7dd3a229c17a5b37b54c9df9053f82d736d5a)

signedav <david@opengis.ch>	2018-12-06

    do not write logs before QgsApplication instace

    because otherwise it creates a QgsProject without a QgsApplication
    and translation won't work anymore because it cannot connect the signal to the slot

    this fixes #20561

    (partly copied from 8e7d37e37a035d7300663205ba9587f542f30732)

Merge: d9d4bd27a0 bf0ad45e9f
Matthias Kuhn <matthias@opengis.ch>	2018-12-06

    Merge pull request #8620 from m-kuhn/backport-validation-reenable-layer-savability

    Save layer changes on successful repair

Matthias Kuhn <matthias@opengis.ch>	2018-12-04

    Do not report an error when checks are triggered

Matthias Kuhn <matthias@opengis.ch>	2018-12-04

    Save layer changes on successful repair

    when there are topology errors which are fixed subsequently, make sure that the layer can be saved again

Merge: 4d5b195cec 4fd305c25b
Alessandro Pasotti <elpaso@itopen.it>	2018-12-06

    Merge pull request #8611 from elpaso/backport-3_4-2

    Backports to 3.4

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-06

    Fix embedding larger files then can fit in a QLineEdit's contents

    Fixes #20329

    (cherry picked from commit 32dc1020261a2a28491b680e7b8291b70fe6deb2)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-05

    [console] Correctly save settings when exiting app

    The closeEvent approach which was previously used is not reliable
    on application exit, so manually force a settings save in this case too.

    Avoids loss of command history when closing QGIS

    Also remove the manual "Save" history action, as it's redundant

    (cherry picked from commit cce5c4e80265a7797c2b9fb9219ccad0238b6d04)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-05

    [console] Fix saving scripts sometimes defaults to QGIS bin folder

    (cherry picked from commit 1f1bbbaeb6a5651ceb3674eaf86654fe0c5d25cd)

Alessandro Pasotti <elpaso@itopen.it>	2018-12-05

    Fix docker builds

Alessandro Pasotti <elpaso@itopen.it>	2018-12-05

    [opencl] Backports from master: manual merge

Alessandro Pasotti <elpaso@itopen.it>	2018-12-05

    Revert "Tell the bridge to update when a bad layer was fixed"

    This reverts commit 408e2d363870dfbb3a90d1fb1ecfce47468f2013.

Alessandro Pasotti <elpaso@itopen.it>	2018-12-04

    Tell the bridge to update when a bad layer was fixed

    This fixes an unreported issue: when a bad layer is fixed
    it does not appear in the layer order panel.

    The reason why it does not appear is that a bad layer
    has no geometry information, and the layer order
    model does not list geometryless layers.

    But after a bad layer has been fixed, it has a geometry
    and the panel should show it.

    cherry-pick b45ab5d283c772a7cc60cae40ea6c837371ceefc

Alessandro Pasotti <elpaso@itopen.it>	2018-12-03

    [opencl] Remove all static members

    and rely on the default() mechanism, this prevents
    random crashes on exit when dtor is called on the
    statics

    cherry-pick 868b04d8298fcd1fa76598b7634c9bb4a7e58663

Alessandro Pasotti <elpaso@itopen.it>	2018-11-30

    [attributeform] Do not reset feature on editing toggled

    ... just reset values

    Fixes #20682 - form toggle editing

    cherry-pick dd309ccbe5328165ad725648bf44cc

Alessandro Pasotti <elpaso@itopen.it>	2018-11-29

    Merge pull request #8564 from elpaso/rastercalculator-fast-track

    Rastercalculator memory efficient track

    Cherry-picked from master 0fde410a585c5b1c256b24a6afa8c1dce59ac10e

Alessandro Pasotti <elpaso@itopen.it>	2018-11-26

    [gdal] Fix an int overflow issue with raster block read

    Fixes #19760 - Raster calculator crashes QGIS 3

    .. and probably more, but this is one of the greediest
    piece of code because it reads the whole raster to memory.

    cherry-picking commit da5a171

Alessandro Pasotti <elpaso@itopen.it>	2018-11-26

    Re-add the progress bar to the calculator

    Fixes #20583 - Raster calculator freezes the GUI with big rasters

    ... even if it is frozen while reding the raster,
    at least it allows to abort the process later

Alessandro Pasotti <elpaso@itopen.it>	2018-11-27

    Add check for int overflow on 32 bit systems

    cherry-picking commit b3ed482

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-04

    [processing][SAGA] Add unit test for RGB composite

    (cherry picked from commit 0ba37fcb72298e22ee05748a2af39463207b2adc)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-04

    [processing][SAGA] Fix output type for RGB Composite should be tif, not sdat format

    (cherry picked from commit 71b32f072c49987c1a48fc38c92323f162dcfb34)

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2018-11-05

    partial fix for SAGA RGB composite tool

    (cherry picked from commit 25bfca492fa9a0e7f20e77dea4d174d4a934a1d2)

iona5 <iona5@ag99.de>	2018-12-04

    fix wrong padding of QgsFontButton on macOS

    (cherry picked from commit 61cdaad5300ef922d35efbca042c2a09d77b63ff)

iona5 <iona5@ag99.de>	2018-12-04

    workaround broken QFontDialog on macOS with Qt5 (Fixes #20426)

    QFontDialog using the native dialog is broken in some versions of
    Qt5 on macOS, see
      - https://bugreports.qt.io/browse/QTBUG-69878
      - https://successfulsoftware.net/2018/11/02/qt-is-broken-on-macos-right-now/

    this breaks QgsFontButton in ModeQFont. When opening the dialog it will
    not change the format after accepting.

    normally our code wouldn't use the native dialog on macOS anyway,
    but due to using an outdated preprocessor check it was exhibiting
    the broken behavior.

    this patch restores the usage of a non-native font dialog on macOS.

    discussions:
    - https://issues.qgis.org/issues/20426
    - https://github.com/qgis/QGIS/pull/8585

    (cherry picked from commit 930c56f5b85db0c452263225fb51f8bf9f2e003c)

Merge: 1f97c17b57 651b6569d5
Luigi Pirelli <luipir@gmail.com>	2018-12-04

    Merge pull request #8603 from chau-intl/release-3_4

    [backport] Hide newly added layer(s) when in group. Fixes #19174

Merge: ee25bb407d 8a47643aa7
Alessandro Pasotti <elpaso@itopen.it>	2018-12-04

    Merge pull request #8598 from signedav/bpeditafteredit

    [Backport] Release cell from focus on editing off

chau-intl <emailtocasper@gmail.com>	2018-11-20

    Fix for bug report #19174 - hide newly added layer(s) when in group

    When loading a single layer QGIS will set it as invisible if the user have chosen so (new_layers_visible=false) in the settings. When a data set contains more than one layer and the user
    chooses "Add layers to a group" the layers are added as visible no matter what.

    This commit is fixing that problem for both GDAL and OGR data sets by setting both the group and its layers as invisible/unchecked.

    Fixes #19174

signedav <david@opengis.ch>	2018-11-21

    Disable current cell on editing off

    because otherwise on single cell change the change would not been stored in mEditBuffer

    fixes #15975

    (cherry-picked from 51ee71316f7ca187fca2c78659922b798c5e87ef)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-04

    [processing][SAGA] Fix definition of Patching algorithm

    And add unit test

    Fixes #20698

    (cherry picked from commit 455e04ea660e028c4c03024786b8f707f7b09526)

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2018-11-08

    fix the SAGA Points Distances tool

    (cherry picked from commit b67ef4f7f63a786a5381b9a7661ca3fb38b1b425)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-04

    [processing] Fix exception on launching refactor fields

    (The logic with parameter widget_wrapper metadata is very gross -
    but there's nothing we can do about it till 4.0!)

    Fixes #20707

    (cherry picked from commit a947bbfb2662d69b96030b3efacab562106e4857)

juanmpd <45386331+juanmpd@users.noreply.github.com>	2018-11-27

    [processing] Fix exceptions on grass algorithms on Windows

    (cherry picked from commit 9b61eb8b71876fa36cbae6d9c0be78cac22824bc)

volaya <volayaf@gmail.com>	2018-11-30

    [processing] fixed update of MultipleInputPanel after alg is run

    Fixes #20670

    (cherry picked from commit e546129f5c6745e673052c2d00c36c6d057849de)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-03

    [processing][saga] Add unit test for point distances alg

    (cherry picked from commit 4212deabe802e5db6c27e2bce8822884339bdb25)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-03

    [processing][SAGA] Fix default output format for geometry-less tables

    (cherry picked from commit ef2fff0820a7a8afe1ae4e49ea38cf7c16f97e74)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-03

    [processing] Add method for providers to specify a different list
    of supported output formats when an output has no geometry

    (cherry picked from commit 4bca7838bfba8c0528f4690bef6b346c46bbd9f4)

Nyall Dawson <nyall.dawson@gmail.com>	2018-12-03

    [processing] Fix hasGeometry() method when output is a geometry-less vector table

    From the dox for QgsProcessing.TypeVector: "When used for a sink this indicates
    the sink has no geometry.". If an algorithm is using this value to indicate
    "maybe has geometry" for an output, then that algorithm is incorrect and
    should be using TypeVectorAnyGeometry instead.

    (cherry picked from commit 583b602e76d013d764541d44cb269e331d4a353c)

Alessandro Pasotti <elpaso@itopen.it>	2018-11-27

    Drop std:: prefix from calculator operators

    (cherry picked from commit 51821e926d0ac306a99e0bade6f864d7d23d1ea9)

Merge: 9190d97444 cbc3446111
Alessandro Pasotti <elpaso@itopen.it>	2018-12-03

    Merge pull request #8577 from elpaso/docker-testing-env-backport-2

    QGIS testing environment docker backport

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-27

    Fix version added strings

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-09

    Nice icons for ring combo box

    (cherry picked from commit c32bfc5d58aadfdb0bfa33907d57c1f3969eecad)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-09

    Move forceRHR to QgsGeometry, avoid duplicate code

    (cherry picked from commit c0cd6e6952f42e8ee634ee54196d1c0e05fcdf38)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-09

    Update reference lines

    (cherry picked from commit d4b96a927cb78dd1a9e6ad3da4ae2c2640a4b124)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-06

    Fix warning

    (cherry picked from commit 76cde635e979312b689ff7693ae2a107821385cd)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-06

    [FEATURE] Add option to simple line and marker line to only
    render exterior ring or interior rings

    This option is shown whenever a simple line symbol or
    marker line symbol is used as part of a fill symbol for
    rendering polygons.

    The default behavior is to render both interior and exterior
    rings, but this new setting allows users to set the symbol
    layer to render only for the exterior ring OR only
    for interior rings.

    This allows for symbolisation which wasn't directly possible
    before, such as a marker line with markers for interior
    rings angled toward the interior of the polygon.

    Sponsored by the German QGIS User Group

    Fixes #12652

    (cherry picked from commit 4c9537ee64b01e45890c3c1dac596063812276ae)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-06

    Dox++

    (cherry picked from commit 5a246603f0373246ca3e3fc6c96b7244c3b58d4d)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-06

    [FEATURE] Add option to force right-hand-rule during polygon symbol rendering

    This new option, available under the "Advanced" button for fill symbols,
    allows forcing rendered polygons to follow the standard "right hand
    rule" for ring orientation (where exterior ring is clockwise, and
    interior rings are all counter-clockwise).

    The orientation fix is applied while rendering only, and the original
    feature geometry is unchanged.

    This allows for creation of fill symbols with consistent appearance,
    regardless of the dataset being rendered and the ring orientation
    of individual features.

    Refs #12652

    (cherry picked from commit 8269031cc61bf813574bb2f2019bd0b23f58ffcf)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-06

    Fix accidently skipped test

    (cherry picked from commit 328caf7c8bff8f7e0e5f98c1d30d89524aeeec20)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-06

    Remove no longer required workaround

    (cherry picked from commit 8983f36f0bb49290f6cf931e00fdc46ce6eb686f)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-06

    Ensure that QgsGeometry::offsetCurve does not reverse curve orientation

    (cherry picked from commit 329d6a66bb96c4822aea5961cb9ddbbc8f1bac3a)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-06

    Add method to QgsCurvePolygon to force RHR, ensuring standard ring orientation

    (cherry picked from commit 158283d3e7d8dc76d118ea40dc69834484a41b9a)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-06

    Add method to determine orientation of closed curves

    (cherry picked from commit 53db15eac46476477f01474aa05887f369597285)

Borys Jurgiel <info@borysjurgiel.pl>	2018-12-02

    Polish translation update

Alessandro Pasotti <elpaso@itopen.it>	2018-11-30

    QGIS testing environment docker backport

Harrissou Sant-anna <delazj@gmail.com>	2018-11-30

    Deactivate help button for SAGA algorithms

    to avoid user frustration because no help is provided in user manual (simply listing parameters and options already shown in GUI can't be called a help)

    (cherry picked from commit 72fdda7)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-30

    [processing] Fix crash when running model through modeler dialog

    Fixes #20676

    (cherry picked from commit 01de9c32a4cae2ab43d3bdc1df6db2a6f917487d)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-27

    [hig] Capitalization

    (cherry picked from commit 7ef652016028d9a50ac7a169923527501722e271)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-27

    [hig] Capitalization, improve dialog titles

    (cherry picked from commit baf2a0fdf040f07b7049fecf1b966d897898876f)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-28

    Update test mask

    (cherry picked from commit c5549bea484797e06bb14dccab229a6d41874ced)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-29

    [processing] Fix crash on closing batch processing dialog

    Refs #20650

    (cherry picked from commit f10b62c3809e42b251159d37db0f633859cadc71)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-29

    [processing] Fix run as batch mode doesn't execute

    Fixes #20650

    (cherry picked from commit d207251251a9067f661a322d22e2cd8a973aa357)

Alister Hood <alister.hood@gmail.com>	2018-11-29

    Expression calculator: clarify documentation for x_at() and y_at()

    (cherry picked from commit 5256611169071fc0ab8ad4d48ba676f9f7a6e608)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-27

    [processing] Allow parameter metadata to set the number of decimal places
    to show in numeric/distance widgets

    E.g. to only show 2 decimal places:

      # only show two decimal places in parameter's widgets, not 6:
      param.setMetadata( {'widget_wrapper':
        { 'decimals': 2 }
      })

    (cherry picked from commit d72c4d001f34835916ca85d693185f1e7cf20c1b)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-27

    [processing] Fix exception when parameter metadata is set to extend inbuilt wrapper type

    (cherry picked from commit 59d2c5301f0d22bb70223ea2933ad7e451e5781f)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-27

    Add new "allowVersionCheck" setting

    If true, users may control whether the version check is enabled
    or disabled through the QGIS settings dialog. (The default
    check behavior is determined by the existing 'checkVersion' setting).

    If false, no version checking will be performed AND users will NOT
    have an option to enable this check in the settings dialog.

    This setting is intended for use in enterprise installs where QGIS version
    management is handled centrally.

    (cherry picked from commit 7c43bcda76039234553eeabfe7d0ab4f2418de1a)

stra2da <martina.savarese@gmail.com>	2018-11-29

    first example deleted, cause it is for combine function

    (cherry picked from commit 0e4b0980d8c265c7230bb53fe3909772fca281e4)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-21

    Dox

    (cherry picked from commit 5603546c2688ec64badb2aecca83e04c51dc5cc6)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-27

    Update version added string

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-20

    Add method to set QgsFeature geometry directly from QgsAbstractGeometry

    Allows

        feat.setGeometry(QgsPoint(1,2))

    instead of the more obscure

        feat.setGeometry(QgsGeometry(QgsPoint(1,2)))

    (cherry picked from commit e21ea25c662c7d23e5757234f6844f5bd7201c6d)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-27

    Update version added strings

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-16

    [FEATURE][API] Add parts iterators to QgsGeometry

    This allows easy iteration over all the parts of a geometry,
    regardless of the geometry's type. E.g.

    geometry = QgsGeometry.fromWkt( 'MultiPoint( 0 0, 1 1, 2 2)' )
    for part in geometry.parts():
      print(part.asWkt())

    geometry = QgsGeometry.fromWkt( 'LineString( 0 0, 10 10 )' )
    for part in geometry.parts():
      print(part.asWkt())

    There are two iterators available. QgsGeometry.parts() gives
    a non-const iterator, allowing the parts to be modified in place:

    geometry = QgsGeometry.fromWkt( 'MultiPoint( 0 0, 1 1, 2 2)' )
    for part in geometry.parts():
       part.transform(ct)

    For a const iteration, calling .const_parts() gives a const
    iterator, which cannot edit the parts but avoids a potentially expensive
    QgsGeometry detach and clone

    geometry = QgsGeometry.fromWkt( 'MultiPoint( 0 0, 1 1, 2 2)' )
    for part in geometry.const_parts():
       print(part.x())

    (cherry picked from commit a22422c4bf55dc1a29483bbb32577d4b554564f4)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-15

    Raise IndexError in PyQGIS when calling geometryN on a collection
    with an invalid geometry index

    And add len operator to QgsGeometryCollection

    (cherry picked from commit f5a6aef55f3f8efca4185f8d78a84cfa13e2baae)

nirvn <nirvn.asia@gmail.com>	2018-11-28

    [processing] Add edit feature in-place menu shortcut
    (useful for people who rely on the locator)

nirvn <nirvn.asia@gmail.com>	2018-11-28

    [locator] Fix presence of html tag for multi-line tooltips

nirvn <nirvn.asia@gmail.com>	2018-11-28

    [locator] Append an active tag to item text for checked/activated actions

nirvn <nirvn.asia@gmail.com>	2018-11-26

    [processing] Add test & adjust handling of negative distance value
    for multi ring (constant) algorithm

nirvn <nirvn.asia@gmail.com>	2018-11-26

    [processing] Use MultiPolygon as output wkb type for multi ring buffer (constant)

nirvn <nirvn.asia@gmail.com>	2018-11-26

    [processing] Fix negative distance value wrongly prohibited for multi ring buffer (constant)

Merge: 6e0a9a4890 ccadd26292
Alessandro Pasotti <elpaso@itopen.it>	2018-11-27

    Merge pull request #8511 from signedav/bptextfield_null

    Backport: Remove null representation during editing (range widget)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-19

    [needs-docs] Add shortcut for paste to scratch layer (Ctrl+Alt+V)

    (cherry picked from commit cd0a314114e6785079cbc5769fcc238c4c84d29a)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-26

    [processing] Fix traceback when modeller parameter invalid value is detected

    (cherry picked from commit 64bd9e5a5e7e24e4692afca0ad46cfcd7b711960)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-26

    Also prompt to save projects with no layers, but changes

    Because if a user wants a "layout only" project, we should still
    give them unsaved changes warnings!

    (cherry picked from commit 0e760997e0eac5516a61626fba218a4cd336499f)

Juergen E. Fischer <jef@norbit.de>	2018-11-26

    osgeo4w: fix grass plugin installation

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-27

    Astyle

swiss-knight <swiss_knight@hotmail.com>	2018-11-26

    Add ACCEPT_USE_OF_DEPRECATED_PROJ_API_H macro for proj_api.h to work with new release of proj4.

Harrissou Sant-anna <delazj@gmail.com>	2018-11-13

    Fix symbol selector dialog overflows the screen on small resolution

    Fixes #20481
    (cherry picked from commit cd28b459845868570d720e23da941825f850d003)

Juergen E. Fischer <jef@norbit.de>	2018-11-25

    fix link error on windows

Merge: 9f62f18319 02cf24efb0
Luigi Pirelli <luipir@gmail.com>	2018-11-24

    Merge pull request #8538 from Gustry/saga

    fix nodata parameter in saga

Etienne Trimaille <gustrimaille@yahoo.fr>	2018-11-22

    fix nodata parameter in saga

Merge: 5645791992 594918e2f6
rldhont <rldhont@gmail.com>	2018-11-23

    Merge pull request #8537 from rldhont/server-wfs-format-gml-null-field-34

    [Server][WFS] Null field value in GML has to be empty string 3.4

Juergen E. Fischer <jef@norbit.de>	2018-11-23

    Release of 3.4.2

Merge: 1047e699d5 26baf0c17e
Alessandro Pasotti <elpaso@itopen.it>	2018-11-23

    Merge pull request #8535 from elpaso/bugfix-20591-dissolve-show-error-backport

    [processing] Fix error in dissolve

rldhont <rldhont@gmail.com>	2018-11-23

    [Server][WFS] Null field value in GML has to be empty string

Juergen E. Fischer <jef@norbit.de>	2018-11-23

    debian packaging: include 3d bindings

    (cherry picked from commit a6432c7581316f27fbf14ae3e34d73c33fadaab0)

Alessandro Pasotti <elpaso@itopen.it>	2018-11-23

    Push debug info to the console

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-22

    Remove progress task from identify action

    Seems that some providers trigger an issue with the progress task
    (likely due to a local event loop running on the main thread triggering
    a processEvents call).

    Workaround the issue by just removing the progress task -- it's
    unlikely to be missed anyway.

    Fixes #20459

    (cherry picked from commit 57c117cdf4271e1e37ea0f103db1f8fd2a61fc2b)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-23

    Fix unit test

    (cherry picked from commit c31a690ea01052e8fdf2ecc7eb152d936f9196c7)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-23

    [processing] Correctly set parent widgets for algorithm dialogs
    to avoid dialogs immediately going out of scope and being garbage
    collected

    (cherry picked from commit 07dc7827124eb37b5fce305bd0ac83e9d1a0362a)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-19

    Fix context going out of scope

    (cherry picked from commit 4435a3af3fd9382ebad0ee9afb1c09e6b07c5bd2)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-17

    Fix confusing override of accept method for non-dialog acceptance

    (cherry picked from commit 3ce16625da6c93dd27ee82e3d30e9b74703089f3)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-17

    Fix ownership of algorithm instance used by processing dialog

    (cherry picked from commit a350b42f99650cec12b2bb34318f3a08ffe36067)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-17

    Fix incorrect ownership of processing algorithm dialog

    (cherry picked from commit 013082d3350065be5a23a384cd5cf131130645ac)

Alessandro Pasotti <elpaso@itopen.it>	2018-11-23

    [processing] Fix error in dissolve

    Backported from master

Mathieu Pellerin <nirvn.asia@gmail.com>	2018-11-21

    Add a project properties dialog test case

Mathieu Pellerin <nirvn.asia@gmail.com>	2018-11-21

    Avoid more needless project dirtying

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-13

    [afs] Fix identify tool sometimes just uses a bounding box check instead of exact intersection

    (cherry picked from commit bb248989b30e38574513a5b387ad638792b3621d)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-13

    [browser] Restore attribute preview from 2.x standalone browser

    This resurrects an "attributes" tab in the browser layer properties
    panel/window, showing a preview of the attributes for a vector
    layer.

    For performance, we limit the table to show a maximum of the first
    100 rows. (There's no way to "page" attribute table requests
    currently or load them in the background). But besides, the table
    is really only good for a quick preview and in this case it's ok
    to only show a subset of records.

    (cherry picked from commit 08544fbbd6d8a81a4a2eec0fdc90f1d5d880eb61)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-17

    [processing] Don't run validity checks for buffer alg

    Buffering doesn't care about validity and can sometimes be used
    to repair geometries

    (cherry picked from commit 9d5c949378a686fb9c8997106d01692ad539b431)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-19

    Avoid QObject::connect null warning

    (cherry picked from commit a8ecc683b72a3842a480e3e562456cbec8bad667)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-19

    [needs-docs] Fix use of duplicate action name

    (Properties is already used by project properties)

    (cherry picked from commit 152b1b09ff0e45b30a72d53904437af032e8659e)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-21

    Capitalization

    (cherry picked from commit 17e58738b8f151a06af26fea146cd190a9bdbd2a)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-22

    Package missing ESRI token auth method

    (cherry picked from commit 59686e73d73f1a2f36c38854eb5bcf9219b66ec4)

Peter Petrik <zilolv@gmail.com>	2018-11-13

    explicitely check if effectiveApperance is available

    (cherry picked from commit a139f8d6fc0b1baaaef57585ef885e3be9424da2)

Peter Petrik <zilolv@gmail.com>	2018-11-13

    frameworks must be linked weakly so the symbols are resolved on runtime

    (cherry picked from commit 674873b1eb630649e5e0f42be7b0bb6426dcba49)

Peter Petrik <zilolv@gmail.com>	2018-11-13

    fix missing dark mode symbol

    (cherry picked from commit 737eb59ed5e2d02c11ff15d599aecb9baf7f09f3)

Peter Petrik <zilolv@gmail.com>	2018-11-13

    fix spelling

    (cherry picked from commit 3b97096202e4b23a1f40a126c4f0eff18a05a279)

Peter Petrik <zilolv@gmail.com>	2018-11-12

    support for compilation on macos10.14, but running on macos10.13 or earlier

    (cherry picked from commit b2ba38dfaf56060777d03b9597dc4882c31c6a87)

Martin Dobias <wonder.sk@gmail.com>	2018-11-15

    [mssql] Fix import of layers with invalid geometries (fixes #20122)

    This essentially reverts 62f4534

    Rationale:
    - even valid geometries according to GEOS may be considered as invalid by MS SQL
      so there is no way of knowing that a geometry may be fail to be added
    - change of geometries applies MakeValid() so it is consistent again
    - GDAL driver also applies MakeValid() on all added/changed geometries
    - QGIS since 3.4 has optional geometry checks for validity etc. so some truly
      invalid geometries may be fixed before submitted to the provider

    See also https://github.com/qgis/QGIS/pull/8411

    (cherry picked from commit b1fd7b5ac6471749e03765562ce86c4241990c02)

Martin Dobias <wonder.sk@gmail.com>	2018-11-06

    [3d] fix camera controller using wrong shift/ctrl status (fixes #20131)

    We used Qt3DInput::QLogicalDevice with its axes and actions for camera
    controller, but over time this got quite impractical, moreover we started
    to have problems with shift/ctrl actions getting stuck in wrong state
    in case they were pressed or released while 3D canvas was not focused
    (which is in fact relatively common when using other widgets in the GUI)

    This commit switches over to using just QMouseHandler and QKeyboardHandler
    for handling key and mouse events and this not only makes the code easier
    to read, but also the issues with shift/ctrl go away (because we do not
    keep their status anymore, we just check whether they are active inside
    event handlers).

    The speed of change with mouse wheel and keys should be similar or a bit
    less than what it was before.

    (cherry picked from commit fbde0c8752740358fdb9bf9c232f72badfa1e87b)

Martin Dobias <wonder.sk@gmail.com>	2018-11-22

    [3d] fix initial camera position when loading a project with animation

Merge: 48d24425e1 76667eeebf
Alessandro Pasotti <elpaso@itopen.it>	2018-11-21

    Merge pull request #8518 from signedav/bpfix_providerIndex

    Backport: Don't handle defaultValueClause as not unique value

Juergen E. Fischer <jef@norbit.de>	2018-11-20

    german translation update

signedav <david@opengis.ch>	2018-11-19

    check uniqueCheck before overwrite defaultValueClause

    and some tests for it
    this fixes #20397 and fixes #20431

    (cherry-picked from 32b7d7e5ddeef7a66592267819e234085c44a7bc)

Borys Jurgiel <info@borysjurgiel.pl>	2018-11-20

    Polish translation update

Harrissou Sant-anna <delazj@gmail.com>	2018-11-19

    Mention that display name is used by the locator search tool

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-19

    do not push deps images on PR

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-19

    add docker hub credentials to yml file

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-18

    fix ccache for Docker images

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-18

    disable ccache in cmake since it is already defined as compiler

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-18

    print ccache status

signedav <david@opengis.ch>	2018-11-08

    backport of the range widget implementation

    cherry-picked from:
    8350fb4a261dffaa08c8a32978dedd12b4a9f893
    6da99a1866cfbb9c16aab7d8b92260b135432e60
    a02fb082908a299bbe7dd472fcdc35343b8f176f
    f44af04b5f90acd8eac78904cbdb0fcb5f0c8252
    f96078d0812ea56b6c622a3a1f41c32a71c561df
    c8fc7a2419f6cdf1101b0e3adb30344d7625857d

    unused variable removed
    pass SpecialValueText as NullValue
    Remove the null representator text on getting focus of `QgsSpinBoxLineEdit`
    clear value on clear in case the value is the null representator (null)
    tests for focus on null field

Borys Jurgiel <info@borysjurgiel.pl>	2018-11-18

    Update Polish translation

William Kyngesburye <kyngchaos@Sumomo.attlocal.net>	2018-11-18

    quiet cmake policy message

William Kyngesburye <kyngchaos@Sumomo.attlocal.net>	2018-11-17

    add missing Mac UI style plugin to app bundle

Håvard Tveite <havard.tveite@nmbu.no>	2018-11-16

    GDAL extractreprojection missing from the raster menu

    This was missed in #8486.

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-17

    also push deps image for cron jobs

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-17

    add missing exiv2

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-17

    fix lib path in docker (not Travis)

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-17

    fix docker tag for cosmic

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-17

    add Qt53D include dir

Juergen E. Fischer <jef@norbit.de>	2018-11-17

    german translation update

Juergen E. Fischer <jef@norbit.de>	2018-11-17

    translations: remove mysterious line noise (fixes #19833)

Juergen E. Fischer <jef@norbit.de>	2018-11-17

    fix color expression translations

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-16

    add Qt5 3D extras paths

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-16

    fix global env var

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-16

    remove left over

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-16

    enable dual builds BIONIC/COSMIC for images

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-16

    [docker] simpler configuration to provide different build options

Matthias Kuhn <matthias@opengis.ch>	2018-11-15

    Produce multiple docker images

Merge: 97979e6ad4 a4fee1b17b
Blottiere Paul <blottiere.paul@gmail.com>	2018-11-16

    Merge pull request #8494 from tudorbarascu/backport_3.4

    test server rendering debian buster bug #18988

Tudor Bărăscu <tudor.barascu@qtibia.ro>	2018-09-28

    test server rendering debian buster bug #18988

Merge: 6a74609024 576a3fd01d
Luigi Pirelli <luipir@gmail.com>	2018-11-15

    Merge pull request #8486 from havatv/extractproj34

    Backport of GDAL extractprojection reintroduction to 3.4 [needs-docs]

havatv <havard.tveite@nmbu.no>	2018-11-15

    Backport of GDAL extractprojection reintroduction to 3.4

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-14

    add missing cond PRIVATE

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-14

    remove ENABLE_TESTS definition

    this was causing a complete rebuild when you enabled/disabled tests

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-14

    [server] remove ENABLE_MS_TESTS definition when tests are enabled

nirvn <nirvn.asia@gmail.com>	2018-11-13

    [project] Avoid needlessly dirtying when written value does not change

Merge: ac6d8cd735 ca6c5bab5f
Alessandro Pasotti <elpaso@itopen.it>	2018-11-13

    Merge pull request #8478 from elpaso/value-relation-backport

    Merge pull request #8464 from elpaso/bugfix-20455-value-relation-mult…

Alessandro Pasotti <elpaso@itopen.it>	2018-11-13

    Merge pull request #8464 from elpaso/bugfix-20455-value-relation-multiple-rules

    Emit valueChanged when a widget value changes as a consequence of ano…

    Cherry picked from 798155cc008e38287c55b69e3aa83eebef9190ef

Merge: f7bba750bc 7b5a8e0d45
Matthias Kuhn <matthias@opengis.ch>	2018-11-13

    Merge pull request #8473 from daniviga/release-3_4

    [Backport to 3.4][RPM] Add an explicit dependency for GDAL

Daniele Viganò <daniele@vigano.me>	2018-11-13

    [RPM] Add an explicit dependency for GDAL

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-12

    Support WSL shells in astyle script

    (cherry picked from commit 9b04a29116156dec48c32dd6a54aafa0ff05eaea)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-09

    Don't try to show CRS in map layer model for aspatial tables

    (cherry picked from commit cdaf99de536eaa4d2039cb2ffec91e5317026fe9)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-13

    Fix invalid Qt version check resulting in "What's this" buttons still showing on Win

    (cherry picked from commit f976b0dfd6e203cf32641afa512dad0332c68b8e)

Juergen E. Fischer <jef@norbit.de>	2018-11-12

    debian packaging: add python-gdal dependency

    (cherry picked from commit d0d10f8fce849dc11bb15351d40393d558d42dcd)

Juergen E. Fischer <jef@norbit.de>	2018-11-11

    processing: add windows support to exportRasterLayersIntoDirectory (fixes #20146)

    (cherry picked from commit b39e5a0937e5e317b42088e8a8ccae327ae8e033)

Landry Breuil <landry@rhaalovely.net>	2018-10-29

    [Packaging] install icons / appdata / desktop file on BSDs too

    (cherry picked from commit 046a20e40e1494edc45fa1957572c9e74307dab9)

Juergen E. Fischer <jef@norbit.de>	2018-11-09

    OGC parameter names are case-insensitive

    (cherry picked from commit 669f6bb4b7f6a4c244a577a9ad2c95f10bc2b6bd)

Juergen E. Fischer <jef@norbit.de>	2018-11-11

    fix xenial build

Juergen E. Fischer <jef@norbit.de>	2018-11-10

    osgeo4w:
    * only use GRASS major version in executable names
    * autodetect GRASS folder

    (cherry picked from commit 3a4a3af1d6d1b03024e48d9a0e2629d1d4e8a5d2)

Harrissou Sant-anna <delazj@gmail.com>	2018-11-01

    Add link to user manual for annotation dialogs

    (cherry picked from commit 6e9c2a3d0ce2b121c2ecb9427b02d2af590995e8)

Juergen E. Fischer <jef@norbit.de>	2018-11-10

    translation fixes (fixes #20437, #20438)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-07

    Minor ui tweaks to afs source select dialog

    (cherry picked from commit 0ba475bdfb85d0ea38146a860c0e607715661f65)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-10

    [dbmanager] Fix exception when browsing project layers

    (cherry picked from commit 149726cfa5955f707441ec1c936094fccd0a33ec)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-10

    Fix build

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-07

    [afs] Remove 'cached' checkbox from source select dialog

    This checkbox was never hooked up to anything (caching is ALWAYS
    enabled for the provider).

    (cherry picked from commit 1066161bfd0e3c6013097d207fdb99166e14e8b4)

Nyall Dawson <nyall.dawson@gmail.com>	2018-07-25

    [afs] Fix missing layers/services when connection url does
    not point at an individual service endpoint

    Previously the provider would only show layers if a FeatureService
    endpoint was used for the url, and would show nothing if
    users enter the base server url.

    Fix this by implementing a tree view for AFS items so that
    if users enter a connection url at a higher level than we
    show nested services/folders containing the layers.

    (cherry picked from commit b2d26348702eac28810b5a3bd7807bc0f3871ef1)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-06

    Ensure browser preview canvases don't get treated like map canvas
    docks

    They have their own special logic, and shouldn't respond to
    any project based settings or triggers

    Fixes #20362

    (cherry picked from commit c54c5597232a5f50e1967ec3a552c2c02b1da0af)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-31

    [browser] Restore preview functionality from old 2.x standalone
    browser into inbuilt browser dock panel layer properties widget

    (cherry picked from commit 17447e4b5ca6cde9e349c55daed558a85766debb)

Martin Dobias <wonder.sk@gmail.com>	2018-11-06

    [3d] Fix 3D line symbol in 3D views in print layouts (fixes #20118)

    Turned out we were getting an old version of OpenGL that does not
    support the "primitive restart" functionality and so wherever
    a linestring should be broken it was connected through (0,0,0)
    to the next linestring.

    (cherry picked from commit 45059297e4a6e7729a14f09b1b553133cafa463f)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-07

    [afs] Use new style data item provider

    (cherry picked from commit 94896703dc889e14f9c9cda240300bf88c12d6d7)

Martin Dobias <wonder.sk@gmail.com>	2018-11-08

    Add unit test

    (cherry picked from commit 872c9a10a3522e507150d55c6d2bd4243ce7e1b5)

Martin Dobias <wonder.sk@gmail.com>	2018-11-07

    [gdal] Fix raster block output when block extent is outside of valid area

    This was causing problems in 3D view when raster was used as DEM... terrain
    tiles were generated also where they should not appear and contained random
    heights that caused failures of camera center adjustment to terrain. In the areas
    completely outside of raster's extent the block was being returned with some
    values uninitialized (instead of having correctly set no-data values)

    (cherry picked from commit afca6449540ceeeeb3d935999a6290a3b04fbc56)

Martin Dobias <wonder.sk@gmail.com>	2018-11-07

    [3d] fix inevitable crashes when terrain bounding boxes were shown

    The list of vertices just kept growing and growing (and we didn't even need another copy!)

    (cherry picked from commit 528c8a63bf5b840488312e14b81362d2833604cc)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-10

    Add some notes to test, additional test with empty line

    (cherry picked from commit d6aa46cfe7acd5364d2444353984c284accaef80)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-09

    Fix crash in geometry checker

    Fixes #20408

    (cherry picked from commit df81e554f8264ecc87cc37ab502672864b97c02d)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-09

    Revert "[pal] Use QgsGeometry::makeValid instead of buffer(0) to repair geometries"

    This reverts commit e05a5a930241ec3c9c5df7880650da60382b956c.

    The makeValid call is much slower than the previous "buffer( 0 )" approach

    Fixes #20260

    (cherry picked from commit ff5a8bc0aebf51cd34c82ed0feaac21cbd22e2ce)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-10

    Further protection in windows event message handling

    Refs #20386

    (cherry picked from commit df9307b9aa34b849f86d2ce435f2ae986b70549b)

Merge: 80de0ebab4 dd59d33e06
Matthias Kuhn <matthias@opengis.ch>	2018-11-09

    Merge pull request #8452 from daniviga/rpm-opencl-3_4

    [Backport] Add support for OpenCL in RPM

Daniele Viganò <daniele@vigano.me>	2018-11-09

    RPM spec template cleanup [skip ci]

Daniele Viganò <daniele@vigano.me>	2018-11-08

    Add support for OpenCL in RPM

Merge: a363bf4096 bd6478e2f0
Matthias Kuhn <matthias@opengis.ch>	2018-11-08

    Merge pull request #8441 from signedav/bp_copy_2_pg

    Backport: Using of QgsVectorLayerUtils::createFeature on move and copy tool

signedav <david@opengis.ch>	2018-11-07

    use toMap to convert to attributeMap

    (cherry-picked from 4ac063177460c7dbd8223f19a8b6279711d7bb8d)

signedav <david@opengis.ch>	2018-11-07

    createFeature on move and copy

    using of the createFeature function with tool move and copy and there the logic of unique not null fields (like primary keys) is used.

    This would fix #20347

    (cherry-picked from 4ac063177460c7dbd8223f19a8b6279711d7bb8d)

Merge: bf10953329 0e4dcabcfc
Borys Jurgiel <info@borysjurgiel.pl>	2018-11-07

    Merge pull request #8439 from borysiasty/release-3_4

    Update Polish translation

Borys Jurgiel <info@borysjurgiel.pl>	2018-11-07

    Update Polish translation

Merge: 2d9230b949 f4aee77057
Alessandro Pasotti <elpaso@itopen.it>	2018-11-07

    Merge pull request #8431 from neteler/patch-76

    Fix data loss (use GPKG as default format, not SHP)

Markus Neteler <neteler@gmail.com>	2018-11-06

    Fix data loss (use GPKG as default format, not SHP)

    As per https://issues.qgis.org/issues/19733 this addresses the issue that SHP only supports 10-char DBF column names which easily become longer when using v.rast.stats etc. The solution implemented here is to switch to GPKG as default format in the QGIS-GRASS-Processing internal data exchange and no longer use SHP.

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-06

    show icon if exist for menus in customization dialog

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-06

    fix move feature action not correctly shown in customization

Martin Dobias <wonder.sk@gmail.com>	2018-11-04

    Make sure topo editing button is updated on new/loaded project

    (cherry picked from commit 68be6df376ec2bf3314021313ab30554d083b4a9)

Martin Dobias <wonder.sk@gmail.com>	2018-11-04

    [vertex tool] Fix topo editing when moving vertices/edges (fixes #20158)

    - when some "extra" vertices are selected when moving a vertex, their coincident
      vertices will be also moved (#20158)
    - when moving an edge, coincident vertices to its endpoints will be also moved
    - new tests to cover the above scenarios
    - made the code hopefully easier to read

    (cherry picked from commit 93e737e4bf50d03fa20316ec8da66db99e32c5cd)

Martin Dobias <wonder.sk@gmail.com>	2018-11-04

    Read/write relative paths to gpkg rasters in project (when enabled)

    Routines in raster layer were not aware of "GDAL:filename:table" syntax
    used for raster layers from GeoPackages so project files were storing
    absolute paths even when relative paths should have been used.

    (cherry picked from commit 89a80c1b550f66eaf47abb5e57e8cad440d423e4)

Martin Dobias <wonder.sk@gmail.com>	2018-11-03

    [vertex tool] Respect topo editing when adding a vertex (fixes #18046)

    When adding a vertex to a segment that is coincident with some other
    segments and topological editing is enabled, vertex tool will now correctly
    add new vertex also the coincident segments to preserve shared borders.

    (cherry picked from commit 5dd566455fa414ed93779564a3b272334bf42bd0)

Martin Dobias <wonder.sk@gmail.com>	2018-11-04

    [mssql] Show in browser also tables with invalid features

    They will just have a generic vector icon

    (cherry picked from commit 923adf2ff78228b31ed5042fd367d95fee2f09a2)

Martin Dobias <wonder.sk@gmail.com>	2018-11-04

    [mssql] Do not expect that SRIDs are equivalent to postgis SRIDs

    There is no direct relationship between postgis SRIDs and SRIDs used in any other database.

    If you imported data with GDAL, things may work, because GDAL prefers to use equivalent SRIDs
    to EPSG IDs / PostGIS SRIDs.

    If you imported data with QGIS, that will not work.
    QGIS MS SQL provider happily uses internal SRS IDs from srs.db for SRIDs.
    That should be probably modified to use GDAL's logic:
    1. preferably use EPSG ID as SRID
    2. if taken, find a safe SRID

    (cherry picked from commit 704959bcc14fcabe0ed37e329e761af251d24ea4)

Martin Dobias <wonder.sk@gmail.com>	2018-11-04

    [mssql] fix a bunch of strange bugs when connecting from linux

    These include:
    - fetching incomplete (corrupted) geometries
    - fetching incomplete text data (e.g. WKT for CRS)

    Also fixes a bug with empty attribute table for some ms sql layers

    (cherry picked from commit 30e584d7c72d73f156d0d3e4ff2eb4a3a3d8980b)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-04

    Fix leak due to deletion of incomplete type

    (cherry picked from commit 5f2b78e755bcfc51d7f4be0a564d3f37111ece98)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-27

    Add unit tests for QgsDataItemProviderRegistry

    (cherry picked from commit 0b17db6fc4dcf2d400a51df0f84281aca5f2582d)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-05

    Fix mangled fonts in script editors

    Don't override default font letter spacing or stretch -- it's not
    safe to do because the results are very dependent on the individual
    font's appearance and rendering hints.

    Fixes #20349

    (cherry picked from commit ea9d5bb363597c8305962c4adc0b0eaaa43cbfb4)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-05

    Correct test comparisons

    Previously QCOMPARE( QgsGeometry, QgsGeometry ) was actually only
    testing for QCOMPARE( bool(QgsGeometry), bool(QgsGeometry) )...!

    (cherry picked from commit 18d40595469d33f18bd4600477fc30a52873e369)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-04

    Remove QgsGeometry bool operator

    This is too dangerous -- it gets silently casted to numeric values
    instead of throwing compilation errors

    (cherry picked from commit 7be2925649af880a4d4b18eee6ca23431dec591b)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-04

    Fix equality comparison when saving vertex tool edits

    (cherry picked from commit 137cbd76ae97bca078d92cae173fe13ee9b8ad82)

Martin Dobias <wonder.sk@gmail.com>	2018-11-04

    [3d] Fix crash in terrain generator if DEM raster layer is missing

    (cherry picked from commit 685806bccf0ce9354989140317215394482f879d)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-05

    Add a __repr__ method to QgsMimeDataUtils::Uri

    (cherry picked from commit 82baff87d4cb0d40a88e03912297d7096220fb07)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-05

    Add missing /Factory/ annotation

    (cherry picked from commit 19ef2f904b0315eecead60b1803d32ea23f16714)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-05

    Fix some missing context arguments in connects with lambda

    These cause infinite lifetime connections which result in crashes

    (cherry picked from commit 3d5badf395392dab3450a9585cb10d74d567f817)

Alessandro Pasotti <elpaso@itopen.it>	2018-11-05

    Merge pull request #8407 from elpaso/bugfix-20338-qgsfeatureselectiondlg-sizing

    Make sure QgsFeatureSelectionDlg does not outgrow the window

    Cherry-picked from ceb33f015674d066654e84e93cb599137b21bcce

Borys Jurgiel <info@borysjurgiel.pl>	2018-11-04

    Update Polish translation

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-02

    fix device size in decoration item

    the size should take the device pixel ration into account
    fixes #20321

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-02

    move decoration items to specific folder

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-02

    fix build without GUI (#8405)

Merge: 383851c597 63d9421dea
Matthias Kuhn <matthias@opengis.ch>	2018-11-02

    Merge pull request #8403 from m-kuhn/backportAutoActivateGeometryValidation

    Backport auto activate geometry validation

Juergen E. Fischer <jef@norbit.de>	2018-11-02

    Release of 3.4.1

Matthias Kuhn <matthias@opengis.ch>	2018-11-02

    Fix crash when de/reactivating layer checks

    When errors have been found and shown on the dock and deactivating layer checks that resulted in crashes.
    Also when deactivating and reactivating checks, that would result in crashes.

Matthias Kuhn <matthias@opengis.ch>	2018-11-02

    Activate geometry checks when changing layer properties

    No longer requires a reload of the project

    Fix #20218
    https://issues.qgis.org/issues/20218

Juergen E. Fischer <jef@norbit.de>	2018-11-02

    dwg import:
    * allow entering new gpkg filenames (fixes #20305)
    * move messagebar to dialog

    (cherry picked from commit 8400a8bb3d479ae256d077b726685856316b2ab1)

Borys Jurgiel <info@borysjurgiel.pl>	2018-11-02

    Update Polish translation

nirvn <nirvn.asia@gmail.com>	2018-11-02

    [native] Use official .desktop file name on linux

Björn Harrtell <bjorn@wololo.org>	2018-10-31

    Remove meaningless conditional and improve user input handling

    (cherry picked from commit 4ab377b92f2496549f00ec4f13369b361f8f8665)

Juergen E. Fischer <jef@norbit.de>	2018-11-02

    german translation update

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-02

    Fix crash on Windows on idle/usb notifications

    Fixes #20312, #20319, #20312, #20307, #20299, #20297, #20280
    (maybe others)

    (cherry picked from commit fd5a1c82ec212c58c446ccb13e537484d44b6862)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-02

    Fix potential crash on exit

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-01

    Tighten scope of connection

    (cherry picked from commit c782f2782016f9be0f127de25a42e48e82ead378)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-31

    [mssql] Fix database connection cleanup on thread exit

    (cherry picked from commit a5ff6db24066642e2b5952b22bfe069013ec9a0b)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-31

    Fix authentication database connections

    Fixes the authentication database cannot be opened in some circumstances.
    We need to ensure that the pooled database connection is removed
    immediately on thread finalisation and cannot defer this until
    the main thread event loop runs.

    Fixes #20262

    (cherry picked from commit a392a160e6d7fdc70e3da857dc1aedb601a70007)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-31

    Correctly cleanup auth db connection on thread finished

    (doesn't fix the invalid connection issue!)

    (cherry picked from commit 368286fed0ca2fe752fef083d97235a1eda444f9)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-31

    Add more debugging to auth db opening

    (cherry picked from commit ac781fac50ff0d48f5c267a64567fc0bb48548f1)

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-11-01

    fix qgsDoubleString printing -0 (#8363) (#8398)

Even Rouault <even.rouault@spatialys.com>	2018-11-01

    [BUGFIX] [OGR provider] Make filter by id(s) requests work again on OSM datasets (fixes #20308)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-01

    Fix build

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-01

    Fix memory leak

    (cherry picked from commit 3195c82ec1347dc57748f6acaa648868138b4b11)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-01

    Fix build warning

    (cherry picked from commit 41c31b44ba81649f76e048185a18c4f6073addd3)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-01

    Fix crash on opening options on debug builds where open CL is not enabled

    Fixes #20295

    (cherry picked from commit 15435ad56e24bd8dcfdee1556eb25e42fa31bcb3)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-31

    [browser] Unify layer name in properties for raster/vector layers

    (cherry picked from commit 620643e2543b76deb5bc209d765f9356dfbe6534)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-31

    [browser] Remove redundant name/uri/provider labels from top
    of layer properties widget

    All this information is already shown in the scrollable metadata
    section below that, so we're wasting precious space in this
    valuable widget with a lot of duplicate information

    (cherry picked from commit 7f332fb7a635ebaea64dfc787926c61b98338b54)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-31

    [browser] Don't try to open links within the browser properties widget

    Instead open them externally. Fixes clicking on the path link
    within metadata tries to open layer files instead the text
    widget instead of showing them in the desktop file browser.

    (cherry picked from commit ab4601820cf5232e1ed76f74432bc2000935276c)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-01

    Hidpi friendly message bar icon sizes

    (cherry picked from commit e83aa5a200ebad78916f26ab291bcc5915291863)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-01

    Hidpi friendly welcome page sizes

    (cherry picked from commit 26c3dd30a9f736187debc95d668ee905ef2dcc12)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-01

    [processing][GRASS] Correctly handle input vector layers with |layername= param

    Fixes #20277

    (cherry picked from commit f65c845f86a9742602b72584b34b6ae63ed30dd7)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-01

    [processing][GRASS] Give some more feedback when trying to use
    v.external for reading inputs, and if we can't, advise why not

    (cherry picked from commit 82ac04d6f77c6ac4c0699cc6e7302625bc704a39)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-01

    [processing][grass] Highlight GRASS error messages and warnings in log

    And catch segmentation faults from GRASS commands and show a nice
    helper text advising user that QGIS isn't at fault here ;)

    Also add a tip to try disabling the v.external option if that setting
    is enabled and a GRASS segfault occurs

    (cherry picked from commit 676238b28fad1c453c1f51addd71065537e85b75)

Nyall Dawson <nyall.dawson@gmail.com>	2018-11-01

    [processing] Fix incorrect html used when pushing console command feedback to dialog

    And make color less dominant (not bright blue!). We want other more critical
    messages the be more attention grabbing then the noisy console outputs.

    (cherry picked from commit 484895e2673ad854e8d18f61d44ee5dd62f4ea64)

Juergen E. Fischer <jef@norbit.de>	2018-11-01

    fix news

    (cherry picked from commit 1151639f9d928ddb0ee8e482ef5a61a636b90ffd)

Juergen E. Fischer <jef@norbit.de>	2018-11-01

    verify that projecta actually delivers a changelog

    (cherry picked from commit a826c5644549216491e2e101a5809c64c5193421)

Juergen E. Fischer <jef@norbit.de>	2018-10-31

    german translation update

Juergen E. Fischer <jef@norbit.de>	2018-10-27

    scripts/tsstat.pl: remove unused site mode and add note to doc/TRANSLATORS

    (cherry picked from commit 012bd99e110c221f7cfc3b9148e7cceb2dea443b)

Juergen E. Fischer <jef@norbit.de>	2018-10-26

    add islandic translator (followup f4e6477a)

    (cherry picked from commit f3b0b257e424557d49a6e6f77c4339d3be7afc8e)

Merge: 7ac3d0edd2 7c6774b970
Matthias Kuhn <matthias@opengis.ch>	2018-11-01

    Merge pull request #8374 from signedav/bugfix_not_deleting_relation-3_4

    Backport More intuitive relation reference widget text filter

Merge: 891c16ac29 1ad4123893
Matthias Kuhn <matthias@opengis.ch>	2018-11-01

    Merge pull request #8392 from m-kuhn/mergeDuplicateFidBackport

    Processing: GeoPackage output, regenerate fid when there's a risk of duplicates

William Kyngesburye <kyngchaos@sumomo.attlocal.net>	2018-10-31

    don't run GRASS commands in shell, that's not working

Matthias Kuhn <matthias@opengis.ch>	2018-10-31

    Make sip a bit happier

Matthias Kuhn <matthias@opengis.ch>	2018-10-31

    Regenerate fids for "multipart to singlepart algorithm"

Matthias Kuhn <matthias@opengis.ch>	2018-10-31

    Regenerate fids for "join attributes by location", pt2

Matthias Kuhn <matthias@opengis.ch>	2018-10-31

    Regenerate fids for "Join attributes by field value"

Matthias Kuhn <matthias@opengis.ch>	2018-10-31

    Regenerate fids for "points along geometry"

    Fix #19998

Matthias Kuhn <matthias@opengis.ch>	2018-10-31

    Regenerate fids for "join attributes by location"

    Fix #19708

Matthias Kuhn <matthias@opengis.ch>	2018-10-31

    Add test for QgsVectorLayerExporter with RegeneratePrimaryKey

Matthias Kuhn <matthias@opengis.ch>	2018-10-31

    Case insensitive file extension check

Matthias Kuhn <matthias@opengis.ch>	2018-10-30

    Parameter name harmonization

Matthias Kuhn <matthias@opengis.ch>	2018-10-30

    Skip path checking

Matthias Kuhn <matthias@opengis.ch>	2018-10-30

    Add missing param doc

Matthias Kuhn <matthias@opengis.ch>	2018-10-30

    Add comment for semi-broken control file

Matthias Kuhn <matthias@opengis.ch>	2018-10-30

    Fix test for merging layers to gpkg

Matthias Kuhn <matthias@opengis.ch>	2018-10-30

    Make doxygen a bit happier

Matthias Kuhn <matthias@opengis.ch>	2018-10-30

    Use decodeUri instead of string parsing

Matthias Kuhn <matthias@opengis.ch>	2018-10-30

    Unify parameter names

Matthias Kuhn <matthias@opengis.ch>	2018-10-19

    Ignore FID field when merging vector layers to geopackage

Matthias Kuhn <matthias@opengis.ch>	2018-10-25

    Fix faulty alg name in test

Matthias Kuhn <matthias@opengis.ch>	2018-10-25

    Add merge vector layer test for gpkg

Matthias Kuhn <matthias@opengis.ch>	2018-10-25

    Allow using gpkg in processing tests

Merge: cb5c326da9 d754ecf403
Alessandro Pasotti <elpaso@itopen.it>	2018-10-31

    Merge pull request #8389 from elpaso/bugfix-20271-wms-null-styles-backport

    [wms] Do not pass null QStrings to QgsWmsProvider::setQueryItem

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-30

    native/CMakeLists.txt cleanup (#8380)

Alessandro Pasotti <elpaso@itopen.it>	2018-10-31

    Skip kw check

Alessandro Pasotti <elpaso@itopen.it>	2018-10-31

    [wms] Do not pass null QStrings to QgsWmsProvider::setQueryItem

    Fix #20271 - WMS is not displayed in QGIS 3.4.0

    With test

    Cherry-picked from 94aa628e3e94e5998ba762810e19be104c0f820b

Merge: eeaa54cd95 f703839fe9
rldhont <rldhont@gmail.com>	2018-10-31

    Merge pull request #8349 from rldhont/bugfix-server-getprint-color-selection-3

    [Bugfix][Server] Use Project selection color in GetPrint 3.4

nirvn <nirvn.asia@gmail.com>	2018-10-30

    Prevent flooding (and app freeze) of items added to the message bar

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-31

    Fix some inefficient python dictionary iteration

    (cherry picked from commit f3e9aaf79a9282b28a605abd0dadaab9951050c8)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-31

    Fix inefficient calls to QgsFeature.attributes()[idx]

    Replace with just f[idx]. Calling QgsFeature.attributes()
    allocates a list of all attributes, which is inefficient
    when only a single attribute value is needed.

    (cherry picked from commit 85efc77bb4441c645868931eeb2fe8476031a645)

fuzzysolutions <29453443+fuzzysolutions@users.noreply.github.com>	2018-10-22

    Minor changes to speed up PointstoPaths algorithm

    # 1: Replaced time-consuming call on all attributes by a more specific request - responsible for about 90% of running time in my tests.
    # 2: Minor speedup by calling items() before the for loop (1s in a large layer).

    (cherry picked from commit 6c99cbc1ba341c08c192d763cfb67b82c8da5d49)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-29

    More clazy optimisations

    (cherry picked from commit d4cf8cf7de995f0ba5a9ef4a01276de8400e7fb2)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-29

    Fix clazy warnings

    (cherry picked from commit 3c3fcf50a9a95d2e818eddbc241616668efef3eb)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-29

    Avoid creating temporary project properties and options dialogs
    for locator filter

    This is expensive and results in a lengthy delay when first
    using the locator in a QGIS session.

    Replace with an alternative approach which doesn't rely on
    creation of temporary dialogs, yet should still ensure that
    these dialogs don't go out of sync with the locator.

    (cherry picked from commit 0035b7c36965b144dc5e6c1b6684c4edcc9286e7)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-29

    Capitalization

    (cherry picked from commit 1dd36f132d1fbf04b0aa265157d5547fe8aa9140)

Ricardo Garcia Silva <ricardo.garcia.silva@gmail.com>	2018-10-29

    vector layer properties now checks if config widget factory supports layer

    previously the factory would always be used, even if it did not
    support the active layer

    fixes #20240

    (cherry picked from commit a9f7f3542e2424b0b8cbd500c077ea648d6f24f6)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-30

    [processing] Fix crash when right clicking toolbox outside of an item

    Fixes #20264

    (cherry picked from commit a873289da7846b6761fe40733d5e7407cce7684d)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-30

    Fix broken handle bad layers dialog

    Partially revert af0bae67f and ea2cc365

    Fixes #20265

    (cherry picked from commit 0d7f59865b072c29f853513eb183c674585981ba)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-30

    [browser] Fix some items which are marked as "Collapse" capability
    are incorrectly expanded on startup

    (cherry picked from commit 5ebb9745694de324f6506d83536f403f6b001b01)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-30

    Avoid crash in style model when adding symbols with a new tag to library

    Fixes #20256

    (cherry picked from commit f6aecd152d367ed0a4cf661c3c5c8c1850f608af)

Björn Harrtell <bjorn@wololo.org>	2018-10-29

    [oracle] Prefetch memory variable changed to 32-bit and default raised to 8MB

    Speeds up oracle table access by orders of magnitude

    (cherry picked from commit c3e7632ce8c8370cc7b6941e3be523844d8bf705)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-31

    Fix another warning

    (cherry picked from commit 3a18ba6b243c23f3dd7bfbc7268680e8875318bf)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-31

    Fix a (harmless) build warning

    (cherry picked from commit 2c278f31184084e9a39ad811e90af069495c3994)

Merge: 06b4483b76 24eaea5eea
Alessandro Pasotti <elpaso@itopen.it>	2018-10-30

    Merge pull request #8379 from elpaso/backport-3_4

    Backport: Fix geometry precision input in vector layer properties and not-dot

Alessandro Pasotti <elpaso@itopen.it>	2018-10-29

    Show an empty string if precision is 0 or not valid

    Backported from master

Alessandro Pasotti <elpaso@itopen.it>	2018-10-29

    Fix geometry precision input in vector layer properties and not-dot locales

    Fix #20255 - Impossible to enter a decimal value for the geometry precision in French (comma as decimal separator)

    Backported from master

Merge: e1557c6200 1f8e6a53a5
Matthias Kuhn <matthias@opengis.ch>	2018-10-30

    Merge pull request #8375 from m-kuhn/deadlockInGeometryValidation

    Backport of fix deadlock in geometry validation

Merge: f951219b7a 65dc93c09f
Matthias Kuhn <matthias@opengis.ch>	2018-10-30

    Merge pull request #8373 from m-kuhn/hideGeometryValidationBackport

    Hide geometry validation dock

Matthias Kuhn <matthias@opengis.ch>	2018-10-30

    More comprehensive API docs

Matthias Kuhn <matthias@opengis.ch>	2018-10-29

    Allow calling getFeatureSource without feedback

Matthias Kuhn <matthias@opengis.ch>	2018-10-29

    Silence warning

Matthias Kuhn <matthias@opengis.ch>	2018-10-29

    Fix deadlock in geometry validation

    Fix a deadlock in geometry validation. This happens when the mainthread "waits for finished" of a checker thread.

    What happened in this case was, that the main thread canceled the feedback and waited for any jobs to finish.
    If a job was waiting for a feature source (or something else to be executed on the main thread) this resulted in a mighty deadlock.

    What we do here is that we regularly check if we ought to cancel while waiting for our slot on the main thread and can bail out if we should cancel before the main thread gets around to take care of our function.
    The difference is, we still execute the code on the background thread and make sure that the main thread is not doing anything during this time to avoid working on the same data structures in parallel.

signedav <david@opengis.ch>	2018-10-25

    handle EnableChange event in QgsFilterLineEdit

    cherry-picked from 9768fdd0f3a302ea058ba7d1ab4fc1a205750795

signedav <david@opengis.ch>	2018-10-25

    removed extra ;

    cherry-picked from a4bb9058b444c0fe3a7bab91fb2e33179c3498b9

signedav <david@opengis.ch>	2018-10-25

    Test if NULL is selected

    cherry-picked from 5b4aed3aa2e6f40785cba9f67d887b729cdd0c9e

signedav <david@opengis.ch>	2018-10-25

    controll clear button by edit-state

    because it has to appear on edit-mode, otherwise not

    cherry-picked from f0b0aea3b223b1af4a61e1ce01513d1e8cbdf6d3

signedav <david@opengis.ch>	2018-10-25

    tests for switching between values

    especially setting the NULL value and checking if it's selected
    checking if the clear button is activ when it should and inactive when it should

    git cherry-pick 2e01811aa789a595120a691ffc6a510b87e81047

signedav <david@opengis.ch>	2018-10-25

    remove connection to lineeditcleared, because of already correct null value implementation there

    cherry-picked from 7939cfb5570e771004bf8ce9f034d450f99f6bce

signedav <david@opengis.ch>	2018-10-25

    pass nullRepresentation to QgsFilterLineEdit

    cherry-picked from e37f1d11272a3170b2335ea67c5b4d24a54594a1

signedav <david@opengis.ch>	2018-10-10

    selectAll if requested on mouse release

    because otherwise the mouse event makes the selectAll useless if it's done on focusEvent

    cherry-picked from d3c861e744cefd4657e8a4d4219f634a8cd51d58

signedav <david@opengis.ch>	2018-10-08

    use lambda to set value to null

    cherry-picked from fbbb32000e62d17c95b4c9649147259ed7363e07

signedav <david@opengis.ch>	2018-10-04

    remove setReloadTime because it's not used anymore

    cherry-picked from 8a226671f57ee134fe6c348ef506a09295f1873e

signedav <david@opengis.ch>	2018-10-04

    do not overwrite text entry on editing and model reloadings

    cherry-picked from 43f77fda5834d3d52707814f9d4019c7e8533c69

signedav <david@opengis.ch>	2018-10-04

    set value to null when pressed lineedit-clearbutton

    cherry-picked from 713192f7106214588561945225628059796acc08

signedav <david@opengis.ch>	2018-10-04

    setting of reload interval in featurelistcombo

    cherry-picket from 13d25862630582f29bdc507bba48db3af7ba2aaa

Matthias Kuhn <matthias@opengis.ch>	2018-10-29

    Hide geometry validation dock

    Fix #20245 https://issues.qgis.org/issues/20245

William Kyngesburye <kyngchaos@sumomo.attlocal.net>	2018-10-29

    update mac bundling for new Qt frameworks

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-29

    [processing] Fix exceptions due to closed algorithm dialogs when
    opened from toolbox and closed before task completes

    (cherry picked from commit 0d5a8ddd8e387219721ff24cb8299960e4f3d334)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-29

    Avoid useless tray icon on Windows 7

    Fixes #20247

    (cherry picked from commit 908a058a3a88947498be44e8bba1ce2afb12981e)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-29

    Follow up status bar font fixes, avoid too small font on Windows

    (cherry picked from commit c9206884372e25decb354706728935cef5765e34)

Etienne Trimaille <gustrimaille@yahoo.fr>	2018-10-26

    add missing expression groups

Etienne Trimaille <gustrimaille@yahoo.fr>	2018-10-25

    remove translations for expression group to fix the UI

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-26

    add missing GUI_EXPORT macro

rldhont <rldhont@gmail.com>	2018-10-26

    [Bugfix][Server] Use Project selection color in GetPrint 3.4

Juergen E. Fischer <jef@norbit.de>	2018-10-26

    Release of 3.4 (Madeira)

Juergen E. Fischer <jef@norbit.de>	2018-10-26

    changelog and news update for 3.4

Juergen E. Fischer <jef@norbit.de>	2018-10-26

    translation update for 3.4 from transifex

Merge: 4ba77f83a6 b4e31608e5
rldhont <rldhont@gmail.com>	2018-10-26

    Merge pull request #8320 from rldhont/server-reactivate-print-selection-3

    [Server] Reactivate the capability to print selection with Server 3.4

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-26

    fix typo

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-26

    doxymentation

lbartoletti <l.bartoletti@free.fr>	2018-10-24

    fix snapping indicator when advance digitizing tools is enabled

Merge: 40e9406670 efe4a79687
Hugo Mercier <hugo.mercier@oslandia.com>	2018-10-26

    Merge pull request #8323 from mhugo/fix_15709

    Fix virtual layer FilterRect handling when no uid is defined

lbartoletti <lbartoletti@users.noreply.github.com>	2018-10-26

    Add snapindicator to shape tools (#8292)

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-26

    be more explicit when detecting dark theme on Mac

Salvatore Larosa <lrssvtml@gmail.com>	2018-10-26

    Fix build on OSX platform < 10.14 (#8348)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-26

    Black mssql test on Travis

    The mssql odbc driver is proving very crashy on the Travis
    docker image. Revisit when the docker image is upgraded

Merge: 2c835f9702 32cdf3a0b2
Matthias Kuhn <matthias@opengis.ch>	2018-10-26

    Merge pull request #8336 from m-kuhn/doNotReportEnvelopeAsGap

    Do not report envelope as gap

Merge: 03c38e92f8 3e7ee919fa
Matthias Kuhn <matthias@opengis.ch>	2018-10-26

    Merge pull request #8347 from DelazJ/patch-4

    [Bugfix]Update "refresh layer at interval" tooltip

Merge: a0e3c2df3b 0a8081416f
Matthias Kuhn <matthias@opengis.ch>	2018-10-26

    Merge pull request #8345 from m-kuhn/snapToGridExtentsUpdate

    Update snap to grid rect on extentChange

Harrissou Sant-anna <delazj@gmail.com>	2018-10-26

    Update "refresh layer at interval" tooltip

    Fix #20223

rldhont <rldhont@gmail.com>	2018-10-26

    [Server][GetPrint] Draw selection for SVG output

rldhont <rldhont@gmail.com>	2018-10-26

    [Server][Tests] Update WMS GetPrint Selection

rldhont <rldhont@gmail.com>	2018-10-26

    [Bugfix][Server][GetPrint] Correctly set way to draw selection in layout settings

Hugo Mercier <hugo.mercier@oslandia.com>	2018-10-25

    Fix virtual layer FilterRect handling when no uid is defined (fixes #15709)

    When no uid if defined, features returned have an id defined by an
    autoincremented integer. So we cannot use a SQL filter here because it
    would return a subset of features and then an autoincremented id that
    does not correspond to ids without filters.

    So in this case, all the features are requested and the rectangle
    intersection is done by the provider, not by SQLite.

Matthias Kuhn <matthias@opengis.ch>	2018-10-26

    Update snap to grid rect on extentChange

    Fix #20222

Matthias Kuhn <matthias@opengis.ch>	2018-10-25

    Do not report envelope as gap

    Under some circumstances, the envelope of a check region would be reported as a gap.
    While a check that this doesn't happen is normally enforced, this check doesn't work
    when the features happen to be placed unfortunate enough to have their bounding box
    rounded differently than the envelope.

Merge: 04edcb7552 0da210df52
Matthias Kuhn <matthias@opengis.ch>	2018-10-26

    Merge pull request #8335 from m-kuhn/qgsrectangleSnappedToGrid

    Add QgsRectangle::snappedToGrid

Merge: e797f7efe9 37d0fb416f
Matthias Kuhn <matthias@opengis.ch>	2018-10-26

    Merge pull request #8305 from signedav/action-icon

    Different mAction icon, when action activated

Merge: bbdbfa17a9 fa625ff022
Matthias Kuhn <matthias@opengis.ch>	2018-10-26

    Merge pull request #8229 from signedav/duplication-context-fix

    Select feature menu on action with multiple features

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-26

    [layouts] Final fixes for data defined widgets showing outdated
    data defined definitions when clicking between layout items
    of the same type

    Fixes #18694

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-23

    [layouts] Fix some data defined buttons don't update when
    clicking between objects of same type

    Refs #18694

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-23

    [layouts] Fix data defined table button loses state

    Refs #18694

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-26

    Fix dropping/adding z dimensions to certain output data types
    where the layer geometry type is defined by features, not preset
    in advance

    Fixes #20220, #17669

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-26

    Fix crashes when right clicking a layer with a broken source,
    e.g. a layer loaded from a qlyr with missing layer reference

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-26

    Add warning to QgsLayerTreeLayer::layer() dox

    Because the returned pointer must ALWAYS be tested before
    being dereferenced

Merge: f0735d9171 95142cc19e
Matthias Kuhn <matthias@opengis.ch>	2018-10-26

    Merge pull request #8338 from 3nids/fix20201

    use Exclude field by default for relation search widget wrapper

Matthias Kuhn <matthias@opengis.ch>	2018-10-25

    Add QgsRectangle::snappedToGrid

    Snaps a rectangle to a grid.

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-26

    Update test masks

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-19

    Fix some clang truncate to int warnings

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-26

    [processing][SAGA] Fix multilevel b spline description files

    Resync with SAGA parameters

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-26

    Fix some more inconsistent status bar fonts

signedav <david@opengis.ch>	2018-10-24

    Do not overwrite values in attribute form while SearchMode

    Because it can be in SearchMode during editing state, a change of selection in the feature list would overwrite the values of the selected one by the one selected before. This because the widget-values were not resetet for the current feature and are saved.

    The saving is not avoided, because on edit, and switching to SearchMode and changing selection, the old feature still have to be saved. But it does reset the values of the current widget in SearchMode after changing selection - even if it's not visible by the user - to avoid to have wrong values there.

    fixes ##17751

William Kyngesburye <kyngchaos@sumomo.attlocal.net>	2018-10-25

    bundle sip to correct dir

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-23

    Better method to avoid test on Travis

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-23

    Add a provider test to ensure that features returned from
    addFeatures have the correct id assigned

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-23

    [mssql] Avoid some tests on Travis which trigger crashes in the ms odbc driver

    not our fault -- i think it's either an issue with the ms odbc
    driver itself or qt's odbc database handling. In any case, it
    doesn't crash locally, so let's just skip the tests which trigger
    the crash for now and revisit when Travis environment is upgraded.(*)

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-22

    [mssql] Run provider layer edits test suite

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-22

    A bit more tolerance in provider test

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-22

    [mssql] Use output instead of IDENT_CURRENT to retrieve newly added primary keys

    It's safer, works with non-identity columns, and potentially allows
    us to optimise in future and bulk insert features instead of
    one by one

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-22

    [mssql] Fix incorrect layer extents after modifying layers

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-22

    [mssql] For consistency with other providers deleteFeatures should return true to an empty list

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-22

    [mssql] Ensure provider rejects features with incorrect geometry type

Sveinn í Felli <sv1@fellsnet.is>	2018-10-25

    Update TRANSLATORS

    Added missing translator for Icelandic

James Shaeffer <james@shaeffer.co>	2018-10-25

    Updated the version of CMake from 3.7 to 3.12 in the list of required tools

Alessandro Pasotti <elpaso@itopen.it>	2018-10-25

    [authmanager] Fix OAuth2 implicit grant flow

Merge: 1118f4ac91 daca55a725
Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-25

    Merge pull request #8330 from 3nids/fix9160

    Properly zoom to feature for single point selected

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-26

    Remove some dox details which are likely to go out of date quickly

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-26

    Register metatype for QgsAuthManager::MessageLevel to avoid qt warnings

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-26

    [o2] Avoid a misleading console error output

Merge: 2633006985 83065a466d
Borys Jurgiel <info@borysjurgiel.pl>	2018-10-25

    Merge pull request #8310 from borysiasty/scale_lock_button

    Move the scale lock button from the QgsStatusBarScaleWidget to QgsStatusBarMagnifierWidget

Merge: 6a61d5d226 39f97ecbb2
Borys Jurgiel <info@borysjurgiel.pl>	2018-10-25

    Merge pull request #8329 from borysiasty/browser_gpkg_overwrite

    Disable overwriting GPKG layers with rasters in the Browser Panel

Merge: 6a2c31d897 ef56a7a208
Borys Jurgiel <info@borysjurgiel.pl>	2018-10-25

    Merge pull request #8337 from borysiasty/update-firstrundialog

    Update link to changelog in the First Run Dialog

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-25

    use Exclude field by default for relation search widget wrapper

    fix #20201

Borys Jurgiel <info@borysjurgiel.pl>	2018-10-25

    Update changelog link from 3.0.0 to 3.4-LTR in the First Run Dialog

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-25

    add test for QgsRectangle::scale and scaled

Juergen E. Fischer <jef@norbit.de>	2018-10-25

    fix typo

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-25

    Fix failing oauth2 test

    The presence of the state parameter which has no QPROPERTY
    counterpart in QgsAuthOAuth2Config was causing the
    conversion for json to qobject to fail.

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-25

    [oauth2] Show a list of directories searched for predefined configuration
    files in the list tooltip/help text

    Immediately gives users more clues about how to use these
    files and where they must be placed

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-25

    [outh2] Don't crash when trying to parse an invalid json configuration file

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-25

    Fix some clazy warnings

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-25

    [oauth2] Use token url if refresh token url is not specified

    The refresh token url is marked as optional -- so we fallback
    on the token url if user has not specified a specific refresh URL

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-25

    fix fetching rectangle

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-25

    use QgsFeatureRequest::setNoAttributes (#8332)

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-25

    mark method as const

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-25

    optimize request by fetching the required extend

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-25

    add QgsRectangle::scaled which returns the scaled rectangle

    facilitates one-lines

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-25

    fix crash when changing screen while rendering (#8328)

    remove this assert since by the time the map is rendered the screen changed and might not have the same DPR.

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-25

    add QgsFeatureRequest::setNoAttributes (#8326)

    since it's more convenient than setSubsetOfAttributes( QgsAttributesList() )

Merge: dc334ac028 f73673060b
Alessandro Pasotti <elpaso@itopen.it>	2018-10-25

    Merge pull request #8325 from elpaso/bugfix-other-db-styles

    Fix show other DB styles when there are no styles for current layer

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-25

    Properly zoom to feature for single point selected

    fix #9160
    this will fetch the canvas content and combine selected point with closest point and scale it 5 times

Merge: 8bee898860 dc334ac028
Borys Jurgiel <info@borysjurgiel.pl>	2018-10-25

    Merge branch 'master' of github.com:qgis/QGIS into scale_lock_button

Merge: b0104a2807 0a2689d94e
Matthias Kuhn <matthias@opengis.ch>	2018-10-25

    Merge pull request #8223 from signedav/json_tests

    QgsServer Tests for JSON fields

rldhont <rldhont@gmail.com>	2018-10-25

    [Server][Tests] Update WMS GetMap Selection

    The selection color is read from the project and apply to the map.

Borys Jurgiel <info@borysjurgiel.pl>	2018-10-25

    [bugfix] Disable overwriting GPKG layers with rasters in the Browser panel until it works properly.

Merge: 4acb12d18e 6afb8def0a
Alessandro Pasotti <elpaso@itopen.it>	2018-10-25

    Merge pull request #8324 from elpaso/bugfix-unreported-ensure-qml-extention-on-save-style-to-file

    Bugfix unreported ensure qml extention on save style to file

Merge: 6a9cff3fd2 7a984c3f69
Matthias Kuhn <matthias@opengis.ch>	2018-10-25

    Merge pull request #8281 from m-kuhn/copyValueMapToClipboard

    Allow copying value map definitions to clipboard

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-25

    reserve space in feature list for performance (#8322)

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-25

    add theme style.qss.auto to gitignore

Alessandro Pasotti <elpaso@itopen.it>	2018-10-25

    Fix show other DB styles when there are no styles for current layer

    Aka: cleaning my own mess :)

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-25

    fix typo

rldhont <rldhont@gmail.com>	2018-10-25

    [Server] Use Project selection color in GetPrint for 3.4

    Because selection was deactivated in layout, selection color was not transmitted from QgsProject to QgsLayoutRenderContext to QgsMapSettings.

    forward porting of #7294

signedav <david@opengis.ch>	2018-10-25

    use forward declaration for QgsFeature

    and use as_const on featurelist

Alessandro Pasotti <elpaso@itopen.it>	2018-10-25

    Add a test for saveNamedStyle to file path

Alessandro Pasotti <elpaso@itopen.it>	2018-10-25

    Ensure save as style file appends qml extension

    ... or you'll save in the DB instead

signedav <david@opengis.ch>	2018-10-25

    iterate through features with iterator

signedav <david@opengis.ch>	2018-10-25

    rearanged imports

Denis Rouzaud <denis.rouzaud@gmail.com>	2018-10-25

    force Night Mapping theme on Mac Mojave with Dark Theme (#8309)

    * force Night Mapping theme on Mac Mojave with Dark Theme

    otherwise QGIS is pretty unusable
    see #20195

    * [themes] add automatic mode to base theme on OS theme

    only effective on Mac OS for now

    * Revert "add auto theme based on OS to choose default / dark theme"

    This reverts commit d012451cadb4653421eb49711ac99ed48e064622.

    * apply auto theme only for Qt < 5.12

    * Update src/app/qgisapp.cpp

    * better doc

Peter Petrik <zilolv@gmail.com>	2018-10-23

    fix for different vector rendering types

Peter Petrik <zilolv@gmail.com>	2018-10-23

    fix #19939: render mesh arrows also on the edge of the canvas

Ted Meyer <tmathmeyer@gmail.com>	2018-10-24

    Use time.process_time() instead of time.clock()

    time.clock is set to be deprecated in python3.8,
    and was replaced by time.process_time in python3.3

signedav <david@opengis.ch>	2018-10-25

    green icon

Merge: ce0f8e3600 fc8062e1a7
Matthias Kuhn <matthias@opengis.ch>	2018-10-25

    Merge pull request #8263 from signedav/gpkg_offline_editing

    [Bugfix] offline editing with gpkg

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-25

    Fix broken status bar font size logic

    The logic which was put in place to drop the status bar font size
    by a couple of points was being overridden by style sheet settings.

    Fix this and ensure that all right-located status bar widgets
    correctly use the smaller font size. Also tweak locator width a little.

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-23

    Avoid crash when setting application font/font size in options dialog

    https://bugreports.qt.io/browse/QTBUG-69204 causes a segfault
    in Qt >= 5.11 if we change the stylesheet on the fly.

    Workaround this by only setting the stylesheet once at startup,
    and require a restart if settings change which modify the
    stylesheet.

    Just a workaround -- the upstream bug is being looked at,
    but better to require a restart than crash.

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-23

    Don't set app stylesheet font/font size if it isn't changed from
    the default

    Potentially avoids some hidpi scaling issues

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-23

    Avoid heap allocations

Nyall Dawson <nyall.dawson@gmail.com>	2018-10-23

    Remove some unused members

signedav <david@opengis.ch>	2018-10-25

    remove username/password in db connection in test project

rldhont <rldhont@gmail.com>	2018-10-25

    [Server] Reactivate the capability to print selection with Server 3.4

    The capability to print selection has been removed by the commit aaa7003 to
    prevent accidental selections showing in exports from composer.

    It is reactivated only for QGIS Server.

    Fixes #13459 QGIS Server WMS GetPrint request don't respect SELECTION parameter

    It's a forward porting of #7185

Merge: 8f4f7f11ac 2eb22d93ff
rldhont <rldhont@gmail.com>	2018-10-25

    Merge pull request #8319 from rldhont/fix-dbmanager-sql-layer-set-unique-combo-3

    [BUGFIX][DbManager] SQL Layer: fix unique combo setting in QGIS 3

Merge: d6a2cbf178 70d4a276da
Matthias Kuhn <matthias@opengis.ch>	2018-10-25

    Merge pull request #8230 from m-kuhn/gdalDoNotPersistEstimatedMetadata

    Do not persist estimated GDAL metadata

Etienne Trimaille <gustrimaille@yahoo.fr>	2018-10-25

    add missing optional flag in some qgs expression helps

Merge: 221df8e65e 1d246de545
rldhont <rldhont@gmail.com>	2018-10-25

